﻿Public Class UnStreamWriter
    Inherits IO.StreamWriter

    Public Indent = 0
    Public IndentUnit = "    "

    Sub New(file As String)
        MyBase.New(file)
    End Sub

    Sub New(stream As IO.Stream)
        MyBase.New(stream)
    End Sub

    Sub WriteInd(value As String)
        Dim fullIndent = ""
        For i = 0 To Indent - 1
            fullIndent &= IndentUnit
        Next

        MyBase.Write(fullIndent)

        value = value.Replace(Me.NewLine, Me.NewLine & fullIndent)

        MyBase.Write(value)
    End Sub

    Sub WriteIndLine(value As String)
        Dim fullIndent = ""
        For i = 0 To Indent - 1
            fullIndent &= IndentUnit
        Next

        MyBase.Write(fullIndent)

        value = value.Replace(Me.NewLine, Me.NewLine & fullIndent)

        MyBase.WriteLine(value)
    End Sub
End Class
