/'	Copyright 2021 Yrex
	
	Permission to use, copy, modify, and/or distribute this software for any purpose
	with or without fee is hereby granted, provided that the above copyright notice
	and this permission notice appear in all copies.
	
	THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
	REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND
	FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT,
	OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
	DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
	ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
'/
' (Some parts may have different licenses, check before reusing code.)

' This code is kind of a mess. I recommend to copy ideas, not execution. 

' Compile this with "-s console -gen gcc -fpu sse -O max -fpmode fast -vec 2"

#include "crt/math.bi"
#undef FMax
#undef FMin
#include once "FBImage.bi"
#include once "GL/gl.bi"
#include once "GL/glu.bi"
#include once "fbgfx.bi"
#include once "vbcompat.bi"
#include "bass.bi"
#include "file.bi"

var userLib = DyLibLoad("user32.dll")
var gdiLib  = DyLibLoad("Gdi32.dll")
dim shared _MessageBox as function(hwnd as any ptr, text as const zstring ptr, title as zstring ptr, info as integer) as integer
dim shared _SetDeviceGammaRamp as function(hdc as any ptr, lpRamp as ushort ptr) as integer
dim shared _GetDeviceGammaRamp as function(hdc as any ptr, lpRamp as ushort ptr) as integer
dim shared _GetDC as function(hWnd as integer) as any ptr
dim shared _EnumDisplaySettings as function(lpszDeviceName as zstring ptr, iModeNum as uinteger, lpDevMode as DEVMODEA ptr) as integer
_MessageBox = DyLibSymbol(userLib,"MessageBoxA")
_SetDeviceGammaRamp = DyLibSymbol(gdiLib,"SetDeviceGammaRamp")
_GetDeviceGammaRamp = DyLibSymbol(gdiLib,"GetDeviceGammaRamp")
_GetDC = DyLibSymbol(userLib,"GetDC")
_EnumDisplaySettings = DyLibSymbol(userLib,"EnumDisplaySettingsA")

dim shared glActiveTextureARB   as function(unit as integer) as integer
dim shared glMultiTexCoord2fARB as function(unit as integer, u as single, v as single) as integer
#define GL_TEXTURE0_ARB &h84C0
#define GL_TEXTURE1_ARB &h84C1

' Generic resizable list, inspired by VB.NET's List(Of T).

' list_define_type(list_type_name, element_type, equatable, comparable, safe)
' - list_type_name - name of list Type
' - element_type - type of list elements
' - equatable - can the elements be compared (=)?
'     (enables Remove, Contains)
' - comparable - can the elements be compared (<, >)?
'     (enables Sort, BinarySearch)
' - safe - enable out-of-bounds checking?

#define list_define_type(listname,itemtype) list_define_type_ext(listname,itemtype,True,True,True)

#macro list_define_type_ext(listname,itemtype,equatable,comparable,safe)
	#ifndef listname ' To prevent freaking out if somebody defines a list twice.
		
		type listname
			public:
				dim Count as integer
				redim Items(0) as itemtype
			private:
				dim AllocatedCount as integer
				declare static function RoundUpPowTwo(x as integer) as integer
				#if comparable
					declare sub Qsort (l as integer, r as integer)
				#endif
				declare sub Qsort (l as integer, r as integer, comparer as function(byref a as itemtype, byref b as itemtype) as integer)
				declare sub Resize(newsize as integer)
			public:
				declare constructor ()
				declare constructor (sizehint as integer )
				declare sub Add     (newitem  as itemtype)
				declare sub AddRange(array()  as itemtype)
				declare sub AddRange(list     as listname)
				declare sub Insert  (newitem  as itemtype, index as integer)
				
				declare sub Clear   ()
				declare sub RemoveAt(index    as integer )
				
				declare sub Reverse ()
				
				declare operator [] (index    as integer) byref as itemtype
				declare sub CopyTo  (array()  as itemtype)
				
				#if equatable
					declare sub Remove       (item as itemtype)
					declare function Contains(item as itemtype) as boolean
				#endif
				
				#if comparable
					declare sub Sort()
					declare function BinarySearch(index as integer, count as integer, item as itemtype) as integer
				#endif
				
				declare sub Sort(comparer as function(byref a as itemtype, byref b as itemtype) as integer)
				
		End Type
		
		constructor listname()
			redim Items(0)
			AllocatedCount = 1
			Count = 0
		End Constructor
		
		constructor listname(sizehint as integer)
			sizehint = RoundUpPowTwo(sizehint)
			redim Items(sizehint-1)
			AllocatedCount = sizehint
			Count = 0
		End Constructor
		
		function listname.RoundUpPowTwo(x as integer) as integer
			dim as integer y = 1
			
			while y < x
				y = y shl 1
			Wend
			
			return y
		end function
		
		sub listname.Resize(newsize as integer)
			Count = newsize
			
			dim as integer realNewSize = RoundUpPowTwo(newsize)
			
			if AllocatedCount <> realNewSize then
				AllocatedCount = realNewSize
				redim preserve Items(AllocatedCount-1)
			EndIf
		End Sub
		
		sub listname.Add(newitem as itemtype)
			Count += 1
			
			if Count > AllocatedCount then
				AllocatedCount = AllocatedCount shl 1
				redim preserve Items(AllocatedCount-1)
			EndIf
			
			Items(Count-1) = newitem
		End Sub
		
		sub listname.AddRange(array() as itemtype)
			dim as integer origCount = Count
			dim as integer arrLBound = LBound(array)
			dim as integer arrSize   = UBound(array)-arrLBound+1
			
			Resize(Count+arrSize)
			
			for i as integer = 0 to arrSize-1
				Items(origCount+i) = array(arrLBound+i)
			Next
		End Sub
		
		sub listname.AddRange(list as listname)
			dim as integer origCount = Count
			dim as integer listSize  = list.Count
			
			Resize(Count+listSize)
			
			for i as integer = 0 to listSize-1
				Items(origCount+i) = list.Items(i)
			Next
		End Sub
		
		sub listname.Insert(newitem as itemtype, index as integer)
			#if safe
				if (index < 0) or (index >= Count) then
					Error(6)
					return
				EndIf
			#endif
			
			Count += 1
			
			if Count > AllocatedCount then
				AllocatedCount = AllocatedCount shl 1
				redim preserve Items(AllocatedCount-1)
			EndIf
			
			for i as integer = Count-2 to index
				Items(i+1) = Items(i)
			Next
			
			Items(index) = newitem
		End Sub
		
		sub listname.Clear()
			redim Items(0)
			AllocatedCount = 1
			Count = 0
		End Sub
		
		#if equatable
			sub listname.Remove(item as itemtype)
				for i as integer = 0 to Count-1
					if Items(i) = item then
						RemoveAt(i)
						return
					EndIf
				Next
			End Sub
		#endif
		
		sub listname.RemoveAt(index as integer)
			#if safe
				if (index >= Count) or (index < 0) then
					Error(6)
					return
				EndIf
			#endif
			
			for i as integer = index to Count-2
				Items(i) = Items(i+1)
			Next
			
			Count -= 1
			
			if (Count shl 1) <= AllocatedCount then
				' This check is necessary to prevent resizing to zero
				' which then screws the size doubling
				if AllocatedCount <> 1 then
					AllocatedCount = AllocatedCount shr 1
					redim preserve Items(AllocatedCount-1)
				EndIf
				
			EndIf
		End Sub
		
		#if comparable
			sub listname.Qsort(l as integer, r as integer)
				
				if r-l<1 then return
				
				dim as integer sorted_mid_ind
				
				' Get rid of temporary stuff as quickly as possible
				scope
					dim as listname smaller, eq_greater
					dim as integer i
					
					dim as integer mid_ind
					dim as itemtype mid_item
					
					mid_ind = l+((r-l) shr 1)
					mid_item = Items(mid_ind)
					
					for i=l to r
						if i<>mid_ind then
							if Items(i) < mid_item then
								smaller.Add(Items(i))
							else
								eq_greater.Add(Items(i))
							EndIf
						endif
					Next
					
					sorted_mid_ind = l+smaller.Count
					
					for i=0 to smaller.Count-1
						Items(l+i) = smaller[i]
					Next
					
					Items(sorted_mid_ind) = mid_item
					
					for i=0 to eq_greater.Count-1
						Items(sorted_mid_ind+1+i) = eq_greater[i]
					Next
				end scope
				
				Qsort(l, sorted_mid_ind-1)
				Qsort(sorted_mid_ind+1, r)
			End Sub
			
			sub listname.Sort()
				Qsort(0, Count-1)
			End Sub
		#endif
		
		sub listname.Qsort(l as integer, r as integer, comparer as function(byref a as itemtype, byref b as itemtype) as integer)
			if r-l<1 then return
			
			dim as integer sorted_mid_ind
			
			' Get rid of temporary stuff as quickly as possible
			scope
				dim as listname ptr smaller
				dim as listname ptr eq_greater
				smaller = new listname
				eq_greater = new listname
				dim as integer i
				
				dim as integer mid_ind
				dim as itemtype mid_item
				
				mid_ind = l+((r-l) shr 1)
				mid_item = this[mid_ind]
				
				for i=l to r
					if i<>mid_ind then
						if comparer(this[i], mid_item)=-1 then
							smaller->Add(this[i])
						else
							eq_greater->Add(this[i])
						EndIf
					endif
				Next
				
				sorted_mid_ind = l+smaller->Count
				
				for i=0 to smaller->Count-1
					Items(l+i) = (*smaller)[i]
				Next
				
				Items(sorted_mid_ind) = mid_item
				
				for i=0 to eq_greater->Count-1
					Items(sorted_mid_ind+1+i) = (*eq_greater)[i]
				Next
				
				delete smaller
				delete eq_greater
			end scope
			
			Qsort(l, sorted_mid_ind-1, comparer)
			Qsort(sorted_mid_ind+1, r, comparer)
		End Sub
		
		sub listname.Sort(comparer as function(byref a as itemtype, byref b as itemtype) as integer)
			Qsort(0, Count-1, comparer)
		End Sub
		
		operator listname.[](index as integer) byref as itemtype
			#if safe
				if (index < 0) or (index >= Count) then
					Error(6)
					return Items(0)
				EndIf
			#endif
			
			return Items(index)
		End Operator
		
		#if equatable
			function listname.Contains(item as itemtype) as boolean
					for i as integer = 0 to Count-1
						if Items(i) = item then
							return True
						EndIf
					Next
					return False
			End Function
		#endif
		
		#if comparable
			function listname.BinarySearch(index as integer, count as integer, item as itemtype) as integer
				dim as integer l, m, r
				
				l = index
				r = index+count-1
				
				while r-l>0 '0 or 1?
					m = (l+r)\2
					if Items(m) < item then
						l = m+1
					elseif Items(m) > item then
						r = m-1
					else
						return m
					EndIf
				wend
				
				return -1
				
			End Function
		#endif
		
		sub listname.Reverse()
			dim as itemtype t
			dim as integer j = Count-1
			for i as integer=0 to (Count shr 1) - 1
				t = Items(i)
				Items(i) = Items(j)
				Items(j) = t
				j -= 1
			Next
		End sub
		
		sub listname.CopyTo(array() as itemtype)
			var lb = LBound(array)
			#if safe
				if (UBound(array)-lb+1) < Count then
					error(6)
					return
				EndIf
			#endif
			
			for i as integer=0 to Count-1
				array(lb+i) = Items(i)
			Next
		End Sub
		
	#endif
#EndMacro

list_define_type(List_Of_Integer,integer)

' Various utility functions.

dim shared _cons_file as integer=-1
#undef Log
sub Log(text as string)
	if _cons_file=-1 then
		_cons_file = FreeFile()
		open cons for output as _cons_file
	EndIf
	
	print #_cons_file, text
End Sub

sub LogClose
	if _cons_file<>-1 then
		close(_cons_file)
	EndIf
End Sub

function ReadZString(fileNum as integer) as string
	dim b as ubyte
	dim s as string
	
	start:
	get #fileNum, , b
	if b=0 then
		return s
	else
		s &= chr(b)
		goto start
	EndIf
End Function

function GetHwnd() as any ptr
	dim hwnd as integer
	ScreenControl(2,hwnd)
	return cast(any ptr,hwnd)
End Function

sub MsgBox(text as const zstring ptr)
	_MessageBox(GetHwnd(),text,"",0)
End Sub

declare sub SaveOldGamma()
declare sub RestoreOldGamma()

sub SetGamma(value as single)
	dim arr(256*3-1) as ushort
	for ch as integer=0 to 3-1
		for i as integer=0 to 256-1
			arr(ch*256+i) = ((csng(i)/256.0)^(1/value))*65535
		Next
	Next
	
	_SetDeviceGammaRamp(_GetDC(0),@arr(0))
End Sub

type ScreenMode
	as integer w, h
	as List_of_Integer rates
End Type
list_define_type_ext(List_of_ScreenMode, ScreenMode, False, False, True)

list_define_type(List_of_String,String)
function GetSupportedResolutions() as List_of_ScreenMode
	dim result as List_of_ScreenMode
	
	dim dm as DEVMODEA
	dm.dmSize = sizeof(dm)
	
	dim iModeNum as integer
	while EnumDisplaySettings( 0, iModeNum, @dm )<>0
		if dm.dmBitsPerPel=32 then
			if result.Count>0 then
				var last = @result[result.Count-1]
				if dm.dmPelsWidth=last->w and dm.dmPelsHeight=last->h then
					last->rates.Add(dm.dmDisplayFrequency)
					goto nextIter
				EndIf
			EndIf
			
			dim newRes as ScreenMode
			newRes.w = dm.dmPelsWidth
			newRes.h = dm.dmPelsHeight
			newRes.rates.Add(dm.dmDisplayFrequency)
			result.Add(newRes)
		EndIf
		nextIter:
		iModeNum += 1
	Wend
	
	for i as integer=0 to result.Count-1
		result[i].rates.Sort()
	Next
	
	return result
End Function

declare sub SetScreen(w as integer, h as integer, rate as integer, fullscreen as boolean, borderless as boolean)

function MultiKeyPressed(scancode as Long) as Boolean
	static LastKeyState(256-1) as boolean
	dim result as boolean
	
	if (scancode<0) or (scancode>=256) then
		return False
	endif
	
	dim curState as boolean
	curState = MultiKey(scancode)
	
	result = (curState=true) and (LastKeyState(scancode)=false)
	
	LastKeyState(scancode) = curState
	
	return result
End Function

sub GetMouseDelta(byref dx as integer=0, byref dy as integer=0)
	static as integer prevX, prevY
	
	dim as integer w, h
	ScreenInfo(w,h)
	
	dim as integer x, y, clip
	GetMouse(x,y,,,clip)
	
	if clip<>1 then return
	
	dx = x - prevX
	dy = y - prevY
	
	dim wrap as boolean
	if x > w*0.75 then
		x -= w*0.5
		prevX -= w*0.5		
		wrap = True
	elseif x < w*0.25 then
		x += w*0.5
		prevX += w*0.5
		wrap = True
	EndIf
	
	if y > h*0.75 then
		y -= h*0.5
		prevY -= h*0.5
		wrap = True
	elseif y < h*0.25 then
		y += h*0.5
		prevY += h*0.5
		wrap = True
	EndIf
	
	if wrap then SetMouse(x,y)
	
	prevX = x
	prevY = y
End Sub

function GetMouseButton(btn as ubyte) as boolean
	dim as integer state, x, y
	GetMouse(x,y,,state)
	
	if state=-1 then return False
	
	if btn=0 then return state and 1
	if btn=1 then return (state shr 2) and 1
	if btn=2 then return (state shr 1) and 1
	return (state shr btn) and 1
End function

function GetMousePressed(btn as ubyte) as boolean
	static LastKeyState(3-1) as boolean
	dim result as boolean
	
	if (btn<0) or (btn>=256) then
		return False
	endif
	
	dim curState as boolean
	curState = GetMouseButton(btn)
	
	result = (curState=True) and (LastKeyState(btn)=False)
	
	LastKeyState(btn) = curState
	
	return result
End Function

'Example:
'  full name: Sound'AmbOutside.Looping.swmp10'
'  long name: AmbOutside.Looping.swmp10
' short name: swmp10

function GetShortName(fullName as string) as string
	dim endsWithQuote as boolean = (Right(fullName,1) = "'")
	var begin = InStrRev(fullName,".")+1
	var endd = Len(fullName)
	if endsWithQuote then endd -= 1
	var shortName = Mid(fullName,begin,endd-begin+1)
	return shortName
End Function

function GetLongName(fullName as string) as String
	dim endsWithQuote as boolean = (Right(fullName,1) = "'")
	if endsWithQuote=False then return fullName
	var begin = InStr(fullName,"'")+1
	var endd = Len(fullName)-1
	var longName = Mid(fullName,begin,endd-begin+1)
	return longName
End Function

function GetPackageName(fullName as string) as string
	var longName = GetLongName(fullName)
	var dotPos = InStr(longName,".")
	if dotPos = 0 then return ""
	return Left(longName,dotPos-1)
End Function

function DotsToSlashes(byval text as string) as string
	for i as integer=0 to len(text)-1
		if chr(text[i])="." then
			text[i]=asc("\")
		EndIf
	Next
	return text
End Function

' String operations.

' Very fast case insensitive comparer. Works for A-Z, 0-9, -_()
function NameEq(byref a as const string, byref b as const string) as Boolean
	var lena=Len(a)
	var lenb=Len(b)
	if lena<>lenb then return False
	
	for i as integer=0 to lena-1
		if (a[i] xor b[i]) and not(32) then
			return False
		EndIf
	Next
	
	return True
End Function

function Unquote(text as string) as string
	if (Left(text,1)="""") and (Right(text,1)="""") and Len(text)>=2 then
		return Mid(text,2,Len(text)-2)
	EndIf
	
	return text
End Function

function StartsWith(text as string, part as string) as boolean
	return LCase(Left(text,Len(part))) = LCase(part)
End Function

Function GetStringPart(text As String, begin As Integer, endd As Integer) As String
     Return Mid(text, begin+1, endd - begin + 1)
End Function

function GetStringAfter Overload (text as string, part as string) as string
	Return Mid(text, InStr(LCase(text), LCase(part)) + Len(part))
End Function

Function GetStringAfter(text As String, part As String, endChars As string) As String
     Dim strstart As Integer
     Dim strend As Integer
     dim tmp as integer
     tmp = InStr(LCase(text), LCase(part))-1
     if tmp=-1 then return "" 'can't find part
     strstart = tmp + Len(part)
     var endCharPosition = InStr(strstart+1, text, any endChars)-1

     If endCharPosition <> -1 Then
         strend = endCharPosition - 1
     Else
         'if end char not found then end where string ends
         strend = Len(text) - 1
     End If

     Return GetStringPart(text, strstart, strend)
End Function

list_define_type(List_Of_String, string)
function Split(byval s as string, separator as string=" ") as List_Of_String
	dim result as List_Of_String
	
	dim i as integer
	dim begin as integer=1
	
	for i=1 to len(s)
		if mid(s,i,1) = separator then
			result.Add(mid(s,begin,i-begin))
			begin = i+1
		EndIf
	Next
	
	result.Add(mid(s,begin))
	
	return result
End Function

function FindFile(byval rootDir as string, filePattern as string) as string
	
	if right(rootDir,1)="*" then
		rootDir = Left(rootDir,Len(rootDir)-1)
	elseif (right(rootDir,1)="\") or (right(rootDir,1)="/") then
		'okay
	else
		rootDir &= "\"
	EndIf
	
	' Look for the file in current dir
	Dim As String curFile = dir(rootDir & filePattern)
	While curFile<>""
		return rootDir & curFile
		curFile = Dir()
	wend
	
	' List subdirs
	dim folders as List_of_String
	Dim As String curFolder = dir(rootDir & "*",&h10)
	While curFolder<>""
		if (curFolder<>".") and (curFolder<>"..") then
			folders.Add(curFolder)
		EndIf
		curFolder = Dir()
	wend
	
	' Check subdirs
	for i as integer=0 to folders.Count-1
		var result = FindFile(rootDir & folders[i], filePattern)
		if result<>"" then return result
	Next
	
	return ""
End Function

function ChangeExtension(file as string, newExt as string) as string
	var lastDotPos = InStrRev(file,".")
	if lastDotPos=0 then return file & newExt
	
	var lastSlashPos = InStrRev(file,any "/\")
	' e.g. "C:\my.folder\file"
	if lastDotPos<lastSlashPos then return file & newExt
	
	return Left(file,lastDotPos-1) & newExt
End Function

function GetFileNameWithoutExtension(file as string) as string
	var lastDotPos = InStrRev(file,".")
	var lastSlashPos = InStrRev(file,any "/\")
	
	if lastDotPos<lastSlashPos then return Mid(file,lastSlashPos+1) ' C:\my.folder\file, C:\myfolder\file
	if lastDotPos>lastSlashPos then return Mid(file,lastSlashPos+1,lastDotPos-lastSlashPos-1) ' C:\myfolder\file.ext, file.ext
	
	return file
End Function

declare function GetTextureFile(aName as string, packageHint as string="") as string
declare function GetSoundFile(aName as string, packageHint as string="") as string

function GetSongFile(songName as string) as string
	if FileExists("Music\" & songName & ".umx") then
		return "Music\" & songName & ".umx"
	elseif FileExists("Music\" & songName & ".s3m") then
		return "Music\" & songName & ".s3m"
	elseif FileExists("Music\" & songName & ".it") then
		return "Music\" & songName & ".it"
	elseif FileExists("Music\" & songName & ".xm") then
		return "Music\" & songName & ".xm"
	elseif FileExists("Music\" & songName & ".mod") then
		return "Music\" & songName & ".mod"
	elseif FileExists("Music\" & songName & ".mo3") then
		return "Music\" & songName & ".mo3"
	EndIf
	
	return ""
End Function

' Maths.
' We're using Unreal's coordinate system. (at least trying to)

function FMax(A as single, B as single) as single
	if A>B then return A
	return B
End Function

function FMin(A as single, B as single) as single
	if A<B then return A
	return B
End Function

function Lerp overload(alpha as single, a as single, b as single) as Single
	return b*alpha + a*(1-alpha)
End Function

function Frac2(x as single) as single
	if x>=0 then
		return frac(x)
	else
		return frac(x)+1
	EndIf
end function

function RandomInt(max_excl as integer) as Integer
	return int(Rnd()*(max_excl-1))
End Function

function RoundUpToPowerOf2(byval num as integer) as integer
	num -= 1
	num or= num shr 1
	num or= num shr 2
	num or= num shr 4
	num or= num shr 8
	num or= num shr 16
	num += 1
	return num
End Function

function RoundUp(num as integer, grid as integer) as Integer
	return ((num-1) and not(grid-1))+grid
End Function

function AddColor naked(c1 as Integer, c2 as Integer) as Integer
	asm
		movd mm0, dword ptr [esp+4]
		movd mm1, dword ptr [esp+8]
		paddusb mm0, mm1
		movd eax, mm0
		emms
		ret 8
	End Asm
End function

'v must be in 0-255
function LerpColor(c1 as integer, c2 as integer, v as integer) as Integer
	'dim as integer invertmask = &h00FF00FF
	
	asm
		'load stuff
		movd mm0, [c1]
		movd mm1, [c2]
		movd mm3, [v]
		mov eax, &h00FF00FF
		movd mm4, eax
		pxor mm5, mm5
		
		'unpack stuff
		punpcklbw mm0, mm5 'c1
		punpcklbw mm1, mm5 'c2
		punpcklwd mm3, mm3 'v
		punpckldq mm3, mm3 'v
		punpckldq mm4, mm4 'invertmask
		
		'process c2
		'c2 *= pos
		pmullw mm1, mm3
		
		'pos = 255-pos
		pxor mm3, mm4
		
		'process c1
		'c1 *= pos
		pmullw mm0, mm3
		
		psrlw mm1, 8 'c1 /= 256
		psrlw mm0, 8 'c2 /= 256
		
		'add and return
		paddusw mm0,mm1
		packuswb mm0,mm5
		movd [function],mm0
		
		emms
	End Asm
End Function

const as single pi = 3.1415926536

Type Vector
	as single X, Y, Z
	
	declare constructor
	declare constructor(x as single, y as single, z as single)
	declare operator [](component as integer) byref as single
	declare property Length as single
	declare property Normalized as Vector
End Type

constructor Vector
End Constructor

constructor Vector(x as single, y as single, z as single)
	this.X = x
	this.Y = y
	this.Z = z
End Constructor

operator Vector.[](component as integer) byref as single
	select case as const component
		case 0 : return X
		case 1 : return Y
		case 2 : return Z
	End Select
End Operator

property Vector.Length as single
	return sqr(X^2+Y^2+Z^2)
End Property

property Vector.Normalized as Vector
	var invLen=1/Length
	return Vector(X*invLen,Y*invLen,Z*invLen)
End Property

function vect(X as single, Y as single, Z as single) as Vector
	dim v as vector
	v.X = X
	v.Y = Y
	v.Z = Z
	return v
End Function

operator +(lhs as vector, rhs as vector) as vector
	return vect(lhs.x+rhs.x, lhs.y+rhs.y, lhs.z+rhs.z)
End Operator

operator -(lhs as vector, rhs as vector) as vector
	return vect(lhs.x-rhs.x, lhs.y-rhs.y, lhs.z-rhs.z)
End Operator

operator -(rhs as vector) as vector
	return vect(-rhs.x, -rhs.y, -rhs.z)
End Operator

operator *(lhs as vector, rhs as vector) as vector
	return vect(lhs.x*rhs.x, lhs.y*rhs.y, lhs.z*rhs.z)
End Operator

operator /(lhs as vector, rhs as vector) as vector
	return vect(lhs.x/rhs.x, lhs.y/rhs.y, lhs.z/rhs.z)
End Operator

operator *(lhs as vector, rhs as single) as vector
	return vect(lhs.x*rhs, lhs.y*rhs, lhs.z*rhs)
End Operator

operator *(lhs as single, rhs as vector) as vector
	return rhs*lhs
End Operator

operator /(lhs as vector, rhs as single) as vector
	return lhs*(1/rhs)
End Operator

operator =(lhs as vector, rhs as vector) as boolean
	return (lhs.X=rhs.X) and (lhs.y=rhs.y) and (lhs.z=rhs.z)
End Operator

operator <>(lhs as vector, rhs as vector) as boolean
	return not(lhs=rhs)
End Operator

function VSize(v as vector) as single
	return sqr(v.x*v.x+v.y*v.y+v.z*v.z)
End Function

function Normal(v as vector) as vector
	var size=VSize(v)
	if size < 0.01 then
		return vect(0,0,0)
	EndIf
	return v/size
End Function

function VRand() as Vector
	' Based on UnMath.h
	dim Result as Vector
	do
		' Check random vectors in the unit sphere so result is statistically uniform.
		Result.X = Rnd()*2 - 1
		Result.Y = Rnd()*2 - 1
		Result.Z = Rnd()*2 - 1
	loop while VSize(Result) > 1
	return Normal(Result)
End Function

function Cross(v1 as vector, v2 as vector) as vector
	return vect(v1.Y*v2.Z - v1.Z*v2.Y, v1.Z*v2.X - v1.X*v2.Z, v1.X*v2.Y - v1.Y*v2.X)
End Function

function Dot(v1 as vector, v2 as vector) as double
	return v1.X*v2.X + v1.Y*v2.Y + v1.Z*v2.Z
End Function

function Lerp(alpha as single, a as Vector, b as Vector) as Vector
	return b*alpha + a*(1-alpha)
End Function

type Vector2
	as single X, Y
	
	declare constructor
	declare constructor(x as single, y as single)
End Type

constructor Vector2
End Constructor

constructor Vector2(x as single, y as single)
	this.X = x
	this.Y = y
End Constructor

dim shared as Vector  PlayerHorVelocity 'for walking. Why the F is this here? FIXME

enum BoxBehindness
	No
	Partially
	Yes
End Enum

type Plane extends Vector
	as single W
	
	declare constructor
	declare constructor(x as single, y as single, z as single, w as single)
	declare constructor(direction as Vector, position as Vector)
	declare function PlaneDot(P as Vector) as single
	declare function IsBoxBehind(boxMin as Vector, boxMax as Vector) as BoxBehindness
End Type

constructor Plane
End Constructor

constructor Plane(x_ as single, y_ as single, z_ as single, w as single)
	this.X = x_
	this.Y = y_
	this.Z = z_
	this.W = w
End Constructor

constructor Plane(direction as Vector, position as Vector)
	this.X = direction.X
	this.Y = direction.Y
	this.Z = direction.Z
	this.W = PlaneDot(position)
End Constructor

function Plane.IsBoxBehind(boxMin as Vector, boxMax as Vector) as BoxBehindness
	dim points(8-1) as Vector
	points(0) = boxMin
	points(1) = boxMax
	points(2) = Vector(boxMin.X,boxMin.Y,boxMax.Z)
	points(3) = Vector(boxMin.X,boxMax.Y,boxMin.Z)
	points(4) = Vector(boxMin.X,boxMax.Y,boxMax.Z)
	points(5) = Vector(boxMax.X,boxMin.Y,boxMin.Z)
	points(6) = Vector(boxMax.X,boxMin.Y,boxMax.Z)
	points(7) = Vector(boxMax.X,boxMax.Y,boxMin.Z)
	dim numBehind as integer
	for i as integer=0 to 8-1
		if PlaneDot(points(i))<0 then numBehind += 1
	Next
	if numBehind=0 then
		return No
	elseif numBehind=8 then
		return Yes
	else
		return Partially
	EndIf
End Function

type BoundingBox
	as Vector Min, Max
	as boolean IsSet
	
	declare constructor
	declare constructor(min_ as Vector, max_ as Vector)
	declare sub Extend(pt as Vector)
	declare sub Extend(bounds as BoundingBox)
	declare function PointInside(pt as Vector) as boolean
End Type

constructor BoundingBox
End Constructor

constructor BoundingBox(min_ as Vector, max_ as Vector)
	Min = min_
	Max = max_
	IsSet = True
End Constructor

sub BoundingBox.Extend(pt as Vector)
	if IsSet=False then
		Min = pt
		Max = pt
		IsSet = True
	else
		if pt.X<Min.X then Min.X=pt.X
		if pt.Y<Min.Y then Min.Y=pt.Y
		if pt.Z<Min.Z then Min.Z=pt.Z
		if pt.X>Max.X then Max.X=pt.X
		if pt.Y>Max.Y then Max.Y=pt.Y
		if pt.Z>Max.Z then Max.Z=pt.Z
	EndIf
End Sub

sub BoundingBox.Extend(bounds as BoundingBox)
	if bounds.IsSet then
		Extend(bounds.Min)
		Extend(bounds.Max)
	EndIf
End Sub

function BoundingBox.PointInside(pt as Vector) as boolean
	if IsSet=False then return False
	if pt.X<Min.X then return False
	if pt.Y<Min.Y then return False
	if pt.Z<Min.Z then return False
	if pt.X>Max.X then return False
	if pt.Y>Max.Y then return False
	if pt.Z>Max.Z then return False
	return True
end function

type Matrix
	dim Values(12-1) as single
	' 0 3 6 9
	' 1 4 7 10
	' 2 5 8 11
	
	' 1 0 0 0
	' 0 1 0 0
	' 0 0 1 0
	
	declare constructor
	declare constructor(i0 As Single, i1 As Single, i2 As Single, i3 As Single, i4 As Single, i5 As Single, i6 As Single, i7 As Single, i8 As Single, i9 As Single, i10 As Single, i11 As Single)
	declare static Function RotationX(rad As Single) As Matrix
	declare static Function RotationY(rad As Single) As Matrix
	declare static Function RotationZ(rad As Single) As Matrix
	declare function Item(row As Integer, col As Integer) byref as single
	declare function Transform(v as Vector) as Vector
End Type

constructor Matrix
End Constructor

constructor Matrix(i0 As Single, i1 As Single, i2 As Single, i3 As Single, i4 As Single, i5 As Single, i6 As Single, i7 As Single, i8 As Single, i9 As Single, i10 As Single, i11 As Single)
	Values( 0) = i0
	Values( 1) = i1
	Values( 2) = i2
	Values( 3) = i3
	Values( 4) = i4
	Values( 5) = i5
	Values( 6) = i6
	Values( 7) = i7
	Values( 8) = i8
	Values( 9) = i9
	Values(10) = i10
	Values(11) = i11
End Constructor

static Function Matrix.RotationX(rad As Single) As Matrix
	Return Matrix(1, 0, 0, 0, Cos(rad), -Sin(rad), 0, Sin(rad), Cos(rad), 0, 0, 0)
End Function

static Function Matrix.RotationY(rad As Single) As Matrix
	Return Matrix(Cos(rad), 0, -Sin(rad), 0, 1, 0, Sin(rad), 0, Cos(rad), 0, 0, 0)
End Function

static Function Matrix.RotationZ(rad As Single) As Matrix
	Return Matrix(Cos(rad), -Sin(rad), 0, Sin(rad), Cos(rad), 0, 0, 0, 1, 0, 0, 0)
End Function

function Matrix.Item(row As Integer, col As Integer) byref as single
	return Values(row + col * 3)
end function

function Matrix.Transform(v as Vector) as Vector
	return Vector( Values( 9) + v.X * Values(0) + v.Y * Values(3) + v.Z * Values(6), _
						Values(10) + v.X * Values(1) + v.Y * Values(4) + v.Z * Values(7), _
						Values(11) + v.X * Values(2) + v.Y * Values(5) + v.Z * Values(8) )
End Function

operator *(lhs as Matrix, rhs as Matrix) as Matrix
	Dim result As Matrix
	
   For outRow as integer = 0 To 2
       For outCol as integer = 0 To 3
           For i as integer = 0 To 3
               result.Item(outRow, outCol) += lhs.Item(outRow, i) * rhs.Item(i, outCol)
           Next
       Next
   Next
	
   Return result
End Operator

type Rotator
	as integer Pitch, Yaw, Roll
	
	declare constructor
	declare constructor(pitch as integer, yaw as integer, roll as integer)
End Type

constructor Rotator
End Constructor

constructor Rotator(pitch as integer, yaw as integer, roll as integer)
	this.Pitch = pitch
	this.Yaw = yaw
	this.Roll = roll
End Constructor

function rot(pitch as integer, yaw as integer, roll as integer) as Rotator
	dim r as rotator
	r.Pitch = pitch
	r.Yaw = yaw
	r.Roll = roll
	return r
End Function

operator +(lhs as Rotator, rhs as Rotator) as Rotator
	return rot(lhs.pitch+rhs.pitch, lhs.yaw+rhs.yaw, lhs.roll+rhs.roll)
End Operator

operator -(rhs as Rotator) as Rotator
	return Rotator(-rhs.Pitch, -rhs.Yaw, -rhs.Roll)
End Operator

operator *(lhs as Rotator, rhs as single) as Rotator
	return rot(lhs.pitch*rhs, lhs.yaw*rhs, lhs.roll*rhs)
End Operator

' TODO: Do we need this separation?
Function _rotate(byval v as Vector, byval r As Rotator) As Vector
	swap r.Pitch, r.Roll
	
   var pitch_radians = csng(r.Pitch) / 65536 * 2 * pi
   var yaw_radians   = csng(r.Yaw  ) / 65536 * 2 * pi
   var roll_radians  = csng(r.Roll ) / 65536 * 2 * pi

   var roll_dist = sqr(v.Y ^ 2 + v.Z ^ 2)
   var roll_angle = Atan2(v.Z, v.Y)
   roll_angle -= roll_radians

   v.Y = Cos(roll_angle) * roll_dist
   v.Z = Sin(roll_angle) * roll_dist

   var pitch_dist = sqr(v.X ^ 2 + v.Z ^ 2)
   var pitch_angle = Atan2(v.Z, v.X)
   pitch_angle += pitch_radians

   v.X = Cos(pitch_angle) * pitch_dist
   v.Z = Sin(pitch_angle) * pitch_dist

   var yaw_dist = sqr(v.Y ^ 2 + v.X ^ 2)
   var yaw_angle = Atan2(v.X, v.Y)
   yaw_angle -= yaw_radians

   v.Y = Cos(yaw_angle) * yaw_dist
   v.X = Sin(yaw_angle) * yaw_dist

   Return v
End Function

function Rotate(byval v as Vector, byval r as Rotator) as Vector
	return _rotate(v, rot(r.Roll,r.Yaw,r.Pitch))
End Function

sub GetAxes(r as Rotator, byref X as Vector, byref Y as Vector, byref Z as Vector)
	X = Rotate(vect(1,0,0),r)
	Y = Rotate(vect(0,1,0),r)
	Z = Rotate(vect(0,0,1),r)
End Sub

function VectorToRotator(v as Vector) as Rotator
	dim result as Rotator
	result.Yaw = atan2(v.Y,v.X)/(2*pi)*65536
	result.Pitch = asin(Normal(v).Z)/(2*pi)*65536
	return result
End Function

function RotatorToVector(r as Rotator) as Vector
	return Rotate(vect(1,0,0), r)
End Function

Function _LinePlaneIntersection(linePt As Vector, lineDir As Vector, p As Plane) As Single
	var planeNormal = Vector(p.X, p.Y, p.Z)
	var f = Dot(lineDir, planeNormal)
	If Abs(f) < 0.001 Then
		Return 0f/0f 'Doesn't intersect
	Else
		Return Dot(planeNormal * p.W - linePt, planeNormal) / f
	EndIf
End Function

Function LinePlaneIntersection(linePt1 As Vector, linePt2 As Vector, p As Plane) As Vector
	var lineDir = (linePt2 - linePt1).Normalized
	var distance = _LinePlaneIntersection(linePt1, lineDir, p)
	Return linePt1 + lineDir * distance
End Function

function point2(x as integer, y as integer, buffer as any ptr) as integer
	return point(x,y,buffer)
End Function

#macro CheckGlError
	scope
		var code=glGetError
		if code<>0 then
			Log("Error: OpenGL 0x" & hex(code) & ", line: " & __LINE__)
		EndIf
	end scope
#endmacro





















'==============================================================================================
' DECLARATIONS:
'==============================================================================================

type IniProperty
	as string Name, Value
End Type
list_define_type_ext(List_Of_IniProperty,IniProperty,False,False,True)

type Ini
	dim Properties as List_Of_IniProperty
	
	declare constructor	
	declare constructor(file as string)
	declare sub Save(file as string)
	declare operator [](propName as string) as const string
	declare sub SetProp(propName as string, propValue as string)
End Type

type ActorProperty
	as string Name, Value
End Type
list_define_type_ext(List_Of_ActorProperty, ActorProperty, False, False, True)

type ActorClass
	dim Package as string
	dim ClassName as string
	dim ParentName as string
	dim Parent as ActorClass ptr
	
	dim Properties as List_Of_ActorProperty
End Type
list_define_type_ext(List_Of_ActorClass_ptr,ActorClass ptr,False,False,True)

dim shared ActorClasses as List_Of_ActorClass_ptr

' An #exec line describing a mesh (scale, textures, sequences, etc)
type MeshLine
	dim Package as string
	dim Name as string 'mesh name
	dim Text as string
End Type

' Loads a .uc and:
' - adds its default properties to DefaultProps
' - adds all #exec stuff related to meshes to MeshLines
declare sub LoadUC(file as string, package as string)
declare sub LoadSystemPackages() ' Load all .3d and .uc files from System\
declare sub LoadSystemPackage(pkg as string)

enum EPolyFlags
	' Regular in-game flags.
	PF_Invisible		= &h00000001,	' Poly is invisible.
	PF_Masked			= &h00000002,	' Poly should be drawn masked.
	PF_Translucent	 	= &h00000004,	' Poly is transparent.
	PF_NotSolid			= &h00000008,	' Poly is not solid, doesn't block.
	PF_Environment   	= &h00000010,	' Poly should be drawn environment mapped.
	PF_ForceViewZone	= &h00000010,	' Force current iViewZone in OccludeBSP (reuse Environment flag)
	PF_Semisolid	  	= &h00000020,	' Poly is semi-solid = collision solid, Csg nonsolid.
	PF_Modulated 		= &h00000040,	' Modulation transparency.
	PF_FakeBackdrop	= &h00000080,	' Poly looks exactly like backdrop.
	PF_TwoSided			= &h00000100,	' Poly is visible from both sides.
	PF_AutoUPan		 	= &h00000200,	' Automatically pans in U direction.
	PF_AutoVPan 		= &h00000400,	' Automatically pans in V direction.
	PF_NoSmooth			= &h00000800,	' Don't smooth textures.
	PF_SpecialPoly		= &h00001000,	' Game-specific poly-level render control (reuse BigWavy flag)
	PF_SmallWavy		= &h00002000,	' Small wavy pattern (for water/enviro reflection).
	PF_Flat				= &h00004000,	' Flat surface.
	PF_LowShadowDetail= &h00008000,	' Low detaul shadows.
	PF_NoMerge			= &h00010000,	' Don't merge poly's nodes before lighting when rendering.
	PF_AlphaBlend     = &h00020000, '227
	PF_DirtyShadows	= &h00040000,	' Dirty shadows.
	PF_BrightCorners	= &h00080000,	' Brighten convex corners.
	PF_SpecialLit		= &h00100000,	' Only speciallit lights apply to this poly.
	PF_NoBoundRejection= &h00200000, ' Disable bound rejection in OccludeBSP (reuse Gourard flag)
	PF_Unlit				= &h00400000,	' Unlit.
	PF_HighShadowDetail= &h00800000,	' High detail shadows.
	PF_Portal			= &h04000000,	' Portal between iZones.
	PF_Mirrored			= &h08000000,	' Reflective surface.
	
	' Yrex:
	'these flags can't change inside a glBegin/glEnd
	PF_BlendingFlags	= PF_Masked or PF_Translucent or PF_Modulated or PF_TwoSided or PF_AlphaBlend
end enum

enum ERenderPass
	Opaque 'Opaque and masked.
	Modulated
	Translucent
End Enum

enum EBlending
	Opaque
	Masked
	Modulated
	Translucent
	Additive
	AlphaBlend
End Enum

declare sub SetBlending(blending as EBlending)

' The function below was taken from examples\graphics\OpenGL\NeHe\createtex.bi, edited by me:
const TEX_MASKED = &h1
const TEX_MIPMAP = &h2
const TEX_NOFILTER = &h4
const TEX_SEMINOFILTER = &h10 'MagNearest -yrex
const TEX_HASALPHA = &h8
declare function CreateTexture(buffer as any ptr, flags as integer=0) as uinteger

type Texture extends Object
	dim Name as string=""
	dim FbBitmap as any ptr=0
	dim OpenGLHandle as integer=0
	dim Flags as EPolyFlags
	dim CurrentLevelOnly as boolean 'Unload when loading another level.
	dim Seen as boolean=True 'Does player see anything with this texture?
	
	declare property USize as integer
	declare property VSize as integer
	declare sub Reupload(x as integer=0, y as integer=0, w as integer=-1, h as integer=-1) 'Re-send the texture (or its part) to the GPU if it was modified
End Type

type ProceduralTexture extends Texture
	declare constructor
	declare constructor(w as integer, h as integer)
	declare virtual sub Tick(deltaTime as single)
End Type

enum ESparkType
	SPARK_Burn				,
	SPARK_Sparkle			,
	SPARK_Pulse				,
	SPARK_Signal			,
	SPARK_Blaze				,
	SPARK_OzHasSpoken		,
	SPARK_Cone				,
	SPARK_BlazeRight		,
	SPARK_BlazeLeft		,
	SPARK_Cylinder			,
	SPARK_Cylinder3D		,
	SPARK_Lissajous 		,
	SPARK_Jugglers   		,
	SPARK_Emit				,
	SPARK_Fountain			,
	SPARK_Flocks			,
	SPARK_Eels				,
	SPARK_Organic			,
	SPARK_WanderOrganic	,
	SPARK_RandomCloud		,
	SPARK_CustomCloud		,
	SPARK_LocalCloud		,
	SPARK_Stars				,
	SPARK_LineLightning	,
	SPARK_RampLightning	,
	SPARK_SphereLightning,
	SPARK_Wheel				,
	SPARK_Gametes    		,
	SPARK_Sprinkler
End Enum

type Spark Field=1
	dim as ubyte SparkType, Heat, X, Y, X_Speed, Y_Speed, Age, ExpTime
End Type

type Particle
	dim as boolean Exists
	dim as ubyte SparkType, Heat, Age, ExpTime
	dim as single X, Y, X_Speed, Y_Speed
End Type

type FireTexture extends ProceduralTexture
	dim UMask as integer '= width-1
	dim VMask as integer '= height-1
	dim Palette(256-1) as integer
	dim bRising as boolean
	dim RenderHeat as ubyte=170
	dim SparksLimit as integer=1024
	redim Sparks   (-1) as Spark
	redim Particles(-1) as Particle
	redim Values(-1,-1) as ushort
	
	dim CurFrame as integer
	
	declare constructor(file as string)
	declare sub Tick(deltaTime as single) override
	
	declare sub AddParticle(byref part as Particle)
	declare sub RemoveParticle(num as integer)
	declare sub DrawPoint(x as integer, y as integer, col as ubyte)
	declare sub DrawLightning(x1 as integer, y1 as integer, x2 as integer, y2 as integer, col1 as ubyte, col2 as ubyte)
End Type

type Drop Field=1
	dim as ubyte DropType, depth, X, Y, ByteA, ByteB, ByteC, ByteD
End Type

type WetTexture extends ProceduralTexture
	dim UMask as integer '= width-1
	dim VMask as integer '= height-1
	dim SourceTexture as Texture ptr
	dim WaveAmp as ubyte=128
	
	dim TimeSeconds as single
	
	redim Drops(-1) as Drop
	
	' Fixed point. 1.0f = 65536
	redim Position(-1,-1) as integer
	redim Velocity(-1,-1) as integer
	
	declare constructor(file as string)
	declare sub Tick(deltaTime as single) override
End Type

declare function GetTexture(texName as string, currentLevelOnly as boolean=False, packageHint as string="", forceSmooth as boolean=False) as Texture ptr

declare sub BindTexture(tex as Texture ptr)

type FontCharacter
	as integer StartU
	as integer StartV
	as integer USize
	as integer VSize
End Type

type FontPage
	dim Texture as Texture ptr
	redim Characters(-1) as FontCharacter
End Type

type Font extends Object
	redim Pages(-1) as FontPage
	dim Height as integer
	
	declare constructor(file as string)
	declare function GetCharacter(code as integer, byref outTexture as Texture ptr) as FontCharacter ptr
End Type

type UV
	as single U, V
	
	declare constructor()
	declare constructor(u as single, v as single)
End Type
list_define_type_ext(List_Of_UV, UV, False, False, True)

type Lightmap_ptr as Lightmap ptr

type ZoneInfo_ptr as ZoneInfo ptr

type Triangle
	as integer iNode
	as ZoneInfo_ptr ZoneActor
	
	' These are per-vertex.
	as Vector V(3-1)
	as UV UV(3-1)
	as UV LightUV(3-1)
	
	as Vector Normal 'per-poly normal (for collision, lighting, etc)
	as Texture ptr Texture
	as Lightmap_ptr Lightmap
	as EPolyFlags Flags
	
	as Vector BoundingSphereLocation
	as single BoundingSphereRadius
	
	declare constructor()
End Type
list_define_type_ext(List_Of_Triangle, Triangle, False, False, True)
list_define_type_ext(List_Of_Triangle_Ptr, Triangle Ptr, False, False, True)

list_define_type_ext(List_Of_Vector, Vector, False, False, True)
type BrushPolygon 'a T3D-style polygon
	as integer iNode
	as ZoneInfo_ptr ZoneActor
	
	as Texture ptr Texture
	as EPolyFlags Flags
	
	as Vector Origin, Normal, TextureU, TextureV
	as integer UPan, VPan
	as List_Of_Vector Verts
End Type

' The points array must have one empty slot after numPoints.
declare sub ClipPolygon(points as Vector ptr, byref numPoints as integer, p as Plane)

' 2021 note: the type Model may become obsolete and fully replaced with BspFile
' There's one Model for the entire level geometry, and separate Models for each Mover.
' The latter ones can have their Location and Rotation changed in real-time.
type Model
	dim Tris     as List_Of_Triangle
	
	dim Mover as any ptr=0 ' Mover this Model belongs to (if any).
	
	declare constructor()
	declare constructor(file as string)
	
	declare sub AddBrushPolygon(poly as BrushPolygon)
	declare sub SortPolys()
End Type

type VertexMeshTriangle field=1
	as ushort Vert1
	as ushort Vert2
	as ushort Vert3
	as ubyte PolyType
	as ubyte Unused1
	as ubyte U1
	as ubyte V1
	as ubyte U2
	as ubyte V2
	as ubyte U3
	as ubyte V3
	as ubyte TextureNum
	as ubyte Unused2
End Type

type VertexMeshSequence
	dim Name as string
	dim StartFrame as integer
	dim NumFrames as integer
	dim Rate as single=30
End Type
list_define_type_ext(List_Of_VertexMeshSequence, VertexMeshSequence, False, False, True)

type VertexMeshNotify
	dim Seq as string
	dim Time as single
	dim FuncName as string
End Type
list_define_type_ext(List_Of_VertexMeshNotify, VertexMeshNotify, False, False, True)

type VertexMesh
	dim Package as string
	dim Name as string
	redim VertData(-1) as uinteger
	dim NumFrames as ushort
	dim FrameSize as ushort
	redim Triangles(-1) as VertexMeshTriangle
	
	dim Origin as Vector
	dim Scale as Vector
	dim Rotation as Rotator
	
	dim Textures(16-1) as Texture ptr
	dim Sequences as List_Of_VertexMeshSequence
	dim Notifies as List_Of_VertexMeshNotify
	
	declare constructor
	declare constructor(animFile as string, dataFile as string, package as string)
	declare function GetVert(frame as ushort, vert as ushort) as Vector
End Type

declare function GetVertexMesh(meshName as string) as VertexMesh ptr

declare function GetFiles(pattern as string) as List_of_String

namespace PolySorter
	type PolyGroup
		dim Blending as EPolyFlags
		dim Texture as Texture ptr
		dim Polys as List_Of_Triangle
	End Type
	
	list_define_type_ext(List_Of_PolyGroup, PolyGroup, False, False, True)
	
	dim PolyGroups as List_Of_PolyGroup
	
	declare sub _AddPoly(byref poly as Triangle)
	declare sub _Clear()
	declare sub _GetPolys(byref mesh as Model)
	declare sub _SetPolysGroup(byref mesh as Model, group as PolyGroup ptr)
	declare sub _SetPolys(byref mesh as Model)
	declare sub SortPolys(byref mesh as Model)
End Namespace

type Cell
	dim Triangles as List_of_Triangle_ptr
	' TODO: Hash location of actors too.
End Type
redim shared Cells(-1,-1,-1) as Cell ' WTF can't make a dynamic array inside a namespace???
namespace LocationHash
	' Divides space into cells to speed up collision etc...
	' Note: One object may reside in multiple cells.
	
	dim EmptyCell as Cell
	dim as Vector MinLocation, MaxLocation
	dim as single CellSize
	
	declare sub GetCellNumAt(byval location as Vector, byref cx as integer, byref cy as integer, byref cz as integer)
	declare sub Init(vMin as Vector, vMax as Vector, newCellSize as single)
	declare sub AddTriangle(tri as Triangle ptr)
	declare function GetCell(x as integer, y as integer, z as integer) byref as Cell
	declare function GetTriangles(vMin as Vector, vMax as Vector, occluded as boolean=False) as List_of_Triangle_ptr
End Namespace

enum ELightEffect
	LE_None,
	LE_TorchWaver,
	LE_FireWaver,
	LE_WateryShimmer,
	LE_Searchlight,
	LE_SlowWave,
	LE_FastWave,
	LE_CloudCast,
	LE_StaticSpot,
	LE_Shock,
	LE_Disco,
	LE_Warp,
	LE_Spotlight,
	LE_NonIncidence,
	LE_Shell,
	LE_OmniBumpMap,
	LE_Interference,
	LE_Cylinder,
	LE_Rotor,
	LE_Sunlight
End Enum

enum ELightType
	LT_None,
	LT_Steady,
	LT_Pulse,
	LT_Blink,
	LT_Flicker,
	LT_Strobe,
	LT_BackdropLight,
	LT_SubtlePulse,
	LT_TexturePaletteOnce,
	LT_TexturePaletteLoop
End Enum

enum EPhysics
	PHYS_None,
	PHYS_Walking,
	PHYS_Falling,
	PHYS_Swimming,
	PHYS_Flying,
	PHYS_Rotating,
	PHYS_Projectile,
	PHYS_Rolling,
	PHYS_Interpolating,
	PHYS_MovingBrush,
	PHYS_Spider,
	PHYS_Trailer
End Enum

type Actor extends Object
	dim Name as string
	dim ClassName as string
	dim MyClass as ActorClass ptr
	dim bDeleteMe as Boolean
	dim CurrentLevelOnly as Boolean=True
	dim Location as Vector
	dim Rotation as Rotator
	dim RotationRate as Rotator
	dim Velocity as Vector
	dim Physics as EPhysics
	dim InitialState as string
	dim Owner as Actor ptr
	dim Instigator as Actor ptr
	dim bStatic as boolean
	
	dim as single CollisionRadius, CollisionHeight
	dim as boolean bCollideActors, bCollideWorld, bBlockPlayers, bProjTarget
	
	dim as boolean touchedByPlayer
	
	dim bHidden as boolean
	enum EStyle
		STY_None
		STY_Normal
		STY_Masked
		STY_Translucent
		STY_Modulated
		STY_AlphaBlend
	End Enum
	dim Style as EStyle = STY_Normal
	dim DrawScale as single=1
	dim ScaleGlow as single=1
	dim SpriteProjForward as single=32
	dim ActorColor as Vector'=Vector(1,1,1)
	dim bIluminated as Boolean
	dim bUnlit as boolean
	
	dim MultiSkins(16-1) as Texture ptr 'For meshes.
	dim Texture          as Texture ptr 'Actually it's for sprites.
	
	dim as ubyte LightBrightness, LightHue, LightSaturation, LightRadius, LightPeriod, LightPhase, LightCone
	dim as ELightEffect LightEffect
	dim as ELightType LightType
	dim as boolean bSpecialLit
	dim as boolean LightFlickerState
	
	' (mainly) for Movers.
	dim Brush as Model ptr
	dim PrePivot as Vector
	dim BoundingSphereRadius as single=512
	
	dim Properties as List_Of_ActorProperty
	declare operator [](byval propName as string) as string
	declare sub SetProp(byval propName as string, propValue as string)
	declare function GetProp(byval propName as string, default as string="") as string
	
	declare function IsA(className as string) as boolean
	
	declare sub LoopAnim(sequence as string, rate as single=1)
	dim Mesh as VertexMesh ptr
	dim AnimSequence as VertexMeshSequence ptr
	dim AnimName as string
	dim AnimFrame as single '0..1
	dim AnimRate as single  'in frames per second
	dim NotifiesCalled as longint 'anim notifies already called (one per bit)
	declare virtual sub AnimNotify(byref notify as VertexMeshNotify)
	declare virtual sub AnimEnd()
	
	declare sub PlaySound(sound as string, slot as integer=0, volume as single=1, bNoOverride as boolean=False, radius as single=1, pitch as single=1)
	
	'as integer Region 'iNode or (isFront shl 31)
	declare sub SetLocation(l as Vector)
	declare sub Move(delta as Vector) 'may call HitWall
	declare sub Walk(delta as Vector, recursion as integer=0)
	' For player: is on a walkable (not too steep) ground?
	dim as boolean bOnGround, bPrevOnGround

	declare virtual sub PreBeginPlay()	
	declare virtual sub BeginPlay()
	declare virtual sub Destroyed()
	declare virtual sub Tick(deltaTime as single)
	declare virtual sub Trigger(other as Actor ptr, instigator as Actor ptr)
	declare virtual sub UnTrigger(other as Actor ptr, instigator as Actor ptr)
	declare virtual sub Touch(other as Actor ptr)
	declare virtual sub UnTouch(other as Actor ptr)
	declare virtual sub HitWall(hitNormal as Vector, wall as Actor ptr)
	
	declare sub SetTimer(NewTimerRate as single, bLoop as boolean)
	dim as boolean timerEnabled, timerLooped
	dim as single timerPeriod, timerTimeLeft
	declare virtual sub OnTimer() 'can't call it Timer() because of a name conflict
	
	declare virtual sub TakeDamage(Damage as integer, EventInstigator as Actor ptr=0, HitLocation as Vector, Momentum as Vector, DamageType as string="")
	dim as boolean bHurtEntry
	declare sub HurtRadius(DamageAmount as single, DamageRadius as single, DamageName as string, Momentum as single, HitLocation as Vector)
	
	' NuPlayer-specific stuff
	declare virtual sub LoadProperties() 'Load T3D properties into native variables
	declare virtual function IsTouchedByPlayer() as boolean
	declare sub CollideWithActors()
	declare sub _tick(deltaTime as single)
	declare sub Iluminate()
	as boolean WillBeRendered
	declare virtual sub Render(pass as ERenderPass)
	declare sub LogProps()
	declare function IsDynamicLight() as boolean
	
End Type

list_define_type_ext(List_Of_Actor_ptr, Actor ptr, True, False, True)

declare sub AddDefaultProperties(byref act as Actor)
declare function ClassIsChildOf(testClass as string, parentClass as string) as Boolean
declare function CreateInstance(className as string) as Actor ptr
declare function Spawn overload(instance as Actor ptr, owner as any ptr=0, tag as string="", location as Vector, rotation as Rotator) as Actor ptr
declare function Spawn(className as string, owner as any ptr=0, tag as string="", location as Vector, rotation as Rotator) as Actor ptr
declare sub Destroy(act as Actor ptr)
declare function FindActorByTag(tag as string) as Actor ptr
declare sub TriggerEvent(tag as string, other as Actor ptr=0, instigator as Actor ptr=0)
declare sub UntriggerEvent(tag as string, other as Actor ptr=0, instigator as Actor ptr=0)

type CBufferSegment
	as CBufferSegment ptr NextSeg
	as single X1, X2
	as integer iSegment 'index in SegmentPool
	
	declare constructor
	declare constructor(x1 as single, x2 as single)
End Type

type CBuffer_ptr as CBuffer ptr

type CBufferLine
	dim Buffer as CBuffer_ptr
	dim Segments as CBufferSegment ptr
	
	declare function CoverSegment(x1 as single, x2 as single, justQuery as boolean=False) as boolean ' Returns whether visible
End Type

type CBuffer
	'0..3. Higher is faster, but more polygons will disappear.
	' 0 - every line
	' 1 - every 2nd line
	' 2 - every 4th line
	' 3 - every 8th line
	' Tune this manually.
	const Precision=1
	const PrecisionFactor=2f^(-Precision)
	const PrecisionMask=(1 shl Precision)-1
	
	dim W as single
	redim Lines(-1) as CBufferLine
	redim CurContour(-1) as CBufferSegment 'Used in current CoverPolygon call. Stored here coz it's faster than allocating it every time.
	dim SegmentPool(3072-1) as CBufferSegment
	dim SegmentPoolUsed(3072/32-1) as ulong 'bit-map that says which objects in the pool are "used".
	
	declare constructor
	declare sub Init(w as integer, h as integer)
	declare sub BeginFrame
	
	' The polygons must be drawn from near to far.
	declare function CoverPolygon(pts as Vector2 ptr, numPts as integer, justQuery as boolean=False) as boolean ' Must be convex counterclockwise. Returns whether visible.
	' Don't merge those back. It turns out to be bad for performance.
	declare function CoverPolygon_FindMinMax  (pts as Vector2 ptr, numPts as integer, byref int_minY as integer, byref int_maxY as integer) as boolean
	declare sub      CoverPolygon_DrawContour (pts as Vector2 ptr, numPts as integer, contour as CBufferSegment ptr, int_minY as integer)
	declare function CoverPolygon_DrawSegments(pts as Vector2 ptr, numPts as integer, justQuery as boolean=False, contour as CBufferSegment ptr, int_minY as integer, int_maxY as integer) as boolean
	
	declare function GetSegment(x1 as single, x2 as single) as CBufferSegment ptr
End Type

type ExportTableItem
	dim ClassName as string
	dim ObjectName as string
	dim ActorPtr as Actor ptr
End Type

type BspSurf_ptr as BspSurf ptr

type Lightmap
	as integer DataOffset
	as Vector  Pan
	as integer UClamp
	as integer VClamp
	as single  UScale
	as single  VScale
	as integer iLightActors
	
	' NuPlayer's new:
	as integer AtlasX, AtlasY, AtlasW, AtlasH
	as integer AmbientColor 'FIXME: One lightmap may have multiple AmbientColors per-node.
	as BspSurf_ptr Surf
	as boolean Seen
	as boolean Dynamic 'illuminated by nonmoving dynamic lights
	as any ptr StaticLightmap
End Type

type BspSurf
	as Texture ptr  Texture
	as integer PolyFlags
	as integer iLightMap
	as Vector  Origin
	as Vector  Normal
	as Vector  TextureU
	as Vector  TextureV
	as short   UPan
	as short   VPan
	
	' NuPlayer's new:
	as ZoneInfo_ptr ZoneActor
End Type

enum EBspNodeFlags
	' Flags.
	NF_NotCsg			= &h01, ' Node is not a Csg splitter, i.e. is a transparent poly.
	NF_ShootThrough	= &h02, ' Can shoot through (for projectile solid ops).
	NF_NotVisBlocking = &h04, ' Node does not block visibility, i.e. is an invisible collision hull.
	NF_PolyOccluded	= &h08, ' Node's poly was occluded on the previously-drawn frame.
	NF_BoxOccluded		= &h10, ' Node's bounding box was occluded.
	NF_BrightCorners	= &h10, ' Temporary.
	NF_IsNew 		 	= &h20, ' Editor: Node was newly-added.
	NF_IsFront     	= &h40, ' Filter operation bounding-sphere precomputed and guaranteed to be front.
	NF_IsBack      	= &h80, ' Guaranteed back.

	' Combinations of flags.
	NF_NeverMove		= 0, ' Bsp cleanup must not move nodes with these tags.
end enum

type BspNode
	as Plane    Plane
	as ulongint ZoneMask
	as ubyte    NodeFlags
	as integer  iVertPool
	as integer  iSurf
	as integer  iChild(3-1)
	as ubyte    iZone(2-1)
	as ubyte    NumVertices
	as integer  iLeaf(2-1)
	'New 2021:
	as integer  iRenderBound=-1
	as integer  iCollisionBound=-1
	as integer  NumChildPolys
	as integer  VisibleFramesLeft 'Some cooldown to reduce flicker
	as List_of_Actor_ptr BackActors  'iChild(0)
	as List_of_Actor_ptr FrontActors 'iChild(1)
End Type

declare function GetLocZone(v as Vector) as ZoneInfo_ptr

type Actor_ptr as Actor ptr

type BspFile field=1
	redim ExportTable(-1) as ExportTableItem
	redim Vectors    (-1) as Vector
	redim Points     (-1) as Vector
	redim Verts      (-1) as integer
	redim Lights     (-1) as integer
	redim LightActors(-1) as Actor ptr 'doesn't have to be a Light subclass
	redim Lightbits  (-1) as ubyte
	redim Lightmaps  (-1) as Lightmap
	redim Surfs      (-1) as BspSurf
	redim Nodes      (-1) as BspNode
	redim Zones      (-1) as integer
	redim ZoneActors (-1) as ZoneInfo_ptr
	redim LeafVisibleZones(-1) as ulongint 'probably useless...
	'NEW 2021:
	redim RenderBounds(-1) as BoundingBox
	redim LeafHulls   (-1) as integer
	dim LightmapAtlas as Texture ptr
	
	declare constructor(file as string)
	declare destructor
	declare sub PrepareLevelModel(byref world as Model)
	declare sub MatchActors(byref acts as List_of_Actor_ptr)
	declare function GetLightmapLights(litmap as Lightmap ptr) as List_of_Actor_ptr
	declare sub PrepareLightmaps(byref mdl as Model)
	declare sub PrepareLightmap(litmap as Lightmap ptr, dynamic_ as boolean)
	declare function GetZoneActor(num as ubyte) as ZoneInfo_ptr
	declare sub InsertActorIntoBsp(act as Actor_ptr, node as BspNode ptr)
	declare sub RemoveActorFromBsp(act as Actor_ptr, node as BspNode ptr)
	private:
	declare static sub SmoothLightmap(bmp as any ptr)
	declare function CountPolys(byref node as BspNode) as integer
	declare function CalcRenderBounds(byref node as BspNode) as BoundingBox
End Type

list_define_type_ext(List_of_BspNode_ptr, BspNode ptr, False, False, True)

' To sort polys by texture before drawing.
type DrawGroup
	dim Texture as Texture ptr
	dim Nodes as List_of_BspNode_ptr
End Type

list_define_type_ext(List_of_DrawGroup, DrawGroup, False, False, True)

type BspRenderer
	public:
	as Vector Location
	as Rotator Rotation
	as single FovRadians=PI*0.5 'Horizontal FOV
	as single zNear=4
	
	declare sub DrawWorld(bsp as BspFile ptr)
	declare sub DrawTransparentPolys
	
	private:
	as BspFile ptr BSP
	
	as integer Width=640, Height=480
	as single InvTanHalfFov
	as single AspectRatio
	as Plane zNearPlane, TopPlane, BottomPlane, LeftPlane, RightPlane 'View frustum
	as Matrix RotationMatrix
	
	as CBuffer CBuffer
	
	dim DrawList as List_of_DrawGroup
	dim TransparentPolygons(512-1) as BspNode ptr
	dim NumTransparentPolygons as integer
	dim PrevFlags as integer
	
	declare function IsBoxVisible(min as Vector, max as Vector, byref fullyInFrustum as boolean=False, skipFrustumCheck as boolean=False) as boolean
	declare function WorldToScreen(worldPos as Vector) as Vector
	declare sub DrawNodeAndChildren(node as BspNode ptr, skipClipping as boolean=False)
	declare sub DrawNode(node as BspNode ptr, skipClipping as boolean=False)
	declare sub SurfaceIsVisible(node as BspNode ptr)
	declare sub ActorIsVisible(act as Actor_ptr) 'Warning: This may be called multiple times for one actor.
	declare sub glDrawNode(node as BspNode ptr)
End Type

declare sub hsv2rgb(byval LBrightness as single, byval LHue as single, byval LSaturation as single, byref r as single, byref g as single, byref b as single)

' For a single spritesheet (lightmap atlas in this case).
' Doesn't do anything to the bitmaps, just computes the layout.
type SpritesheetLayoutMaker
	as integer SheetW, SheetH
	
	private:
	as ulongint HeightSum
	as integer NumSprites
	
	as integer topBaseY, bottomBaseY
	as integer topMaxY , bottomMaxY
	as integer topCurX , bottomCurX
	
	public:
	declare constructor(w as integer, h as integer)
	declare function Add(w as integer, h as integer, byref outX as integer, byref outY as integer) as boolean
end type

namespace T3DParser
	declare Function LineIsAProperty(text As String) As Boolean
	declare function ParseVector(text As String) As Vector
	declare function ParseRotator(text As String) As Rotator
	declare function ExtractVertexFromLine(ln As String) As Vector
	declare sub LoadT3D(file as string, byref actorList as List_Of_Actor_ptr)
End Namespace

declare function ParsePropVector(text As String, default as Vector) As Vector

namespace Menu
	enum EMenuType
		None
		GameOver
		Main
		LoadMap
		Options
		Credits
	End Enum
	dim MenuType as EMenuType
	
	dim as integer PrevMouseX, PrevMouseY
	
	dim Items as List_of_String
	dim CurItem as integer
	
	dim SupportedResolutions as List_of_ScreenMode
	
	dim NewResolution  as integer
	dim NewRefreshRate as integer
	dim NewScreenMode  as integer
	
	declare sub ShowMenu(mtype as EMenuType)
	declare sub Tick(deltaTime as single)
	declare sub Render()
End Namespace

type Inventory extends Actor
	dim bCarried as boolean
	
	dim PlayerViewMesh as VertexMesh ptr
	dim PlayerViewOffset as Vector
	dim PlayerViewScale as single
	
	'declare virtual sub BeginPlay() override
	declare virtual sub Tick(deltaTime as single) override
	declare virtual sub Render(pass as ERenderPass) override
	declare sub DrawCarriedItem(pass as ERenderPass)
	declare sub PickedUp()
	declare virtual sub LoadProperties() override
End Type
list_define_type_ext(List_Of_Inventory_ptr,Inventory ptr,False,False,True)

type Ammo extends Inventory
	dim AmmoAmount as integer=50
	dim MaxAmmo as integer=50
	dim UsedInWeaponSlot(10-1) as boolean
End Type

type Weapon extends Inventory
	dim AmmoName as Ammo ptr
End Type

type PlayerPawn extends Actor
	dim Health as integer=100
	dim LastZoneDamageTime as single
	
	dim Inventory as List_Of_Inventory_ptr
	dim curWeapon as Weapon ptr
	dim LastFireTime as single
	
	dim as single GroundSpeed = 300
	dim as single BaseEyeHeight = 23
	dim as single DefaultBaseEyeHeight = 23
	
	dim ViewJump as single
	dim ScreenFlash as Vector
	
	declare constructor
	declare sub Tick(deltaTime as single) override
	declare sub TakeDamage(Damage as integer, EventInstigator as Actor ptr=0, HitLocation as Vector, Momentum as Vector, DamageType as string="") override
	
	declare function GetViewRotation() as Rotator
End Type

' Ellipsoid-triangle collision.
' This was ported from Kasper Fauerby's paper (http://www.peroxide.dk)
namespace TriCollision
	type VECTOR
		as double x, y, z
		
		declare constructor
		declare constructor(x as double, y as double, z as double)
		declare function cross(byref other as const VECTOR) as VECTOR
		declare function dot  (byref other as const VECTOR) as double
		declare function squaredLength() as double
		declare function length() as double
		declare sub normalize()
	End Type
	
	constructor VECTOR
	End Constructor
	
	constructor VECTOR(x as double, y as double, z as double)
		this.x = x
		this.y = y
		this.z = z
	End Constructor
	
	operator -(byref lhs as const VECTOR, byref rhs as const VECTOR) as VECTOR
		return VECTOR(lhs.x-rhs.x, lhs.y-rhs.y, lhs.z-rhs.z)
	End Operator
	
	operator +(byref lhs as const VECTOR, byref rhs as const VECTOR) as VECTOR
		return VECTOR(lhs.x+rhs.x, lhs.y+rhs.y, lhs.z+rhs.z)
	End Operator
	
	operator *(byref lhs as const double, byref rhs as const VECTOR) as VECTOR
		return VECTOR(lhs*rhs.x, lhs*rhs.y, lhs*rhs.z)
	End Operator
	
	operator *(byref lhs as const single, byref rhs as const VECTOR) as VECTOR
		return VECTOR(lhs*rhs.x, lhs*rhs.y, lhs*rhs.z)
	End Operator
	
	function VECTOR.cross(byref other as const VECTOR) as VECTOR
		return VECTOR(this.Y*other.Z - this.Z*other.Y, this.Z*other.X - this.X*other.Z, this.X*other.Y - this.Y*other.X)
	End Function
	
	function VECTOR.dot(byref other as const VECTOR) as double
		return this.X*other.X + this.Y*other.Y + this.Z*other.Z
	End Function
	
	function VECTOR.squaredLength() as double
		return x*x + y*y + z*z
	End Function
	
	function VECTOR.length() as double
		return sqr(x*x + y*y + z*z)
	End Function
	
	sub VECTOR.normalize()
		dim as double mylength = this.length()
		
		x /= mylength
		y /= mylength
		z /= mylength
	End Sub
	
	type PLANE
		as single equation(4-1)
		as VECTOR origin
		as VECTOR normal
		
		declare constructor(byref origin as const VECTOR, byref normal as const VECTOR)
		declare constructor(byref p1 as const VECTOR, byref p2 as const VECTOR, byref p3 as const VECTOR)
		
		declare function isFrontFacingTo(byref direction as const VECTOR) as const boolean
		declare function signedDistanceTo(byref point as VECTOR) as const double
	End Type
	
	type CollisionPacket
		as VECTOR eRadius ' ellipsoid radius
		' Information about the move being requested: (in R3)
		as VECTOR R3Velocity
		as VECTOR R3Position
		' Information about the move being requested: (in eSpace)
		as VECTOR velocity
		as VECTOR normalizedVelocity
		as VECTOR basePoint
		' Hit information
		as boolean foundCollision
		as double nearestDistance
		as VECTOR intersectionPoint
	end type
	
	#undef point
	#undef point
	declare function checkPointInTriangle(byref point as const VECTOR,byref pa as const VECTOR,byref pb as const VECTOR, byref pc as const VECTOR) as boolean
	declare function getLowestRoot(a as single, b as single, c as single, maxR as single, root as single ptr) as boolean
	declare sub checkTriangle(colPackage as CollisionPacket ptr, byref p1 as const VECTOR, byref p2 as const VECTOR, byref p3 as const VECTOR)
	declare function VectorToVECTOR(v as .Vector) as VECTOR
	declare function CheckCollision(curLoc as .Vector, newLoc as .Vector, triPt1 as .Vector, triPt2 as .Vector, triPt3 as .Vector, colRadius as single, colHeight as single) as boolean
End Namespace

declare function CheckCollisionCubes(pos1 as Vector, radius1 as Vector, pos2 as Vector, radius2 as Vector) as boolean
declare function CheckCollisionCylinders(pos1 as vector, height1 as single, radius1 as single, pos2 as vector, height2 as single, radius2 as single) as Boolean
declare function CheckCollisionCubeCylinder(cubepos as Vector, cuberadius as Vector, cylpos as Vector, cylheight as single, cylradius as single) as boolean
declare function CheckCollisionWithModel(byref mesh as Model, traceStart as Vector, traceEnd as Vector, byref outPoly as Triangle ptr, colRadius as single, colHeight as single) as boolean
declare function CheckCollisionWithWorld(traceStart as Vector, traceEnd as Vector, byref hitNormal as Vector, byref hitActor as Actor ptr, colRadius as single, colHeight as single) as boolean

type Mover extends Actor
	dim MainScale as Vector
	dim PostScale as Vector
	
	dim KeyPos(8-1) as Vector
	dim KeyRot(8-1) as Rotator
	dim InitialPos as Vector
	dim InitialRot as Rotator
	dim NumKeys as ubyte
	dim MoveTime as single=1
	dim StayOpenTime as single=4
	
	dim MoveAmbientSound as integer
	
	private:
	dim position as single
	dim bGlideByTime as boolean=True
	dim stayOpenTimer as single
	dim shouldReturn as Boolean 'does it return after opening and waiting StayOpenTime?
	enum EMoverState
		Closed
		Opening
		Opened
		Closing
	End Enum
	dim state as EMoverState
	declare sub setState(newState as EMoverState)
	dim playerStandsOn as boolean
	
	public:
	declare constructor
	declare virtual sub LoadProperties() override
	declare sub BeginPlay() override
	declare sub Tick(deltaTime as single) override
	declare sub Trigger(other as Actor ptr, instigator as Actor ptr) override
	declare sub Untrigger(other as Actor ptr, instigator as Actor ptr) override
	declare sub Touch(other as Actor ptr) override
	declare sub StoodOn(other as Actor ptr)
	declare sub Render(pass as ERenderPass) override
	
	declare function GetVert(triNum as integer, wedgeNum as ubyte) as Vector
End Type

type Dispatcher extends Actor
	dim OutDelays(8-1) as single
	dim OutEvents(8-1) as string
	
	private:
	dim numEvents as integer
	dim active as boolean
	dim timeToNextEvent as single
	dim nextEventNum as integer
	
	public:
	declare virtual sub LoadProperties() override
	declare sub Tick(deltaTime as single) override
	declare sub Trigger(other as Actor ptr, instigator as Actor ptr) override
End Type

type Counter extends Actor
	declare sub Trigger(other as Actor ptr, instigator as Actor ptr) override
End Type

type Earthquake extends Actor
	' This (+implementation) was ported from UnrealShare.Earthquake:
	dim as single  magnitude
	dim as single  duration
	dim as single  radius
	dim as boolean bThrowPlayer
	dim as single  remainingTime
	
	declare virtual sub LoadProperties() override
	declare sub Tick(deltaTime as single) override
	declare sub Trigger(other as Actor ptr, instigator as Actor ptr) override
	declare sub OnTimer() override
End Type

type ExplosionChain extends Actor
	' This (+implementation) was ported from UnrealShare.ExplosionChain:
	dim as boolean bOnlyTriggerable
	
	dim as single MomentumTransfer
	dim as single Damage
	dim as single Size
	dim as single Delaytime
	
	dim as boolean bExploding
	
	declare virtual sub LoadProperties() override
	declare sub BeginPlay() override
	declare sub TakeDamage(Damage as integer, EventInstigator as Actor ptr=0, HitLocation as Vector, Momentum as Vector, DamageType as string="") override
	declare sub Trigger(other as Actor ptr, instigator as Actor ptr) override
	declare sub OnTimer() override
End Type

type DynamicAmbientSound extends Actor
	' This (+implementation) was ported from UnrealShare.DynamicAmbientSound:
	dim as boolean bInitiallyOn    ' Initial state
	dim as string  Sounds(16-1)    ' What to play (must be at least one sound)
	dim as single  playProbability ' The chance of the sound effect playing
	dim as single  minReCheckTime  ' Try to restart the sound after (min amount)
	dim as single  maxReCheckTime  ' Try to restart the sound after (max amount)
	dim as boolean bDontRepeat     ' Never play two of the same sound in a row
	dim as boolean soundPlaying    ' Is it currently playing it?
	dim as single  rePlayTime
	dim as integer numSounds       ' The number of sounds available
	dim as integer lastSound       ' Which sound was played most recently?
	
	declare virtual sub LoadProperties() override
	declare virtual sub BeginPlay() override
	declare virtual sub OnTimer() override
End Type

type ZoneInfo extends Actor
	dim bWaterZone as boolean
	dim AmbientColor as integer=rgb(0,0,0)
	dim TexUPanSpeed as single=1
	dim TexVPanSpeed as single=1
	
	declare virtual sub LoadProperties() override
End Type

type LevelInfo extends ZoneInfo
	dim Brightness as single=1
	
	declare virtual sub LoadProperties() override
End Type

type DynamicZoneInfo extends ZoneInfo
	dim bIsCube as boolean
	dim as Vector BoxMax, BoxMin
	
	declare virtual sub LoadProperties() override
	declare sub BeginPlay() override
	declare function PointInside(pt as Vector) as boolean
End Type

type TriggerLight extends Actor
	as ubyte MaxBrightness
	
	declare virtual sub BeginPlay() override
	declare virtual sub Trigger(other as Actor ptr, instigator as Actor ptr) override
	declare virtual sub UnTrigger(other as Actor ptr, instigator as Actor ptr) override
End Type

type Projectile extends Actor
	'SpawnSound, ImpactSound
	dim LifeSpan as single=10
	
	declare constructor
	declare virtual sub LoadProperties() override
	declare virtual sub BeginPlay() override
	declare virtual sub Tick(deltaTime as single) override
	declare virtual sub HitWall(hitNormal as Vector, wall as Actor ptr) override
End Type

type DispersionAmmo extends Projectile
	declare sub BeginPlay() override
	declare sub Touch(other as Actor ptr) override
	declare sub HitWall(hitNormal as Vector, wall as Actor ptr) override
End Type

type EnemyProjectile extends Projectile
	declare sub HitWall(hitNormal as Vector, wall as Actor ptr) override
	declare sub Touch(other as Actor ptr) override
End Type

type _emitterParticle
	dim Exists as boolean
	
	dim Location as Vector
	dim Velocity as Vector
	dim Acceleration as Vector
	
	dim Lifetime as single
	dim PassedLifetime as single
	
	dim StartingScale as single
End Type

type Emitter extends Actor
	dim FadeInTime as single=0
	dim FadeOutTime as single=0.1
	
	dim MaxParticles as integer=50
	dim LifetimeRangeMin as single=0.3
	dim LifetimeRangeMax as single=0.4
	dim bOneBurstOnly as boolean=True
	
	dim BoxLocationMin as Vector
	dim BoxLocationMax as Vector
	
	dim BoxVelocityMin as Vector
	dim BoxVelocityMax as Vector
	
	dim ParticleAccelerationMin as Vector
	dim ParticleAccelerationMax as Vector
	
	dim StartingScaleMin as single=0.1
	dim StartingScaleMax as single=0.3
	
	private:
	redim particles(-1) as _emitterParticle
	
	declare sub spawnPart(index as integer) 
	
	public:
	declare constructor
	declare sub Tick(deltaTime as single) override
	declare sub Render(pass as ERenderPass) override
End Type

type AnimSpriteEffect extends Actor
	dim NumFrames as integer
	dim Pause as single
	dim SpriteAnim(20-1) as Texture ptr
	dim bSmooth as boolean=True
	
	private:
	dim TimeSeconds as single
	
	public:
	declare virtual sub LoadProperties() override
	declare virtual sub BeginPlay() override
	declare virtual sub Tick(deltaTime as single) override
	declare sub Render(pass as ERenderPass) override
End Type

type DispersionAmmoHit extends AnimSpriteEffect
	declare virtual sub BeginPlay() override
End Type

type Explosion extends AnimSpriteEffect
	declare virtual sub BeginPlay() override
End Type

type WavySurfaceInfo extends Actor
	redim Values(-1,-1) as Vector
	
	dim as single XGridSpace, YGridSpace
	dim as single TexXSize, TexYSize
	
	dim as single UFromXWavelength, VFromXWavelength, ZFromXWavelength, UFromYWavelength, VFromYWavelength, ZFromYWavelength
	dim as single UFromXAmplitude , VFromXAmplitude , ZFromXAmplitude , UFromYAmplitude , VFromYAmplitude , ZFromYAmplitude
	dim as single UFromXPhase     , VFromXPhase     , ZFromXPhase     , UFromYPhase     , VFromYPhase     , ZFromYPhase
	dim as single UFromXSpeed     , VFromXSpeed     , ZFromXSpeed     , UFromYSpeed     , VFromYSpeed     , ZFromYSpeed
	dim as single USpeed, VSpeed
	
	dim TimeSeconds as single
	
	declare virtual sub LoadProperties() override
	declare sub BeginPlay()
	declare sub Tick(deltaTime as single) override
	declare sub Render(pass as ERenderPass) override
End Type

type ScriptedPawn extends Actor
	'i.e. an enemy.
	
	dim Health as integer=100
	dim bDead as boolean
	
	dim SightRadius as single=256
	dim SightLoseRadius as single=1024
	
	dim RangedProjectile as string
	dim CloseAttackRadius as single=96
	
	dim bCanMove  as boolean=True
	dim bCanFly   as boolean
	dim bCanDodge as boolean
	dim GroundSpeed as single=50
	dim AirSpeed as single=50
	
	dim IdleAnims        as List_of_String
	dim RunAnim          as string
	dim RunFireAnim      as string
	dim StillFireAnims   as List_of_String
	dim CloseAttackAnims as List_of_String
	dim DeathAnims       as List_of_String
	
	private:
	dim seesPlayer as boolean
	dim bDeathFalling as boolean
	
	public:
	declare virtual sub LoadProperties() override
	declare virtual sub BeginPlay() override
	declare virtual sub Tick(deltaTime as single) override
	declare virtual sub HitWall(hitNormal as Vector, wall as Actor ptr) override
	declare sub AnimNotify(byref notify as VertexMeshNotify) override
	declare sub AnimEnd() override
	declare sub TakeDamage(Damage as integer, EventInstigator as Actor ptr=0, HitLocation as Vector, Momentum as Vector, DamageType as string="") override
	declare sub LoopAnimIfDifferent(newAnim as string)
End Type

type Bird1 extends ScriptedPawn
	dim InitialLocation as Vector
	dim CircleRadius as single
	dim TimeSeconds as single
	
	declare constructor
	declare virtual sub LoadProperties() override
	declare virtual sub BeginPlay() override
	declare virtual sub Tick(deltaTime as single) override
End Type

' Drawing stuff.

declare sub DrawMarker(location as Vector, col as integer, size as single=16)
declare sub DrawLine(a as Vector, b as Vector, col as integer=&hFFFFFFFF)
declare sub DrawRect(x as single, y as single, w as single, h as single, col as integer=&hFFFFFFFF)
declare sub DrawCaustics()
declare sub DrawSprite(byval location as Vector, w as single, h as single, projForward as single=0)
declare sub DrawString(fnt as Font ptr, text as string, x as single, y as single, maxX as single=1)
declare sub DrawVertexMesh(byref mesh as VertexMesh, frame as integer=0, pass as ERenderPass, skins as Texture ptr ptr=0)
declare sub DrawWorld(byref mesh as Model, pass as ERenderPass)
declare sub DrawMover(byref mesh as Model, pass as ERenderPass)
declare function ScreenToWorld(byval x as single, byval y as single) as Vector ' (0,0) is top left, (1,1) is bottom right.
declare function ScreenLeft() as single  'X value of left side
declare function RoundXCoord(x as single) as single
declare function RoundYCoord(y as single) as single
const ScreenLeft4x3 = (1f-4f/3f)/2f
const ScreenSize4x3 = 4f/3f

declare sub PlaySong(song as string="", section as integer=0, bSilence as boolean=False)

' General stuff.

'declare sub OccludeLevel()
declare sub LoadLevel(file as string, showLoadingScreen as Boolean=True)
declare sub ShowLogo()
declare sub Throw(ex as string)
declare sub appInit()
declare sub appTick()
declare sub appRender()
declare sub appExit()
declare sub MeasureStart()
declare sub MeasureEnd(text as string)

' Globals.

dim shared as integer ScreenWidth, ScreenHeight, ScreenFlags, ScreenRefreshRate
dim shared as single  Gamma
dim shared as ushort  OldGamma(256*3-1)

dim shared as integer LightmapAtlasSize
dim shared as boolean TraceMeshColor

dim shared as single  GlobalSoundVolume=0.5
dim shared as single  GlobalMusicVolume=0.5
dim shared as integer curSong

dim shared as double TimeSeconds
dim shared as single FOV
dim shared as string TranslatorMessage
dim shared as string InventoryMessage
dim shared as single InventoryMessageTimer
dim shared as single LevelMessageTimer
dim shared as string NextLevel 'Will load this level in the next tick.

list_define_type_ext(List_Of_MeshLine,MeshLine,False,False,True)
list_define_type_ext(List_Of_Texture_Ptr, Texture ptr, False, False, True)
list_define_type_ext(List_Of_VertexMesh_Ptr, VertexMesh ptr, False, False, True)
list_define_type_ext(List_Of_DynamicZoneInfo_Ptr, DynamicZoneInfo ptr, False, False, True)

dim shared as BspFile ptr LevelBsp
dim shared as BspRenderer Renderer
dim shared as Model LevelModel
dim shared as Model SkyModel
dim shared as boolean CanSeeSky
dim shared as string LevelPackageName
dim shared Actors as List_Of_Actor_ptr
dim shared as LevelInfo ptr Level
dim shared as ZoneInfo  ptr SkyZoneInfo
dim shared DynamicZones as List_Of_DynamicZoneInfo_Ptr

dim shared MeshLines as List_Of_MeshLine
dim shared Textures as List_Of_Texture_Ptr
dim shared _curTexture as any ptr=cast(any ptr,-1)
dim shared as List_Of_Integer bassSamples
dim shared VertexMeshes as List_Of_VertexMesh_Ptr

dim shared Settings as Ini

dim shared as PlayerPawn ptr Player
dim shared as ZoneInfo   ptr PlayerZone
dim shared as ZoneInfo   ptr PlayerHeadZone
dim shared as Boolean        PlayerHeadUnderWater
dim shared as single         PlayerHorAcceleration = 50

dim shared as integer  fontTexture
dim shared as Font ptr LargeFont
dim shared as Font ptr MedFont

dim shared as List_Of_Integer causticsTextures
dim shared as integer underwaterSound

'TODO: move to bsprenderer
dim shared as single PrevWateryShimmer(256-1) 'prev keyframe
dim shared as single NextWateryShimmer(256-1) 'next keyframe
dim shared as single WateryShimmer    (256-1) 'current interpolated values
dim shared as single PrevWateryShimmerTime    'prev keyframe time
for i as integer=0 to 255
	PrevWateryShimmer(i) = 0.6+Rnd*0.4
	NextWateryShimmer(i) = 0.6+Rnd*0.4
Next














'==============================================================================================
' IMPLEMENTATIONS:
'==============================================================================================

function Plane.PlaneDot(P as Vector) as single
	return X*P.X + Y*P.Y + Z*P.Z - W
End Function

sub SaveOldGamma()
	_GetDeviceGammaRamp(_GetDC(0),@OldGamma(0))
End Sub

sub RestoreOldGamma()
	if cbool(Settings["RestoreCustomGamma"]) then
		_SetDeviceGammaRamp(_GetDC(0),@OldGamma(0))
	else
		SetGamma(1)
	EndIf
End Sub

sub SetScreen(w as integer, h as integer, rate as integer, fullscreen as boolean, borderless as boolean)
	ScreenWidth = w
	ScreenHeight = h
	ScreenRefreshRate = rate
	ScreenFlags = fb.GFX_OPENGL or fb.GFX_ALPHA_PRIMITIVES
	
	if borderless then
		ScreenControl(FB.GET_DESKTOP_SIZE,ScreenWidth,ScreenHeight)
		ScreenFlags or= FB.GFX_WINDOWED or FB.GFX_NO_FRAME or FB.GFX_NO_SWITCH
	elseif fullscreen then
		ScreenFlags or= fb.GFX_FULLSCREEN
	EndIf
	
	if ScreenRes(ScreenWidth,ScreenHeight,32,,ScreenFlags,ScreenRefreshRate)<>0 then
		Throw("ScreenRes failed. Err=" & err)
	EndIf
End Sub

function GetTextureFile(aName as string, packageHint as string="") as string
	dim as string sPackage, sGroup, sName
	
	var longName = GetLongName(aName)
	var parts = Split(longName,".")
	
	if parts.Count=3 then
		sPackage = parts[0]
		sGroup   = parts[1]
		sName    = parts[2]
	elseif parts.Count=2 then
		sPackage = parts[0]
		sName    = parts[1]
	elseif parts.Count=1 then
		sPackage = packageHint
		sName    = parts[0]
	else
		Log("Bad name " & aName)
	Endif
	
	for j as integer=0 to 2
		var rootDir=""
		select case j
			case 0 : rootDir = "System\"
			case 1 : rootDir = "Textures\"
			case 2 : rootDir = "Maps\" & LevelPackageName & "\"
		End Select
		for i as integer=0 to 4
			var ext=""
			select case i
				case 0 : ext = ".png"
				case 1 : ext = ".jpg"
				case 2 : ext = ".bmp"
				case 3 : ext = ".firet"
				case 4 : ext = ".wett"
			End Select
			dim path as string
			if sGroup<>"" then
				path = rootDir & sPackage & "\Textures\" & sGroup & "\" & sName & ext
			else
				path = rootDir & sPackage & "\Textures\" & sName & ext
			EndIf
			if FileExists(path) then return path
		Next
	next
	
	' look for it in System\package\Textures\*\name.ext
	return FindFile("System\" & sPackage & "\Textures\", sName & ".*")
End Function

function GetSoundFile(aName as string, packageHint as string="") as string
	dim as string sPackage, sGroup, sName
	
	var longName = GetLongName(aName)
	var parts = Split(longName,".")
	
	if parts.Count=3 then
		sPackage = parts[0]
		sGroup   = parts[1]
		sName    = parts[2]
	elseif parts.Count=2 then
		sPackage = parts[0]
		sName    = parts[1]
	elseif parts.Count=1 then
		sPackage = packageHint
		sName    = parts[0]
	else
		Log("Bad name " & aName)
	Endif
	
	for j as integer=0 to 2
		var rootDir=""
		select case j
			case 0 : rootDir = "System\"
			case 1 : rootDir = "Sounds\"
			case 2 : rootDir = "Maps\" & LevelPackageName & "\"
		End Select
		for i as integer=0 to 1
			var ext=""
			select case i
				case 0 : ext = ".ogg"
				case 1 : ext = ".wav"
			End Select
			dim path as string
			if sGroup<>"" then
				path = rootDir & sPackage & "\Sounds\" & sGroup & "\" & sName & ext
			else
				path = rootDir & sPackage & "\Sounds\" & sName & ext
			EndIf
			if FileExists(path) then return path
		Next
	next
	
	' look for it in System\package\Sounds\*\name.ext
	return FindFile("System\" & sPackage & "\Sounds\", sName & ".*")
End Function

constructor Ini
End Constructor

constructor Ini(file as string)
	if FileExists(file)=0 then
		Throw("Can't open """ & file & """: file not found.")
	EndIf
	
	var fileNum = FreeFile()
	open file for input as #fileNum
	
	do
		dim ln as string
		line input #fileNum, ln
		ln = Trim(ln)
		
		dim p as IniProperty
		
      If Left(ln,1) = ";" Then 'comments
      	p.Value = ln
      else
      	var equalsPos = InStr(ln,"=")
			if equalsPos<>0 then
				p.Name = Left(ln,equalsPos-1)
				p.Value = Mid(ln,equalsPos+1)
			else
				p.Value = ln
	      EndIf
      End If
		
		Properties.Add(p)
		
	loop until eof(fileNum)
	
	close fileNum
End constructor

sub Ini.Save(file as string)
	var fileNum = FreeFile()
	open file & ".tmp" for output as #fileNum
	
	for i as integer=0 to Properties.Count-1
		if Properties[i].Name<>"" then
			print #fileNum, Properties[i].Name & "=" & Properties[i].Value
		else
			print #fileNum, Properties[i].Value
		EndIf
	Next
	
	close fileNum
	
	if FileExists(file) then Kill(file)
	Name(file & ".tmp", file)
End Sub

operator Ini.[](propName as string) as const string
	for i as integer=0 to Properties.Count-1
		if NameEq(Properties[i].Name,propName) then
			return Properties[i].Value
		EndIf
	Next
	
	return ""
End Operator

sub Ini.SetProp(propName as string, propValue as string)
	for i as integer=0 to Properties.Count-1
		if NameEq(Properties[i].Name, propName) then
			Properties[i].Value = propValue
			return
		EndIf
	Next
	
	dim prop as IniProperty
	prop.Name = propName
	prop.Value = propValue
	Properties.Add(prop)
End Sub

' Loads a .uc and:
' - adds its default properties to DefaultProps
' - adds all #exec stuff related to meshes to MeshLines
sub LoadUC(file as string, package as string)
	if FileExists(file)=0 then Throw("Can't open """ & file & """: file not found.")
	
	var fileNum = FreeFile()
	open file for input as #fileNum
	
	dim newClass as ActorClass ptr
	dim foundProps as boolean
	dim foundClassName as boolean
	dim foundParentName as boolean
	
	do
		dim ln as string
		line input #fileNum, ln
		
		if ln<>"" then
			ln = Trim(Trim(ln),chr(9))
			
			if foundProps = False Then
				if StartsWith(ln, "#exec") then
					var ln2 = Trim(Mid(ln,6))
					
					if StartsWith(ln2, "mesh") then
						dim meshLn as MeshLine
						meshLn.Package = package
						meshLn.Name = GetStringAfter(ln2,"mesh="," " & chr(9))
						if meshLn.Name="" then
							meshLn.Name = GetStringAfter(ln2,"meshmap="," " & chr(9))
						EndIf
						meshLn.Text = ln
						MeshLines.Add(meshLn)
					EndIf
					
				EndIf
			EndIf
			
			if foundClassName = False then
				if lcase(left(ln,5))="class" then
					newClass = new ActorClass()
					newClass->Package = package
					newClass->ClassName = GetStringAfter(ln, "class ", " ")
					foundClassName = True
					
					
					newClass->ParentName = GetStringAfter(ln, "extends ", "; ")
					if newClass->ParentName<>"" then
						foundParentName = True
					else
						newClass->ParentName = GetStringAfter(ln, "expands ", "; ")
						if newClass->ParentName<>"" then	foundParentName = True
					EndIf
				EndIf
			endif
			
			if foundClassName and (foundParentName=False) then
				var part = lcase(left(ln,7))
				if part="extends" or part="expands" then
					newClass->ParentName = GetStringAfter(ln, "extends ", "; ")
					if newClass->ParentName="" then newClass->ParentName = GetStringAfter(ln, "expands ", "; ")
					if newClass->ParentName<>"" then foundParentName = True
				EndIf
			EndIf
			
			if foundProps = False then
				if ln="defaultproperties" then foundProps = True
			EndIf
			
			if foundProps then
				if InStr(ln,"=") then
					'ignore comments 'TODO: do we need this?
			      If Left(ln,1) = ";" Then
			         Continue Do
			      End If
			      
					var equalsPos = InStr(ln,"=")
					if equalsPos<>0 then
						ln = Trim(Trim(ln),chr(9))
						dim p as ActorProperty
						
						p.Name = Left(ln,equalsPos-1)
						p.Value = Mid(ln,equalsPos+1)
						
						newClass->Properties.Add(p)
					EndIf
				elseif ln="}" then
					if foundProps    =False then Log("Warning: Can't find defaultproperties in " & file)
					if foundClassName=False then Log("Warning: Can't find class name in "        & file)
					
					ActorClasses.Add(newClass)
					newClass = 0
					foundProps      = False
					foundClassName  = False
					foundParentName = False
				EndIf
			EndIf
		EndIf
		
	loop until eof(fileNum)
	
	close fileNum
End Sub

' Load all .3d and .uc files from System\
sub LoadSystemPackages()
	Log("Loading defaultproperties and meshes...")
	
	dim Packages as List_of_String
	
	' List the packages.
	Dim As String curFile = dir("System\*",&h10)
	While curFile<>""
		if (curFile<>".") and (curFile<>"..") then
			Packages.Add(curFile)
		EndIf
		curFile = Dir()
	wend
	
	' Load them.
	for i as integer=0 to Packages.Count-1
		LoadSystemPackage(Packages[i])
	Next
	
	' Set class parents.
	for j as integer=0 to ActorClasses.Count-1
		var curProps = ActorClasses[j]
		var curParentName = LCase(curProps->ParentName)
		' Set the Parent...
		for i as integer=0 to ActorClasses.Count-1
			if LCase(ActorClasses[i]->ClassName) = curParentName then
				curProps->Parent = ActorClasses[i]
				goto nextProps
			EndIf
		Next
		nextProps:
	next
End Sub

function CreateTexture(buffer as any ptr, flags as integer=0) as uinteger
	if buffer=0 then return 0 'added -Yrex
	
	dim p as uinteger ptr
	dim as integer w, h, x, y, col
	dim tex as uinteger
	dim as GLenum fmt, minfilter, magfilter
	dim as FB.PUT_HEADER ptr header = buffer
	dim as integer ptr srcpixptr
	
	function = 0
   
   ImageInfo(buffer,w,h,,,srcpixptr) '-yrex
   srcpixptr += w*(h-1)
   
	if( (w and (w-1)) or (h and (h-1)) ) then
		'Log("Warning: Texture dimensions (" & w & "x" & h & ") aren't power of two")
	end if

	redim dat(0 to (w * h) - 1) as uinteger
	p = @dat(0)

	glGenTextures 1, @tex
	glBindTexture GL_TEXTURE_2D, tex

	for y = h-1 to 0 step -1
		for x = 0 to w-1
			col = *srcpixptr'point2(x, y, buffer)
			'' Swap R and B so we can use the GL_RGBA texture format
			col = rgba(col and &hFF, _
				(col shr 8) and &hFF, _
				(col shr 16) and &hFF, _
				(col shr 24) and &hFF) '-yrex
			if( (flags and TEX_MASKED) and (col = &hFF00FF) ) then
				*p = 0
			elseif (flags and TEX_HASALPHA) then '-yrex
				*p = col
			else
				*p = col or &hFF000000
			end if
			p += 1
			srcpixptr += 1
		next x
		srcpixptr -= w*2
	next y

	if (flags and (TEX_MASKED or TEX_HASALPHA)) then
		fmt = GL_RGBA
	else
		fmt = GL_RGB
	end if

	if (flags and (TEX_NOFILTER or TEX_SEMINOFILTER)) then '-yrex
		magfilter = GL_NEAREST
	else
		magfilter = GL_LINEAR
	end if

	if( flags and TEX_MIPMAP) then
		gluBuild2DMipmaps GL_TEXTURE_2D, fmt, w, h, GL_RGBA, _
			GL_UNSIGNED_BYTE, @dat(0)

		if (flags and TEX_NOFILTER) then
			minfilter = GL_NEAREST_MIPMAP_LINEAR '-yrex
		else
			minfilter = GL_LINEAR_MIPMAP_LINEAR
		end if
	else
		glTexImage2D GL_TEXTURE_2D, 0, fmt, w, h, 0, GL_RGBA, _
			GL_UNSIGNED_BYTE, @dat(0)
		minfilter = magfilter
	end if

	glTexParameteri GL_TEXTURE_2D, GL_TEXTURE_MIN_FILTER, minfilter
	glTexParameteri GL_TEXTURE_2D, GL_TEXTURE_MAG_FILTER, magfilter

	function = tex
end function

property Texture.USize as integer
	if FbBitmap<>0 then
		dim as integer w
		ImageInfo(FbBitmap,w)
		return w
	EndIf
	return 0
End Property

property Texture.VSize as integer
	if FbBitmap<>0 then
		dim as integer h
		ImageInfo(FbBitmap,,h)
		return h
	EndIf
	return 0
End Property

redim shared ReuploadBuffer(256*256-1) as uinteger
sub Texture.Reupload(x as integer=0, y as integer=0, w as integer=-1, h as integer=-1)
	if FbBitmap<>0 then
		dim as integer fullW, fullH, pitch
		dim as integer ptr buffer
		ImageInfo(FbBitmap,fullW,fullH,,pitch,buffer)
		
		if w=-1 then w=fullW
		if h=-1 then h=fullH
		
		if w*h>UBound(ReuploadBuffer)+1 then
			redim ReuploadBuffer(RoundUpToPowerOf2(w*h)-1)
		EndIf
		
		var p = @ReuploadBuffer(0)
		
		' Convert from FB bitmap to OpenGL's format
		for curY as integer = y+h-1 to y step -1
			var psrc = buffer+curY*fullW+x
			for curX as integer = x to x+w-1
				var col = *psrc
				
				col = rgba(col and &hFF, _
					(col shr 8) and &hFF, _
					(col shr 16) and &hFF, _
					(col shr 24))
				*p = col
				
				p += 1
				psrc += 1
			next
		next
		
		CheckGlError
		dim prevTex as uinteger
		glGetIntegerv(GL_TEXTURE_BINDING_2D, @prevTex)
		glBindTexture(GL_TEXTURE_2D, OpenGlHandle)
		glTexSubImage2D(GL_TEXTURE_2D, 0, x, fullH-y-h, w, h, GL_RGBA, GL_UNSIGNED_BYTE, @ReuploadBuffer(0))
		glBindTexture(GL_TEXTURE_2D, prevTex)
		CheckGlError
	EndIf
End Sub

constructor ProceduralTexture
End Constructor

constructor ProceduralTexture(w as integer, h as integer)
	FbBitmap = ImageCreate(w,h,,32)
	OpenGLHandle = CreateTexture(FbBitmap, TEX_SEMINOFILTER)
End Constructor

sub ProceduralTexture.Tick(deltaTime as single)
End Sub

constructor FireTexture(file as string)
	dim as integer w, h
	
	var fileNum = FreeFile()
	open file for binary access read as fileNum
		dim FileType as integer
		get #fileNum, , FileType
		if FileType<>1 then Throw("Bad FireTexture header. (" & file & ")")
		
		get #fileNum, , w
		get #fileNum, , h
		get #fileNum, , this.Palette()
		
		dim as ubyte rising
		get #fileNum, , rising
		bRising = rising
		
		get #fileNum, , RenderHeat
		get #fileNum, , SparksLimit
		if SparksLimit=0 then SparksLimit=1024
		redim Particles(SparksLimit-1)
		
		dim numSparks as integer
		get #fileNum, , numSparks
		
		redim Sparks(numSparks-1)
		get #fileNum, , this.Sparks()
	close fileNum
	
	FbBitmap = ImageCreate(w,h,,32)
	OpenGLHandle = CreateTexture(FbBitmap, TEX_SEMINOFILTER)
	
	redim Values(w-1,h-1)
	UMask = w-1
	VMask = h-1
End Constructor

sub FireTexture.Tick(deltaTime as single)
	CurFrame += 1
	
	dim as integer w, h
	w = UBound(Values,1)+1
	h = UBound(Values,2)+1
	dim as integer wbitmask, hbitmask
	wbitmask = w-1
	hbitmask = h-1
	
	dim as integer pitch
	dim as integer ptr p
	ImageInfo(FbBitmap,w,h,,pitch,p)
	
	' 250 - no change
	' 0 - fade from white to black in 0.5 sec
	dim as integer fade = (cint(RenderHeat)-250) * 8.704
	
	for y as integer=0 to h-1
		for x as integer=0 to w-1
			
			dim as integer value
			if bRising then
				value  = Values(x,y)
				value += Values((x-1) and UMask,(y+1) and VMask)
				value += Values( x             ,(y+1) and VMask)
				value += Values((x+1) and UMask,(y+1) and VMask)
				value shr= 2
			else
				value  = Values(x, (y+1) and VMask)
				value += Values(x, (y-1) and VMask)
				value += Values((x+1) and UMask, y)
				value += Values((x-1) and UMask, y)
				value shr= 2
			EndIf
			value += fade
			if value<0 then value=0
			Values(x,y) = value
			
			*p = this.Palette(Values(x,y) shr 8)
			p += 1
		Next
	Next
	
	for i as integer=0 to UBound(Sparks)
		var s = Sparks(i)
		select case as const s.SparkType
			case ESparkType.SPARK_Sparkle
				DrawPoint(s.X+rnd*100, s.Y, rnd*255)
			case ESparkType.SPARK_Signal
				DrawPoint(s.X, s.Y, 128+rnd*127)
			case ESparkType.SPARK_Blaze
				if (CurFrame and 15)=0 then
					dim p as Particle
					p.SparkType = s.SparkType
					p.X = s.X
					p.Y = s.Y
					p.X_Speed = rnd*4-2
					p.Y_Speed = rnd*4-2
					p.Heat = FMax(1,s.Heat)
					AddParticle(p)
				endif
			case ESparkType.SPARK_OzHasSpoken
				if (CurFrame and 15)=0 then
					dim p as Particle
					p.SparkType = s.SparkType
					p.X = s.X
					p.Y = s.Y
					p.X_Speed = rnd*4-2
					p.Heat = FMax(1,s.Heat)
					AddParticle(p)
				endif
			case ESparkType.SPARK_Cone
				if (CurFrame and 15)=0 then
					dim p as Particle
					p.SparkType = s.SparkType
					p.X = s.X
					p.Y = s.Y
					p.X_Speed = rnd*4-2
					p.Heat = s.Heat
					AddParticle(p)
				endif
			case ESparkType.SPARK_BlazeLeft
				if (CurFrame and 15)=0 then
					dim p as Particle
					p.SparkType = s.SparkType
					p.X = s.X
					p.Y = s.Y
					p.X_Speed = -1-rnd*1
					p.Heat = s.Heat
					AddParticle(p)
				endif
			case ESparkType.SPARK_BlazeRight
				if (CurFrame and 15)=0 then
					dim p as Particle
					p.SparkType = s.SparkType
					p.X = s.X
					p.Y = s.Y
					p.X_Speed = 1+rnd
					p.Heat = s.Heat
					AddParticle(p)
				endif
			case ESparkType.SPARK_Emit
				if (CurFrame and 15)=0 then
					dim p as Particle
					p.SparkType = s.SparkType
					p.X = s.X
					p.Y = s.Y
					p.Heat = s.Heat
					AddParticle(p)
				endif
			case ESparkType.SPARK_LineLightning
				var col = (0.5+rnd*0.5)*s.Heat
				DrawLightning(s.X, s.Y, s.X+s.X_Speed, s.Y+s.Y_Speed, col, col)
			case ESparkType.SPARK_RampLightning
				var col = (0.5+rnd*0.5)*s.Heat
				DrawLightning(s.X, s.Y, s.X+s.X_Speed, s.Y+s.Y_Speed, col, 0)
			case ESparkType.SPARK_SphereLightning
				dim as single radius=s.Age/2
				dim as single angle=0
				dim as integer endX, endY
				angle = rnd*2*pi
				endX = s.X+cos(angle)*radius
				endY = s.Y+sin(angle)*radius
				DrawLightning(s.X, s.Y, endX, endY, s.Heat, 0)
			case else
				DrawPoint(s.X, s.Y, rnd*255)
		End Select
	Next
	
	for i as integer=0 to UBound(Particles)
		var p = Particles(i)
		
		if p.Exists then
			select case as const p.SparkType
				case ESparkType.SPARK_OzHasSpoken
					p.X += p.X_Speed
					p.Y -= 1
					p.Heat -= 1
					if p.Heat=0 then RemoveParticle(i)
				case ESparkType.SPARK_Cone
					p.X += p.X_Speed
					if rnd>0.5 then p.Y += 1
					p.Age += 1
					if p.Age=255 then RemoveParticle(i)
				case ESparkType.SPARK_BlazeLeft
					p.X -= 1
					if rnd>0.5 then p.Y += 1
					p.Age += 1
					if p.Age=255 then RemoveParticle(i)
				case ESparkType.SPARK_BlazeRight
					p.X += 1
					if rnd>0.5 then p.Y += 1
					p.Age += 1
					if p.Age=255 then RemoveParticle(i)
				case ESparkType.SPARK_Emit
					p.Y_Speed -= rnd*2/60
					p.Y += p.Y_Speed
					p.Heat -= 1
					if p.Heat=0 then RemoveParticle(i)
				case else
					p.X += p.X_Speed
					p.Y += p.Y_Speed
					p.Heat -= 1
					if p.Heat=0 then RemoveParticle(i)
			End Select
			
			DrawPoint(p.X, p.Y, p.Heat)
		EndIf
	Next
End Sub

sub FireTexture.AddParticle(byref part as Particle)
	for i as integer=0 to UBound(Particles)
		if Particles(i).Exists = False then
			Particles(i) = part
			Particles(i).Exists = True
			return
		EndIf
	Next
End Sub

sub FireTexture.RemoveParticle(num as integer)
	Particles(num).Exists = False
	Particles(num).SparkType = 0
	Particles(num).Heat = 0
	Particles(num).X = 0
	Particles(num).Y = 0
	Particles(num).X_Speed = 0
	Particles(num).Y_Speed = 0
	Particles(num).Age = 0
	Particles(num).ExpTime = 0
End Sub

sub FireTexture.DrawPoint(x as integer, y as integer, col as ubyte)
	var col16 = cushort(col) shl 8
	Values( x    and UMask,(y-1) and VMask) = col16
	Values((x-1) and UMask, y    and VMask) = col16
	Values( x    and UMask, y    and VMask) = col16
	Values((x+1) and UMask, y    and VMask) = col16
End Sub

sub FireTexture.DrawLightning(byval x1 as integer, byval y1 as integer, byval x2 as integer, byval y2 as integer, byval col1 as ubyte, byval col2 as ubyte)
	dim alongY as boolean
	
	var numpixels = abs(x1-x2)+1
	if abs(y1-y2)>numpixels then
		numpixels = abs(y1-y2)+1
		alongY = True
	EndIf
	
	if alongY then
		if y1>y2 then
			swap x1, x2
			swap y1, y2
			swap col1, col2
		EndIf
	else
		if x1>x2 then
			swap x1, x2
			swap y1, y2
			swap col1, col2
		EndIf
	EndIf
	
	dim noise(numpixels-1) as single
	dim lowpassed as single
	
	for i as integer=1 to numpixels-1
		if rnd>0.5 then
			noise(i) = noise(i-1)+1
		else
			noise(i) = noise(i-1)-1
		EndIf
		if noise(i)>22 then
			noise(i)=22
		elseif noise(i)<-22 then
			noise(i)=-22
		EndIf
		lowpassed = lowpassed*0.98+noise(i)*0.02
		
		noise(i) -= lowpassed
	Next
	
	' Make sure it goes back to 0 at the end
	var fadeoutsize = FMin(numpixels/2,16)
	for i as integer = numpixels-1-fadeoutsize to numpixels-1
		noise(i) *= 1-(i-(numpixels-1-fadeoutsize))/fadeoutsize
	Next
	
	dim as single x, y, dvalue, curcol, dcol
	x = x1
	y = y1
	curcol = col1
	if alongY then
		dvalue = (x2-x1)/numpixels
	else
		dvalue = (y2-y1)/numpixels
	EndIf
	dcol = (csng(col2)-csng(col1))/numpixels
	
	for i as integer=0 to numpixels-1
		if alongY then
			Values((x+noise(i)) and UMask, y and VMask) = curcol shl 8
			y += 1
			x += dvalue
		else
			Values(x and UMask, (y+noise(i)) and VMask) = curcol shl 8
			y += dvalue
			x += 1
		EndIf
		
		curcol += dcol
	Next
End Sub

constructor WetTexture(file as string)
	dim as integer w, h
	dim srcTex as string
	
	var fileNum = FreeFile()
	open file for binary access read as fileNum
		dim FileType as integer
		get #fileNum, , FileType
		if FileType<>2 then Throw("Bad WetTexture header. (" & file & ")")
		
		get #fileNum, , w
		get #fileNum, , h
		
		srcTex = ReadZString(fileNum)
		
		get #fileNum, , WaveAmp
		if WaveAmp=0 then WaveAmp=128
		
		dim numDrops as integer
		get #fileNum, , numDrops
		
		redim Drops(numDrops-1)
		get #fileNum, , this.Drops()
	close fileNum
	
	SourceTexture = GetTexture(srcTex)
	if SourceTexture<>0 andalso SourceTexture->FbBitmap<>0 then
		FbBitmap = ImageCreate(w,h,,32)
		put FbBitmap, (0,0), SourceTexture->FbBitmap, PSet
		OpenGLHandle = CreateTexture(FbBitmap, TEX_SEMINOFILTER)
	EndIf
	
	UMask = w-1
	VMask = h-1
	
	redim Position(w-1,h-1)
	redim Velocity(w-1,h-1)
End Constructor

sub WetTexture.Tick(deltaTime as single)
	dim as integer w, h, numPixels, offsetMask
	ImageInfo(SourceTexture->FbBitmap,w,h)
	w = Min(w, this.USize)
	h = Min(h, this.VSize)
	numPixels  = w*h
	offsetMask = numPixels-1
	
	this.TimeSeconds += deltaTime
	
	if SourceTexture<>0 andalso SourceTexture->FbBitmap<>0 then
		for i as integer=0 to UBound(Drops)
			var drop = Drops(i)
			velocity(drop.X and UMask,drop.Y and VMask) = sin(this.TimeSeconds*7+drop.ByteC/256*2*pi)*drop.Depth*256
		Next
		
		var velPtr = @velocity(0,0)
		var posArrayPtr = @position(0,0)
		var posArrayOffset = 0
		' it's actually stored by columns!
		for x as integer=0 to w-1
			for y as integer=0 to h-1
				*velPtr += ((posArrayPtr[(posArrayOffset+y-h) and offsetMask] + _
								 posArrayPtr[(posArrayOffset+y+h) and offsetMask] + _
								 posArrayPtr[(posArrayOffset+y-1) and offsetMask] + _
								 posArrayPtr[(posArrayOffset+y+1) and offsetMask] )*79) shr 8
				*velPtr -= (posArrayPtr[posArrayOffset+y]*316) shr 8
				*velPtr = (*velPtr*485) shr 9
				
				velPtr += 1
			Next
			posArrayOffset += h
		Next
		
		velPtr = @velocity(0,0)
		var posPtr = @position(0,0)
		for i as integer=0 to numPixels-1
			*posPtr += *velPtr
			posPtr += 1
			velPtr += 1
		Next
		
		dim as integer ptr dstptr, srclineptr
		ImageInfo(FbBitmap,,,,,dstptr)
		ImageInfo(SourceTexture->FbBitmap,,,,,srclineptr)
		for y as integer=0 to h-1
			for x as integer=0 to w-1
				*dstptr = srclineptr[(x+((position(x,y)*WaveAmp) shr (16+2))) and UMask]
				dstptr += 1
			Next
			srclineptr += w
		Next
		
	EndIf
End Sub

function GetTexture(texName as string, currentLevelOnly as boolean=False, packageHint as string="", forceSmooth as boolean=False) as Texture ptr
	if texName="" then return Textures[0]
	
	for i as integer=0 to Textures.Count-1
		if NameEq(Textures[i]->Name, texName) then 'TODO: hashtables would be faster here and when going through MeshLines. Implement a generic hashtable.
			return Textures[i]
		EndIf
	Next
	
	var file = GetTextureFile(texName, packageHint)
	if file="" then
		/'static prevMissingTex as string
		if texName<>prevMissingTex then
			Log("Missing texture " & texName)
			prevMissingTex = texName
		EndIf'/
		return Textures[0] 'Never return a null pointer.
	EndIf
	
	dim t as Texture ptr
	
	if NameEq(right(file,6),".firet") then
		t = new FireTexture(file)
	elseif NameEq(right(file,5),".wett") then
		t = new WetTexture(file)
	else 'ordinary texture
		var image = LoadRGBAFile(file)
		if image<>0 then
			t = new Texture()
			t->FbBitmap = image
			var flags = TEX_MIPMAP or TEX_HASALPHA
			if forceSmooth=False then
				var interpMode = Settings["TexInterpolation"]
				if NameEq(interpMode,"nearest") then
					flags or= TEX_NOFILTER
				elseif NameEq(interpMode,"magnearest") then
					flags or= TEX_SEMINOFILTER
				endif
			endif
			t->OpenGLHandle = CreateTexture(image, flags)
		endif
	EndIf
	
	if t<>0 then
		t->Name = texName
		t->CurrentLevelOnly = currentLevelOnly
		
		var propsFile = ChangeExtension(file, ".ini")
		if FileExists(propsFile) then
			var props = Ini(propsFile)
			if cbool(props["bMasked"]) then t->Flags or= PF_Masked
			if cbool(props["bAlphaBlend"]) then t->Flags or= PF_AlphaBlend
		EndIf
		
		Textures.Add(t)
		return t
	else
		return Textures[0] 'Never return a null pointer.
	EndIf
	
End Function

sub BindTexture(tex as Texture ptr)
	if tex<>0 then tex->Seen = True
	if tex = _curTexture then
		return
	else
		if tex<>0 then
			glBindTexture(GL_TEXTURE_2D, tex->OpenGlHandle)
		else
			glBindTexture(GL_TEXTURE_2D, 0)
		EndIf
		
		_curTexture = tex
	EndIf
End Sub

sub TakeScreenshot()
	dim pixels(ScreenWidth*ScreenHeight-1) as integer
	glReadPixels(0, 0, ScreenWidth, ScreenHeight, GL_RGBA, GL_UNSIGNED_BYTE, @pixels(0))
	var bmp=ImageCreate(ScreenWidth,ScreenHeight)
	
	dim gammaTable(256-1) as ubyte
	for i as integer=0 to 256-1
		gammaTable(i) = ((i/256f)^(1/Gamma))*256
	Next
	
	' Convert format, apply gamma.
	dim as integer pitch
	dim as any ptr buffer
	dim as integer ptr dstPtr
	ImageInfo(bmp,,,,pitch,buffer)
	for y as integer=0 to ScreenHeight-1
		dstPtr = buffer+y*pitch
		for x as integer=0 to ScreenWidth-1
			var col = pixels((ScreenHeight-1-y)*ScreenWidth+x)
			col = rgb(gammaTable( col         and &hFF), _
						 gammaTable((col shr 8 ) and &hFF), _
						 gammaTable((col shr 16) and &hFF)  )
			*dstPtr = col
			dstPtr += 1
		Next
	Next
	
	' Find a free file name.
	var num = 0
	dim fileName as string
	start:
	fileName = "Shot" & Format(num,"0000") & ".png"
	if FileExists(fileName) then
		num += 1
		goto start
	EndIf
	
	SavePNGFile(bmp, fileName)
	
	ImageDestroy(bmp)
End Sub

constructor Font(file as string)
	var fileNum = FreeFile()
	open file for binary access read as fileNum
		dim as integer fileType
		get #fileNum, , fileType
		if fileType<>16 then Throw("Bad Font header. (" & file & ")")
		
		dim numPages as integer
		get #fileNum, , numPages
		
		redim Pages(numPages-1)
		
		for i as integer=0 to numPages-1
			var texName = ReadZString(fileNum)
			
			Pages(i).Texture = GetTexture(texName,False,,True)
			
			dim numCharacters as integer
			get #fileNum, , numCharacters
			
			redim (Pages(i).Characters)(numCharacters-1)
			get #fileNum, , Pages(i).Characters()
		Next
	close fileNum
	
	' Height = max height of a character
	for i as integer=0 to UBound(Pages)
		for j as integer=0 to UBound(Pages(i).Characters)
			if Pages(i).Characters(j).VSize > Height then
				Height = Pages(i).Characters(j).VSize
			EndIf
		Next
	Next
End Constructor

function Font.GetCharacter(code as integer, byref outTexture as Texture ptr) as FontCharacter ptr
	dim as integer pageMinCode, pageMaxCode
	pageMaxCode = -1
	dim charPage as integer
	for i as integer=0 to UBound(Pages)
		pageMinCode = pageMaxCode+1
		pageMaxCode = pageMinCode+UBound(Pages(i).Characters)
		if pageMaxCode>=code then
			' We found the correct page.
			outTexture = Pages(i).Texture
			return @(Pages(i).Characters(code-pageMinCode))
		EndIf
	Next
	
	outTexture = 0
	return 0
	
End Function

constructor CBufferSegment
End Constructor

constructor CBufferSegment(x1 as single, x2 as single)
	this.X1 = x1
	this.X2 = x2
End Constructor

function CBufferLine.CoverSegment(x1 as single, x2 as single, justQuery as boolean=False) as boolean
	if x1>x2 then swap x1, x2 'FIXME: Is this necessary?
	
	' Don't waste time on segments outside the screen.
	if x2<0 then return False
	if x1>buffer->W then return False
	if x1<0 then x1=0
	if x2>buffer->W then x2=buffer->W
	
	'Without this there would be little cracks between polygons,
	'through which other polygons would be visible.
	x1 -= 0.1 'hackhackhack
	x2 += 0.1
	
	' TODO: Doing all of this in (fixed point?) ints could be faster.
	
	if Segments=0 then 'Are we the only segment?
		if justQuery=False then
			Segments = Buffer->GetSegment(x1,x2)
		EndIf
		return True
	elseif x2<Segments->X1 then 'Completely left side?
		if justQuery=False then
			var seg=Buffer->GetSegment(x1,x2)
			if seg<>0 then
				seg->NextSeg=Segments
				Segments=seg
			EndIf
		EndIf
		return True
	else
		'Fully obscured?
		var seg=Segments
		dim lastSeg as CBufferSegment ptr
		while seg<>0
			if x1>=seg->x1 andalso x2<=seg->x2 then
				return False
			EndIf
			lastSeg=seg
			seg=seg->NextSeg
		Wend
		
		'Completely right side?
		if X1>lastSeg->X2 then
			if justQuery=False then
				lastSeg->NextSeg=Buffer->GetSegment(x1,x2)
			EndIf
			return True
		EndIf
		
		if justQuery then return True
		
		'Fully visible between?
		seg=Segments
		while seg<>0 andalso seg->NextSeg<>0
			if x1>seg->x2 andalso x2<seg->NextSeg->x1 then
				var nextSeg=seg->NextSeg
				var midSeg=Buffer->GetSegment(x1,x2)
				if midSeg<>0 then
					seg->NextSeg=midSeg
					midSeg->NextSeg=nextSeg
				EndIf
				return True
			EndIf
			seg=seg->NextSeg
		Wend
		
		'Partially obscured?
		dim last as CBufferSegment ptr
		dim first as CBufferSegment ptr
		dim LastUnaffected as CBufferSegment ptr
		
		seg=Segments
		while seg<>0
			
			if first=0 andalso seg->x2>=x1 then
				first=seg
			EndIf
			if first<>0 andalso LastUnaffected=0 andalso seg->x1>x2 then
				LastUnaffected=seg
				exit while
			EndIf
			
			last=seg
			seg=seg->NextSeg
		Wend
		
		'set first to new values
		if x1<first->X1 then first->X1=x1
		first->X2 = last->X2
		if x2>first->X2 then first->X2=x2
		
		'remove first+1..last
		seg=first->NextSeg
		while seg<>0 and seg<>LastUnaffected
			Buffer->SegmentPoolUsed(seg->iSegment shr 5) and= not(1 shl (seg->iSegment and 31))
			seg=seg->NextSeg
		Wend
		
		first->NextSeg = LastUnaffected
		
		return True
	EndIf
End Function

constructor CBuffer
	for i as integer=0 to UBound(SegmentPool)
		SegmentPool(i).iSegment = i
	Next
End Constructor

sub CBuffer.Init(w as integer, h as integer)
	this.W = w
	if h<>UBound(Lines)+1 then
		redim Lines(h-1)
		for i as long=0 to UBound(Lines)
			Lines(i).Buffer = @this
		Next
		redim CurContour(-1 to h+1) 'Some margin for rounding errors...
	EndIf
End Sub

sub CBuffer.BeginFrame
	for i as integer=0 to UBound(SegmentPoolUsed)
		SegmentPoolUsed(i)=0
	Next
	
	for i as long=0 to UBound(Lines)
		Lines(i).Segments=0
	Next
End Sub

'FIXME: There are still SOME cracks causing overdraw, at least on lower Terraniux levels.
'FIXME: The verts are actually clockwise
function CBuffer.CoverPolygon(pts as Vector2 ptr, numPts as integer, justQuery as boolean=False) as boolean
	dim as integer int_minY, int_maxY
	if CoverPolygon_FindMinMax(pts,numPts,int_minY,int_maxY)=False then return False
	CoverPolygon_DrawContour(pts,numPts,@CurContour(0),int_minY)
	return CoverPolygon_DrawSegments(pts,numPts,justQuery,@CurContour(0),int_minY,int_maxY)
End Function

function CBuffer.CoverPolygon_FindMinMax(pts as Vector2 ptr, numPts as integer, byref int_minY as integer, byref int_maxY as integer) as boolean
	dim as single minY=999999, maxY=-999999
	
	for i as integer=0 to numPts-1
		if __isnanf(pts[i].Y) then return False 'Hack. TODO: properly investivate where these come from.
		if pts[i].Y<minY then minY=pts[i].Y
		if pts[i].Y>maxY then maxY=pts[i].Y
	Next
	
	int_minY = cint(minY)
	int_maxY = cint(maxY)
	
	'if int_maxY<0 orelse int_minY<-1000 orelse int_minY>UBound(Lines) then return False
	
	if (int_maxY-int_minY)>UBound(Lines) then return False
	
	return True
end function

sub CBuffer.CoverPolygon_DrawContour(pts as Vector2 ptr, numPts as integer, contour as CBufferSegment ptr, int_minY as integer)
	' This function is a bottleneck. Not sure how it could be optimized. Perhaps with fixed-point ints? TODO
	for i as integer=0 to numPts-1
		var curPt=pts[i]
		var nextPt=pts[(i+1) mod numPts] 'to/do: mod is slow EDIT: didn't change anything
		
		var int_curY=cint(curPt.Y)
		var int_nextY=cint(nextPt.Y)
		
		if curPt.Y>nextPt.Y then 'right edge
			var curX=curPt.X
			var xStep=(nextPt.X-curPt.X)/(int_curY-int_nextY)
			var cy=int_curY-int_minY
			
			for y as integer=int_curY to int_nextY step -1
				contour[cy].X2 = curX
				curX += xStep
				cy -= 1
			Next
		elseif curPt.Y<nextPt.Y then 'left edge
			var curX=curPt.X
			var xStep=(nextPt.X-curPt.X)/(int_nextY-int_curY)
			var cy=int_curY-int_minY
			
			for y as integer=int_curY to int_nextY
				contour[cy].X1 = curX
				curX += xStep
				cy += 1
			Next
		else'if curPt.Y=nextPt.Y then 'horizontal
			var seg=contour+cint(curPt.Y-int_minY)
			seg->X1 = curPt.X
			seg->X2 = nextPt.X
			
			if seg->X1>seg->X2 then swap seg->X1, seg->X2
		EndIf
	Next
	
end sub

function CBuffer.CoverPolygon_DrawSegments(pts as Vector2 ptr, numPts as integer, justQuery as boolean=False, contour as CBufferSegment ptr, int_minY as integer, int_maxY as integer) as boolean
	var numVisible=0 'Hack. Treat as "occluded" if only one line is visible, to prevent overdraws due to cracks...
	
	var unclipped_int_minY=int_minY
	if int_minY<1 then int_minY=1 '1 seems to fix upper overdraw
	if int_maxY>UBound(Lines) then int_maxY=UBound(Lines)
	
	var maxVisible=iif(int_maxY-int_minY<3,0,1) 'Hack pt.2 ...unless the polygon itself only takes 1-3 lines, which would make it disappear.
	
	for y as integer=int_minY to int_maxY
		if (y shl Precision)>UBound(Lines) then exit for
		numVisible += iif(Lines(y).CoverSegment(contour[y-unclipped_int_minY].X1, contour[y-unclipped_int_minY].X2, justQuery),1,0)
		if justQuery and numVisible>maxVisible then return True 'No need for further checks
	Next
	
	return numVisible>maxVisible
end function

function CBuffer.GetSegment(x1 as single, x2 as single) as CBufferSegment ptr
	for i as integer=0 to UBound(SegmentPoolUsed)
		if SegmentPoolUsed(i)<>&hFFFFFFFF then
			for j as integer=0 to 31
				if ((SegmentPoolUsed(i) shr j) and 1) = 0 then
					' Found an empty slot in the pool.
					SegmentPoolUsed(i) or= 1 shl j
					var seg=@SegmentPool(i shl 5+j)
					seg->X1=x1
					seg->X2=x2
					seg->NextSeg=0
					return seg
				EndIf
			Next
		EndIf
	Next
	
	static NumMessages as integer
	if NumMessages=0 then Log "Ran out of segments"
	NumMessages = (NumMessages+1) and 65535
	
	return 0
end function

constructor UV
End Constructor

constructor UV(u as single, v as single)
	this.U = u
	this.V = v
End Constructor

constructor Triangle
End Constructor

constructor Model
End Constructor

' Take a T3D-style polygon, turn it into OBJ-style triangles.
' UV conversion based on public headers's OpenGL renderer.
sub Model.AddBrushPolygon(poly as BrushPolygon)
	
	dim as single UDot = Dot(poly.TextureU, poly.Origin)
	dim as single VDot = Dot(poly.TextureV, poly.Origin)
	
	dim as integer texW, texH
	
	if poly.Texture<>0 then
		texW = poly.Texture->USize
		texH = poly.Texture->VSize
	EndIf
	
	dim UVs as List_Of_UV
	for i as integer=0 to poly.Verts.Count-1
		dim as single U = Dot(poly.TextureU, poly.Verts[i])
		dim as single V = Dot(poly.TextureV, poly.Verts[i])
		
		dim curUV as UV
			curUV.U = (U-UDot+poly.UPan)/texW
			curUV.V = (V-VDot+poly.VPan)/texH
			curUV.V = 1-curUV.V 'For OpenGL...
		UVs.Add(curUV)
	Next
	
	for i as integer=0 to poly.Verts.Count-2-1
		dim t as Triangle
		
		t.iNode     = poly.iNode
		t.ZoneActor = poly.ZoneActor
		
		t.Texture = poly.Texture
		t.Flags   = poly.Flags
		t.Normal  = poly.Normal
		
		t.UV(0) = UVs[0]
		t.UV(1) = UVs[i+1]
		t.UV(2) = UVs[i+2]
		
		t.V(0) = poly.Verts[0]
		t.V(1) = poly.Verts[i+1]
		t.V(2) = poly.Verts[i+2]
		
		t.BoundingSphereLocation = (t.V(0)+t.V(1)+t.V(2))/3
		
		t.BoundingSphereRadius = VSize(t.BoundingSphereLocation-t.V(0))
		var dist1 = VSize(t.BoundingSphereLocation-t.V(1))
		var dist2 = VSize(t.BoundingSphereLocation-t.V(2))
		if dist1 > t.BoundingSphereRadius then t.BoundingSphereRadius = dist1
		if dist2 > t.BoundingSphereRadius then t.BoundingSphereRadius = dist2
		
		Tris.Add(t)
	Next
End Sub

sub Model.SortPolys()
	PolySorter.SortPolys(this)
End Sub

sub ClipPolygon(points as Vector ptr, byref numPoints as integer, p as Plane)
	
	static isBehind(32) as boolean
	
	var numBehind=0
	for i as integer=0 to NumPoints-1
		isBehind(i) = p.PlaneDot(points[i])<0
		if isBehind(i) then numBehind+=1
	next
	
	if numBehind=0 then return 'no change
	if numBehind=NumPoints then
		NumPoints=0 'cull all
		return 
	endif
	
	dim as integer iLastFront, iLastBehind
	for i as integer=0 to NumPoints-1
		if not isBehind(i) and isBehind((i+1) mod NumPoints) then iLastFront = i
		if isBehind(i) and not isBehind((i+1) mod NumPoints) then iLastBehind = i
	next
	
	var newPoint1 = LinePlaneIntersection(points[iLastBehind],points[(iLastBehind+1) mod NumPoints],p)
	var newPoint2 = LinePlaneIntersection(points[iLastFront ],points[(iLastFront +1) mod NumPoints],p)
	
	static result(32) as Vector
	var resultCount=0
	
	result(0) = newPoint1
	resultCount += 1
	
	var i=(iLastBehind+1) mod NumPoints
	while i<>(iLastFront+1) mod NumPoints
		
		result(resultCount) = points[i]
		resultCount += 1
		
		i=(i+1) mod NumPoints
	Wend
	
	result(resultCount) = newPoint2
	resultCount += 1
	
	for i as integer=0 to resultCount-1
		points[i] = result(i)
	Next
	numPoints = resultCount
End Sub

constructor BspFile(file as string)
	var fileNum = FreeFile()
	open file for binary access read as fileNum
		dim FileType as integer
		get #fileNum, , FileType
		if FileType<>24 then Throw("Bad Level Model header. (" & file & ")")
		
		dim NumExports as integer
		get #fileNum, , NumExports
		redim ExportTable(NumExports-1)
		for i as integer=0 to NumExports-1
			ExportTable(i).ClassName  = ReadZString(fileNum)
			ExportTable(i).ObjectName = ReadZString(fileNum)
		Next
		
		dim NumVectors as integer
		get #fileNum, , NumVectors
		redim Vectors(NumVectors-1)
		get #fileNum, , Vectors()
		
		dim NumPoints as integer
		get #fileNum, , NumPoints
		redim Points(NumPoints-1)
		get #fileNum, , Points()
		
		dim NumVerts as integer
		get #fileNum, , NumVerts
		redim Verts(NumVerts-1)
		get #fileNum, , Verts()
		
		dim NumLights as integer
		get #fileNum, , NumLights
		redim Lights(NumLights-1)
		redim LightActors(NumLights-1)
		get #fileNum, , Lights()
		
		dim NumLightbitBytes as integer
		get #fileNum, , NumLightbitBytes
		redim Lightbits(NumLightbitBytes-1)
		
		get #fileNum, , Lightbits()
		
		dim NumLightmaps as integer
		get #fileNum, , NumLightmaps
		redim Lightmaps(NumLightmaps-1)
		for i as integer=0 to NumLightmaps-1
			get #fileNum, , Lightmaps(i).DataOffset
			get #fileNum, , Lightmaps(i).Pan
			get #fileNum, , Lightmaps(i).UClamp
			get #fileNum, , Lightmaps(i).VClamp
			get #fileNum, , Lightmaps(i).UScale
			get #fileNum, , Lightmaps(i).VScale
			get #fileNum, , Lightmaps(i).iLightActors
		Next
		
		dim NumSurfs as integer
		get #fileNum, , NumSurfs
		redim Surfs(NumSurfs-1)
		for i as integer=0 to NumSurfs-1
			Surfs(i).Texture = GetTexture(ReadZString(fileNum),True)
			get #fileNum, , Surfs(i).PolyFlags
			get #fileNum, , Surfs(i).iLightMap
			get #fileNum, , Surfs(i).Origin
			get #fileNum, , Surfs(i).Normal
			get #fileNum, , Surfs(i).TextureU
			get #fileNum, , Surfs(i).TextureV
			get #fileNum, , Surfs(i).UPan
			get #fileNum, , Surfs(i).VPan
		Next
		
		dim NumNodes as integer
		get #fileNum, , NumNodes
		redim Nodes(NumNodes-1)
		for i as integer=0 to NumNodes-1
			get #fileNum, , Nodes(i).Plane
			get #fileNum, , Nodes(i).ZoneMask
			get #fileNum, , Nodes(i).NodeFlags
			get #fileNum, , Nodes(i).iVertPool
			get #fileNum, , Nodes(i).iSurf
			get #fileNum, , Nodes(i).iChild(0)
			get #fileNum, , Nodes(i).iChild(1)
			get #fileNum, , Nodes(i).iChild(2)
			get #fileNum, , Nodes(i).iZone(0)
			get #fileNum, , Nodes(i).iZone(1)
			get #fileNum, , Nodes(i).NumVertices
			get #fileNum, , Nodes(i).iLeaf(0)
			get #fileNum, , Nodes(i).iLeaf(1)
		Next
		
		dim NumZones as integer
		get #fileNum, , NumZones
		redim Zones(NumZones-1)
		redim ZoneActors(NumZones-1)
		get #fileNum, , Zones()
		
		dim NumLeaves as integer
		get #fileNum, , NumLeaves
		redim LeafVisibleZones(NumLeaves-1)
		get #fileNum, , LeafVisibleZones()
		
		'New (2021) file format:
		if loc(fileNum)<lof(fileNum) then
			dim numLeafHulls as integer
			get #fileNum, , numLeafHulls
			redim LeafHulls(numLeafHulls-1)
			get #fileNum, , LeafHulls()
			
			for i as integer=0 to numNodes-1
				get #fileNum, , Nodes(i).iCollisionBound
			Next
		EndIf
		
	close fileNum
	
	CountPolys(Nodes(0))
	
	' This fixes some BSP holes and also makes c-buffer not crash.
	redim RenderBounds(-1)
	CalcRenderBounds(Nodes(0))
End Constructor

destructor BspFile
	for i as integer=0 to UBound(Lightmaps)
		if Lightmaps(i).StaticLightmap<>0 then
			ImageDestroy(Lightmaps(i).StaticLightmap)
		EndIf
	Next
End Destructor

sub BspFile.PrepareLevelModel(byref world as Model)
	world.Tris.Clear()
	
	for i as integer=0 to UBound(Nodes)
		var n = @Nodes(i)
		
		if n->NumVertices>=3 then
			dim curPoly as BrushPolygon
			curPoly.iNode = i
			
			var surf = @Surfs(n->iSurf)
			if surf->Texture<>0 then
				curPoly.Texture = surf->Texture
			EndIf
			curPoly.Flags    = surf->PolyFlags
			curPoly.Origin   = surf->Origin
			curPoly.Normal   = -surf->Normal ' Flip the normals.
			curPoly.TextureU = surf->TextureU
			curPoly.TextureV = surf->TextureV
			curPoly.UPan     = surf->UPan
			curPoly.VPan     = surf->VPan
			
			curPoly.ZoneActor = GetZoneActor(n->iZone(1))
			
			if curPoly.Flags and PF_FakeBackdrop then
				curPoly.Flags or= PF_Invisible
			EndIf
		
			For i as integer = n->iVertPool to n->iVertPool + n->NumVertices - 1 
				curPoly.Verts.Add(Points(Verts(i)))
			Next
			
			world.AddBrushPolygon(curPoly)
		endif
		
	Next
	
End Sub

sub BspFile.MatchActors(byref acts as List_of_Actor_ptr)
	for i as integer=0 to UBound(ExportTable)
		for j as integer=0 to acts.Count-1
			if NameEq(ExportTable(i).ObjectName, acts[j]->Name) andalso NameEq(ExportTable(i).ClassName, acts[j]->ClassName) then
				ExportTable(i).ActorPtr = acts[j]
				goto nextExport
			EndIf
		Next
		
		nextExport:
	Next
	
	for i as integer=0 to UBound(Lights)
		if Lights(i)<>0 then
			LightActors(i) = ExportTable(Lights(i)-1).ActorPtr
		else
			LightActors(i) = 0
		EndIf
	Next
	
	for i as integer=0 to UBound(Zones)
		if Zones(i)<>0 then
			ZoneActors(i) = cast(ZoneInfo_ptr, ExportTable(Zones(i)-1).ActorPtr)
		else
			ZoneActors(i) = 0
		EndIf
	Next
	
	for i as integer=0 to UBound(Nodes)
		var n=@Nodes(i)
		
		if n->iSurf<>-1 then
			var surf = @Surfs(n->iSurf)
			surf->ZoneActor = GetZoneActor(n->iZone(1))
		EndIf
	Next
End Sub

sub BspFile.SmoothLightmap(bmp as any ptr)
	dim as integer w, h
	dim as integer ptr srcptr, dstptr
	ImageInfo(bmp,w,h,,,dstptr)
	
	var copy = ImageCreate(w,h,32) 'Don't make this static. I tried and it became slower.
	put copy, (0,0), bmp, PSet
	ImageInfo(copy,,,,,srcptr)
	
	' TODO: smooth borders properly.
	for y as integer=2 to h-3 'FIXME: why this isn't 1?
		var cursrcptr = srcptr+w*y+2
		var curdstptr = dstptr+w*y+2
		for x as integer=2 to w-3
			dim col as integer
			
			' Current and neighboring pixels
			dim as integer c0, c1, c2, c3, c4, c5, c6, c7, c8
			c0 = cursrcptr[ 0]
			c1 = cursrcptr[-1]
			c2 = cursrcptr[ 1]
			c3 = cursrcptr[-w]
			c4 = cursrcptr[ w]
			c5 = cursrcptr[-w-1]
			c6 = cursrcptr[ w+1]
			c7 = cursrcptr[-w+1]
			c8 = cursrcptr[ w-1]
			
			dim as longint multiplier = 14355442858917939
			
			asm
				pxor mm7, mm7
				
				movd mm0, [c0]
				punpcklbw mm0, mm7
				
				movd mm1, [c1]
				punpcklbw mm1, mm7
				paddusw mm0, mm1
				
				movd mm1, [c2]
				punpcklbw mm1, mm7
				paddusw mm0, mm1
				
				movd mm1, [c3]
				punpcklbw mm1, mm7
				paddusw mm0, mm1
				
				movd mm1, [c4]
				punpcklbw mm1, mm7
				paddusw mm0, mm1
				
				movq mm6, [multiplier]
				pmullw mm0, mm6
				psrlw mm0, 8
				
				packuswb mm0, mm7
				movd [col], mm0
				emms
			End Asm
			
			*curdstptr = col
			cursrcptr += 1
			curdstptr += 1
		Next
	Next
	
	ImageDestroy(copy)
End Sub

function BspFile.GetLightmapLights(litmap as Lightmap ptr) as List_of_Actor_ptr 'TODO: replace with Lightmap.Lights
	dim as List_of_Actor_ptr result
	
	if litmap->iLightActors<>-1 then
		' Get light actors.
		for j as integer=litmap->iLightActors to UBound(Lights)
			var lightObjRef = Lights(j)
			if lightObjRef=0 then
				exit for
			else
				var lightActor = ExportTable(lightObjRef-1).ActorPtr
				
				result.Add(lightActor)
			EndIf
		Next
	endif
	
	return result
End Function

list_define_type_ext(List_of_Lightmap_ptr,Lightmap ptr,False,False,True)

function _LitmapHeightSorter(byref a as Lightmap ptr, byref b as Lightmap ptr) as integer
	' return -1 if a is before b
	
	if (a=0) or (b=0) then return 0
	
	if a->VClamp > b->VClamp then
		return -1
	else
		return 0
	EndIf
End function

sub BspFile.PrepareLightmaps(byref mdl as Model) 'TODO: Move to BspRenderer
	
	' Assign zone ambient light and other stuff to lightmaps.
	'FIXME: One lightmap may have multiple AmbientColors per-node.
	for i as integer=0 to UBound(Nodes)
		var n=@Nodes(i)
		
		dim zoneActor as ZoneInfo ptr
		zoneActor = GetZoneActor(n->iZone(1))
		
		if n->iSurf<>-1 then
			var surf = @Surfs(n->iSurf)
			if surf->iLightMap<>-1 then
				var litmap=@Lightmaps(surf->iLightMap)
				litmap->AmbientColor = zoneActor->AmbientColor
				litmap->Surf = surf
			EndIf
		EndIf
	Next
	
	' A single spritesheet/atlas for all lightmaps (to avoid binding textures all the time).
	var atlas_maker = SpritesheetLayoutMaker(LightmapAtlasSize,LightmapAtlasSize)
	
	LightmapAtlas = new Texture()
	LightmapAtlas->FbBitmap = ImageCreate(LightmapAtlasSize,LightmapAtlasSize,32)
	'clear it with black
	line LightmapAtlas->FbBitmap, (0,0)-(atlas_maker.SheetW,atlas_maker.SheetH), rgb(0,0,0), BF
	CheckGlError
	LightmapAtlas->OpenGLHandle = CreateTexture(LightmapAtlas->FbBitmap)
	CheckGlError
	LightmapAtlas->CurrentLevelOnly = True
	Textures.Add(LightmapAtlas)
	
	' Make a temporary list of lightmaps sorted by height descending
	dim sortedLitmaps as List_of_Lightmap_ptr
	for i as integer=0 to UBound(Lightmaps)
		sortedLitmaps.Add(@Lightmaps(i))
	Next
	sortedLitmaps.Sort(ProcPtr(_LitmapHeightSorter))
	
	dim shownError as boolean
	
	' Generate lightmaps...
	for i as integer=0 to sortedLitmaps.Count-1
		var litmap = sortedLitmaps[i]
		
		if litmap->DataOffset<>-1 then
			dim as integer w, h
			w = RoundUp(litmap->UClamp,8)
			h = litmap->VClamp
			
			' Add it to the atlas.
			dim as integer atlas_curx, atlas_cury
			if atlas_maker.Add(w,h,atlas_curx,atlas_cury) then
				litmap->AtlasX = atlas_curx
				litmap->AtlasY = atlas_cury
				litmap->AtlasW = w
				litmap->AtlasH = h
				litmap->StaticLightmap = ImageCreate(w,h,32)
				PrepareLightmap(litmap, False)
			else
				if not shownError then
					Log("Error: Can't fit lightmaps on atlas")
					shownError = True
				EndIf
			EndIf
			
		EndIf
	Next
	
	sortedLitmaps.Clear()
	
	' Assign the lightmaps and light UVs to polygons.
	for i as integer=0 to mdl.Tris.Count-1
		var tri = @mdl.Tris[i]
		var iSurf = Nodes(tri->iNode).iSurf
		var surf = @Surfs(iSurf)
		
		if (surf->iLightMap<>-1) andalso (Lightmaps(surf->iLightMap).DataOffset<>-1) then
			var litmap = @Lightmaps(surf->iLightMap)
			
			var UDot = Dot(surf->TextureU, surf->Origin)
			var VDot = Dot(surf->TextureV, surf->Origin)
			
			tri->Lightmap = litmap
			
			for vnum as integer=0 to 3-1
				dim as single U = Dot(surf->TextureU, tri->V(vnum))
				dim as single V = Dot(surf->TextureV, tri->V(vnum))
				
				tri->LightUV(vnum).U = ((U-UDot-litmap->Pan.X)/litmap->UScale+0.5)/litmap->AtlasW
				tri->LightUV(vnum).V = ((V-VDot-litmap->Pan.Y)/litmap->VScale+0.5)/litmap->AtlasH
			Next
			
		EndIf
		
	Next
End Sub

/'
	Optimization progress (in LightEffects.t3d at 640x480):
	normal	fast
	20 fps	34 fps
	24 fps	38 fps
	26 fps	38 fps
	29 fps	44 fps
	47 fps	59 fps	
	63 fps	90 fps
	65 fps
'/
sub BspFile.PrepareLightmap(litmap as Lightmap ptr, dynamic_ as boolean)
	' Lightmap to world coord conversion based on:
	' https://github.com/dpjudas/UTEngine/blob/master/UTEngine/Renderer/LightRender.cpp
	'
	'  UTEngine
	'  Copyright (c) 2021 Magnus Norddahl
	'
	'  This software is provided 'as-is', without any express or implied
	'  warranty.  In no event will the authors be held liable for any damages
	'  arising from the use of this software.
	'
	'  Permission is granted to anyone to use this software for any purpose,
	'  including commercial applications, and to alter it and redistribute it
	'  freely, subject to the following restrictions:
	'
	'  1. The origin of this software must not be misrepresented; you must not
	'     claim that you wrote the original software. If you use this software
	'     in a product, an acknowledgment in the product documentation would be
	'     appreciated but is not required.
	'  2. Altered source versions must be plainly marked as such, and must not be
	'     misrepresented as being the original software.
	'  3. This notice may not be removed or altered from any source distribution.
	
	var UDot = dot(litmap->Surf->TextureU, litmap->Surf->Origin)
	var VDot = dot(litmap->Surf->TextureV, litmap->Surf->Origin)
	var LMUPan = UDot + litmap->Pan.X - 0.5f * litmap->UScale
	var LMVPan = VDot + litmap->Pan.Y - 0.5f * litmap->VScale
	var LMUMult = 1.0f / litmap->UScale
	var LMVMult = 1.0f / litmap->VScale
	
	dim p(2) as Vector = { _
		litmap->Surf->Origin, _
		litmap->Surf->Origin + litmap->Surf->TextureU, _
		litmap->Surf->Origin + litmap->Surf->TextureV  _
	}
	
	dim uv(2) as Vector
	for j as integer = 0 to 2
		uv(j) = Vect( _
			(dot(litmap->Surf->TextureU, p(j)) - LMUPan) * LMUMult, _
			(dot(litmap->Surf->TextureV, p(j)) - LMVPan) * LMVMult,  _
			0 _
		)
	next
	
	var leftDX = uv(2).x - uv(0).x
	var leftDY = uv(2).y - uv(0).y
	var leftStep = leftDX / leftDY
	var rightDX = uv(2).x - uv(1).x
	var rightDY = uv(2).y - uv(1).y
	var rightStep = rightDX / rightDY
	
	var curLights = GetLightmapLights(litmap) 'TODO: move to lightmap
	
	dim as integer w, h
	w = RoundUp(litmap->UClamp,8)
	h = litmap->VClamp
	
	dim litbuff as any ptr
	if dynamic_ then
		litbuff = ImageCreate(w,h,32) 'Don't make this static. I tried and it became slower.
		put litbuff, (0,0), litmap->StaticLightmap, pset
	else
		litbuff = litmap->StaticLightmap
		line litbuff, (0,0)-(w,h), litmap->AmbientColor, BF 'fill it with zone ambient light
	EndIf
	
	for j as integer=0 to curLights.Count-1
		var light = curLights[j]
		if light=0 then continue for
		
		if light->bSpecialLit<>cbool(litmap->Surf->PolyFlags and PF_SpecialLit) then continue for
		
		var isDynamicLight = light->IsDynamicLight
		if isDynamicLight then litmap->Dynamic=True
		if isDynamicLight<>dynamic_ then continue for
		
		if light->LightBrightness=0 then continue for
		
		dim lightFront as Vector
		dim lightCone as single
		select case as const light->LightEffect
			case LE_StaticSpot, LE_SpotLight
				lightFront = Rotate(vect(1,0,0),light->Rotation)
				lightCone = 255/light->LightCone
		End Select
		
		var bitnum=w*h*j
		
		dim as single LightBrightness
		dim as single LightR, LightG, LightB
		LightBrightness=light->LightBrightness
		select case as const light->LightType
			case LT_Pulse
				LightBrightness *= sin((TimeSeconds/(light->LightPeriod/64f)+light->LightPhase/128f)*pi)*0.375+0.625
			case LT_Flicker, LT_Strobe
				if light->LightFlickerState then continue for
			case LT_SubtlePulse
				LightBrightness *= sin((TimeSeconds/(light->LightPeriod/64f)+light->LightPhase/128f)*pi)*0.25+0.75
		End Select
		
		hsv2rgb(LightBrightness,light->LightHue,light->LightSaturation,LightR,LightG,LightB)
		
		LightR *= 255*1.75*Level->Brightness
		LightG *= 255*1.75*Level->Brightness
		LightB *= 255*1.75*Level->Brightness
		LightR = FMin(255,FMax(0,LightR))
		LightG = FMin(255,FMax(0,LightG))
		LightB = FMin(255,FMax(0,LightB))
		
		var x0 = uv(0).x + leftStep  * (    0.5f - uv(0).y) + 0.5f
		var x1 = uv(1).x + rightStep * (    0.5f - uv(1).y) + 0.5f
		var t0 = (    0.5f - uv(0).y) / leftDY
		var t1 = (    0.5f - uv(1).y) / rightDY
		var p0 = lerp(t0, p(0), p(2))
		var p1 = lerp(t1, p(1), p(2))
		
		var x0_maxExcl = uv(0).x + leftStep  * (h + 0.5f - uv(0).y) + 0.5f
		var x1_maxExcl = uv(1).x + rightStep * (h + 0.5f - uv(1).y) + 0.5f
		var t0_maxExcl = (h + 0.5f - uv(0).y) / leftDY
		var t1_maxExcl = (h + 0.5f - uv(1).y) / rightDY
		var p0_maxExcl = lerp(t0_maxExcl, p(0), p(2))
		var p1_maxExcl = lerp(t1_maxExcl, p(1), p(2))
		
		var x0_step = (x0_maxExcl-x0)/h
		var x1_step = (x1_maxExcl-x1)/h
		var p0_step = (p0_maxExcl-p0)/h
		var p1_step = (p1_maxExcl-p1)/h
		
		dim pixelptr as integer ptr
		ImageInfo(litbuff,,,,,pixelptr)
		
		for y as integer=0 to h-1
			var curPos              = lerp((    0.5f - x0) / (x1 - x0), p0, p1) 'world-space position of current texel
			var curPos_maxExclusive = lerp((w + 0.5f - x0) / (x1 - x0), p0, p1)
			var curPos_step         = (curPos_maxExclusive-curPos)/w
			
			for x as integer=0 to w-1
				var index = litmap->DataOffset+(bitnum shr 3)
				
				if (Lightbits(index) shr (bitnum and 7)) and 1 then
					var relativePos = curPos-light->Location
					var distance = VSize(relativePos)
					var lightRadius = light->LightRadius*25f
					
					var brightness = 1f
					
					select case as const light->LightEffect
						case LE_Cylinder, LE_Shell, LE_SunLight
						case else
							brightness *= FMax(0,1-(distance/lightRadius))
					End Select
					
					select case as const light->LightEffect
						case LE_NonIncidence, LE_Cylinder, LE_Shell, LE_SunLight
						case else
							brightness *= FMax(0,Dot(relativePos/distance,litmap->Surf->Normal))^1.4
					End Select
					
					select case as const light->LightEffect
						case LE_TorchWaver
							brightness *= 0.9+Rnd*0.1
						case LE_FireWaver
							brightness *= 0.8+Rnd*0.2
						case LE_WateryShimmer
							brightness *= WateryShimmer(bitnum and 255)
						case LE_Rotor
							brightness *= FMax(abs(frac2((atan2(relativePos.Y,relativePos.X)/2/pi-TimeSeconds/12)*6)*2-1), 1-sqr(relativePos.X^2+relativePos.Y^2)/64 )
						case LE_SlowWave
							brightness *= 0.625+sin((distance/80-TimeSeconds/2)*2*pi)*0.375
						case LE_FastWave
							brightness *= 0.625+sin((distance/128-TimeSeconds)*2*pi)*0.375
						case LE_Shock
							brightness *= 0.5+(0.625+sin((distance/160-TimeSeconds*0.456)*2*pi)*0.375+0.625+sin((distance/200+TimeSeconds*0.678)*2*pi)*0.375)/4
						case LE_Interference
							brightness *= abs(frac2((atan2(relativePos.Z,sqr(relativePos.X^2+relativePos.Y^2))/2/pi-TimeSeconds/16)*9)*2-1)
						case LE_Disco
							brightness *= FMax(abs(frac2((atan2(relativePos.Y,relativePos.X)/2/pi-TimeSeconds/12)*11)*2-1), 1-sqr(relativePos.X^2+relativePos.Y^2)/128 ) * abs(frac2((atan2(relativePos.Z,sqr(relativePos.X^2+relativePos.Y^2))/2/pi-TimeSeconds/16)*9)*2-1)
						case LE_StaticSpot, LE_Spotlight
							brightness *= FMax(0,(Dot(Normal(relativePos),lightFront)-1)*lightCone+1)
						case LE_Searchlight
							var curTime = (TimeSeconds+light->LightPhase/256)*pi/(22.933*light->LightPeriod/32) 'Measured by looking at a recording.
							brightness *= FMax(0,(Dot(Normal(relativePos*vect(1,1,0)),vect(cos(curTime),sin(curTime),0))-1)*4+1)
						case LE_Shell
							const size=0.165'0.114
							if distance<lightRadius*(1-size) then
								brightness = 0
							else
								brightness = FMax(0,1-abs((distance/lightRadius-1)/size))
								'brightness = 1-abs((distance/lightRadius-(1-size))/size)
							EndIf
						case LE_Sunlight
							brightness = FMax(0,Dot(lightFront,litmap->Surf->Normal))^1.4
					End Select
					
					*pixelptr = AddColor(*pixelptr,rgb(LightR*brightness,LightG*brightness,LightB*brightness))
				EndIf
				bitnum += 1
				curPos += curPos_step
				pixelptr += 1
			Next
			
			x0 += x0_step
			x1 += x1_step
			p0 += p0_step
			p1 += p1_step
		Next
	next
	
	if dynamic_ or not litmap->Dynamic then SmoothLightmap(litbuff)
	put LightmapAtlas->FbBitmap, (litmap->AtlasX,litmap->AtlasY), litbuff, pset
	if dynamic_ then ImageDestroy(litbuff) 'That causes crashes... sometimes.
	LightmapAtlas->Reupload(litmap->AtlasX,litmap->AtlasY,litmap->AtlasW,litmap->AtlasH)
End Sub

function BspFile.GetZoneActor(num as ubyte) as ZoneInfo_ptr
	if num=63 then
		return Level
	else
		var act = ZoneActors(num)
		if act=0 then
			return Level
		else
			return act
		EndIf
	EndIf
End function

' For now used only for visuals. Perhaps could be also used for collision?
sub BspFile.InsertActorIntoBsp(act as Actor_ptr, node as BspNode ptr)
	'dim prev_iNode as integer
	start:
		' on which side of the node are we?
		var position=Node->Plane.PlaneDot(act->Location)
		
		var actorRadius=act->CollisionHeight 'FIXME: replace with something better (such as max(sqrt(colheight^2+colradius^2),renderradius) )
		
		dim childNum as integer
		
		if position < -actorRadius then
			'fully behind
			childNum = 0
		elseif position > actorRadius then
			'fully in front
			childNum = 1
		else
			'partially on both sides
			
			var iChild0 = Node->iChild(0)
			if iChild0<>-1 then
				InsertActorIntoBsp(act, @levelBsp->Nodes(iChild0))
			else
				Node->BackActors.Add(act)
			EndIf
			
			var iChild1 = Node->iChild(1)
			if iChild1<>-1 then
				InsertActorIntoBsp(act, @levelBsp->Nodes(iChild1))
			else
				Node->FrontActors.Add(act)
			EndIf
			
			return
		EndIf
		
		var iNode = Node->iChild(childNum)
		if iNode=-1 then
			if childNum=0 then
				Node->BackActors.Add(act)
			else
				Node->FrontActors.Add(act)
			EndIf
			'act->Region = prev_iNode or (subNum shl 31)
			return
		EndIf
		
		Node = @levelBsp->Nodes(iNode)
		'prev_iNode = iNode
	goto start
End Sub

sub BspFile.RemoveActorFromBsp(act as Actor_ptr, node as BspNode ptr)
	'TODO: This could be optimized by just checking the Actor's region.
	
	start:
		' on which side of the node are we?
		var position=Node->Plane.PlaneDot(act->Location)
		
		var actorRadius=act->CollisionHeight 'FIXME: replace with something better (such as max(sqrt(colheight^2+colradius^2),renderradius) )
		
		dim childNum as integer
		
		if position < -actorRadius then
			'fully behind
			childNum = 0
		elseif position > actorRadius then
			'fully in front
			childNum = 1
		else
			'partially on both sides
			
			var iChild0 = Node->iChild(0)
			if iChild0<>-1 then
				RemoveActorFromBsp(act, @levelBsp->Nodes(iChild0))
			else
				Node->BackActors.Remove(act)
			EndIf
			
			var iChild1 = Node->iChild(1)
			if iChild1<>-1 then
				RemoveActorFromBsp(act, @levelBsp->Nodes(iChild1))
			else
				Node->FrontActors.Remove(act)
			EndIf
			
			return
		EndIf
		
		var iNode = Node->iChild(childNum)
		if iNode=-1 then
			if childNum=0 then
				Node->BackActors.Remove(act)
			else
				Node->FrontActors.Remove(act)
			EndIf
			return
		EndIf
		
		Node = @levelBsp->Nodes(iNode)
	goto start
	
	/'var node=@levelBsp->Nodes(act->Region and not(1 shl 31))
	if act->Region and (1 shl 31) then
		node->FrontActors.Remove(act)
	else
		node->BackActors.Remove(act)
	EndIf'/
End Sub

function BspFile.CountPolys(byref node as BspNode) as integer
	node.NumChildPolys = 0
	if node.NumVertices>=3 then node.NumChildPolys += 1
	if node.iChild(0)<>-1 then node.NumChildPolys += CountPolys(Nodes(node.iChild(0)))
	if node.iChild(1)<>-1 then node.NumChildPolys += CountPolys(Nodes(node.iChild(1)))
	if node.iChild(2)<>-1 then node.NumChildPolys += CountPolys(Nodes(node.iChild(2)))
	return node.NumChildPolys
End Function

function BspFile.CalcRenderBounds(byref node as BspNode) as BoundingBox
	dim bounds as BoundingBox
	
	if node.iChild(0)<>-1 then
		var childBounds = CalcRenderBounds(Nodes(node.iChild(0)))
		bounds.Extend(childBounds)
	EndIf
	if node.iChild(1)<>-1 then
		var childBounds = CalcRenderBounds(Nodes(node.iChild(1)))
		bounds.Extend(childBounds)
	EndIf
	if node.iChild(2)<>-1 then
		var childBounds = CalcRenderBounds(Nodes(node.iChild(2)))
		bounds.Extend(childBounds)
	EndIf
	
	for i as integer=0 to node.NumVertices-1
		bounds.Extend(Points(Verts(node.iVertPool+i)))
	Next
	
	redim preserve RenderBounds(UBound(RenderBounds)+1)
	RenderBounds(UBound(RenderBounds)) = bounds
	node.iRenderBound = UBound(RenderBounds)
	
	return bounds
End Function

function BspRenderer.IsBoxVisible(boxMin as Vector, boxMax as Vector, byref fullyInFrustum as boolean=False, skipFrustumCheck as boolean=False) as boolean
	fullyInFrustum = False
	
	' Are we inside?
	if Location.X>=boxMin.X and Location.X<=boxMax.X and _
		Location.Y>=boxMin.Y and Location.Y<=boxMax.Y and _
		Location.Z>=boxMin.Z and Location.Z<=boxMax.Z then
		return True
	EndIf
	
	if skipFrustumCheck=False then
		' Test against frustum:
		var lb=  LeftPlane.IsBoxBehind(boxMin,boxMax)
		if  lb=Yes then return False
		var rb= RightPlane.IsBoxBehind(boxMin,boxMax)
		if  rb=Yes then return False
		var tb=   TopPlane.IsBoxBehind(boxMin,boxMax)
		if  tb=Yes then return False
		var bb=BottomPlane.IsBoxBehind(boxMin,boxMax)
		if  bb=Yes then return False
		
		if lb=No and rb=No and tb=No and bb=No then fullyInFrustum = True
	endif
	
	' Test against c-buffer. This is a very ugly but accurate way (making a polygonal cube and checking it the same way as BSP polygons). FIXME
	' Perhaps make a special case when all points are in front of zNear.
	
	dim points(8-1) as Vector
	points(0) = boxMin
	points(1) = boxMax
	points(2) = Vector(boxMin.X,boxMin.Y,boxMax.Z)
	points(3) = Vector(boxMin.X,boxMax.Y,boxMin.Z)
	points(4) = Vector(boxMin.X,boxMax.Y,boxMax.Z)
	points(5) = Vector(boxMax.X,boxMin.Y,boxMin.Z)
	points(6) = Vector(boxMax.X,boxMin.Y,boxMax.Z)
	points(7) = Vector(boxMax.X,boxMax.Y,boxMin.Z)
	dim side0(4+5-1) as Vector = {points(3),points(4),points(2),points(0)} 'counter-clockwise
	dim side1(4+5-1) as Vector = {points(7),points(1),points(4),points(3)}
	dim side2(4+5-1) as Vector = {points(5),points(6),points(1),points(7)}
	dim side3(4+5-1) as Vector = {points(0),points(2),points(6),points(5)}
	dim side4(4+5-1) as Vector = {points(4),points(1),points(6),points(2)}
	dim side5(4+5-1) as Vector = {points(0),points(5),points(7),points(3)}
	var side0_num=4
	var side1_num=4
	var side2_num=4
	var side3_num=4
	var side4_num=4
	var side5_num=4
	ClipPolygon(@side0(0),side0_num,zNearPlane)
	ClipPolygon(@side0(0),side0_num,RightPlane)
	ClipPolygon(@side0(0),side0_num,LeftPlane)
	ClipPolygon(@side0(0),side0_num,TopPlane)
	ClipPolygon(@side0(0),side0_num,BottomPlane)
	ClipPolygon(@side1(0),side1_num,zNearPlane)
	ClipPolygon(@side1(0),side1_num,RightPlane)
	ClipPolygon(@side1(0),side1_num,LeftPlane)
	ClipPolygon(@side1(0),side1_num,TopPlane)
	ClipPolygon(@side1(0),side1_num,BottomPlane)
	ClipPolygon(@side2(0),side2_num,zNearPlane)
	ClipPolygon(@side2(0),side2_num,RightPlane)
	ClipPolygon(@side2(0),side2_num,LeftPlane)
	ClipPolygon(@side2(0),side2_num,TopPlane)
	ClipPolygon(@side2(0),side2_num,BottomPlane)
	ClipPolygon(@side3(0),side3_num,zNearPlane)
	ClipPolygon(@side3(0),side3_num,RightPlane)
	ClipPolygon(@side3(0),side3_num,LeftPlane)
	ClipPolygon(@side3(0),side3_num,TopPlane)
	ClipPolygon(@side3(0),side3_num,BottomPlane)
	ClipPolygon(@side4(0),side4_num,zNearPlane)
	ClipPolygon(@side4(0),side4_num,RightPlane)
	ClipPolygon(@side4(0),side4_num,LeftPlane)
	ClipPolygon(@side4(0),side4_num,TopPlane)
	ClipPolygon(@side4(0),side4_num,BottomPlane)
	ClipPolygon(@side5(0),side5_num,zNearPlane)
	ClipPolygon(@side5(0),side5_num,RightPlane)
	ClipPolygon(@side5(0),side5_num,LeftPlane)
	ClipPolygon(@side5(0),side5_num,TopPlane)
	ClipPolygon(@side5(0),side5_num,BottomPlane)
	for i as integer=0 to side0_num-1
		side0(i) = WorldToScreen(side0(i))
	Next
	for i as integer=0 to side1_num-1
		side1(i) = WorldToScreen(side1(i))
	Next
	for i as integer=0 to side2_num-1
		side2(i) = WorldToScreen(side2(i))
	Next
	for i as integer=0 to side3_num-1
		side3(i) = WorldToScreen(side3(i))
	Next
	for i as integer=0 to side4_num-1
		side4(i) = WorldToScreen(side4(i))
	Next
	for i as integer=0 to side5_num-1
		side5(i) = WorldToScreen(side5(i))
	Next
	dim side0_2D(side0_num-1) as Vector2
	for i as integer=0 to side0_num-1
		side0_2D(i) = Vector2(side0(i).X,side0(i).Y*CBuffer.PrecisionFactor)
	Next
	dim side1_2D(side1_num-1) as Vector2
	for i as integer=0 to side1_num-1
		side1_2D(i) = Vector2(side1(i).X,side1(i).Y*CBuffer.PrecisionFactor)
	Next
	dim side2_2D(side2_num-1) as Vector2
	for i as integer=0 to side2_num-1
		side2_2D(i) = Vector2(side2(i).X,side2(i).Y*CBuffer.PrecisionFactor)
	Next
	dim side3_2D(side3_num-1) as Vector2
	for i as integer=0 to side3_num-1
		side3_2D(i) = Vector2(side3(i).X,side3(i).Y*CBuffer.PrecisionFactor)
	Next
	dim side4_2D(side4_num-1) as Vector2
	for i as integer=0 to side4_num-1
		side4_2D(i) = Vector2(side4(i).X,side4(i).Y*CBuffer.PrecisionFactor)
	Next
	dim side5_2D(side5_num-1) as Vector2
	for i as integer=0 to side5_num-1
		side5_2D(i) = Vector2(side5(i).X,side5(i).Y*CBuffer.PrecisionFactor)
	Next
	
	if CBuffer.CoverPolygon(@side0_2D(0),side0_num,True) then return True
	if CBuffer.CoverPolygon(@side1_2D(0),side1_num,True) then return True
	if CBuffer.CoverPolygon(@side2_2D(0),side2_num,True) then return True
	if CBuffer.CoverPolygon(@side3_2D(0),side3_num,True) then return True
	if CBuffer.CoverPolygon(@side4_2D(0),side4_num,True) then return True
	if CBuffer.CoverPolygon(@side5_2D(0),side5_num,True) then return True
	
	return False
End Function

function BspRenderer.WorldToScreen(worldPos as Vector) as Vector
	var screenPos=worldPos-Location
	
	screenPos=RotationMatrix.Transform(screenPos)
	
	screenPos=Vector(screenPos.Y,-screenPos.Z,screenPos.X)
	
	var invScreenPosZ=1/screenPos.Z
	screenPos.X *= invScreenPosZ
	screenPos.Y *= invScreenPosZ
	
	screenPos.X *= InvTanHalfFov
	screenPos.Y *= InvTanHalfFov
	
	screenPos.Y *= AspectRatio
	
	screenPos.X = (screenPos.X*0.5+0.5)*this.Width
	screenPos.Y = (screenPos.Y*0.5+0.5)*this.Height
	
	return screenPos
End function

sub BspRenderer.DrawWorld(bsp as BspFile ptr)
	this.BSP = bsp
	ScreenInfo(this.Width, this.Height)
	
	var forward=Rotate(Vector(1,0,0),Rotation)
	var rightt =Rotate(Vector(0,1,0),Rotation)
	var up     =Rotate(Vector(0,0,1),Rotation)
	zNearPlane = Plane(forward,Location)
	zNearPlane.W += zNear
	
	InvTanHalfFov = 1/tan(FovRadians/2)
	AspectRatio = this.Width/this.Height
	
	RightPlane  = Plane( Cross((forward+rightt*tan(FovRadians/1.9999)).Normalized,up), Location)
	LeftPlane   = Plane(-Cross((forward-rightt*tan(FovRadians/1.9999)).Normalized,up), Location)
	TopPlane    = Plane(-Cross((forward+up*tan(FovRadians/1.9999)*(Height/Width)).Normalized,rightt), Location)
	BottomPlane = Plane( Cross((forward-up*tan(FovRadians/1.9999)*(Height/Width)).Normalized,rightt), Location)
	
	RotationMatrix = Matrix.RotationX(-Rotation.Roll/65536*2*PI) * Matrix.RotationY(Rotation.Pitch/65536*2*PI) * Matrix.RotationZ(Rotation.Yaw/65536*2*PI)
	
	CBuffer.Init(this.Width, this.Height)
	CBuffer.BeginFrame
	DrawList.Clear
	NumTransparentPolygons = 0
	PrevFlags = 0
	DrawNodeAndChildren(@BSP->Nodes(0))
	
	'Actually draw opaque and masked polygons.
	for i as integer=0 to DrawList.Count-1
		var group=@DrawList[i]
		for j as integer=0 to group->Nodes.Count-1
			glDrawNode(group->Nodes[j])
		Next
	Next
End Sub

sub BspRenderer.DrawNodeAndChildren(node as BspNode ptr, skipClipping as boolean=False)
	if node->NumChildPolys>50 then 'Don't waste time checking bounds if it affects few polygons. (tune this manually)
		if node->iRenderBound<>-1 then
			var bounds=@BSP->RenderBounds(node->iRenderBound)
			dim fullyInFrustum as boolean
			if not IsBoxVisible(bounds->Min,bounds->Max,fullyInFrustum,skipClipping) then return 'Test renderbounds against frustum and occlusion.
			skipClipping or= fullyInFrustum
		EndIf
	EndIf
	
	'Child nodes. This is where Z sorting happens.
	'We're drawing from nearest to furthest.
	if node->Plane.PlaneDot(Location)<0 then
		if node->iChild(0)<>-1 then DrawNodeAndChildren(@BSP->Nodes(node->iChild(0)),skipClipping) 'TODO: Do we even need separate front and back actors? Does it matter? Perhaps for sorting for transparency.
		for i as integer=0 to node->BackActors.Count-1
			ActorIsVisible(node->BackActors[i])
		Next
		if node->iSurf<>-1 andalso (BSP->Surfs(node->iSurf).PolyFlags and PF_TwoSided) then DrawNode(node,skipClipping) 'Backface culling
		if node->iChild(2)<>-1 then DrawNodeAndChildren(@BSP->Nodes(node->iChild(2)),skipClipping) 'Coplanars
		for i as integer=0 to node->FrontActors.Count-1
			ActorIsVisible(node->FrontActors[i])
		Next
		if node->iChild(1)<>-1 then DrawNodeAndChildren(@BSP->Nodes(node->iChild(1)),skipClipping)
	else
		if node->iChild(1)<>-1 then DrawNodeAndChildren(@BSP->Nodes(node->iChild(1)),skipClipping)
		for i as integer=0 to node->FrontActors.Count-1
			ActorIsVisible(node->FrontActors[i])
		Next
		DrawNode(node,skipClipping)
		if node->iChild(2)<>-1 then DrawNodeAndChildren(@BSP->Nodes(node->iChild(2)),skipClipping) 'Coplanars
		for i as integer=0 to node->BackActors.Count-1
			ActorIsVisible(node->BackActors[i])
		Next
		if node->iChild(0)<>-1 then DrawNodeAndChildren(@BSP->Nodes(node->iChild(0)),skipClipping)
	EndIf
	
End Sub

sub BspRenderer.DrawNode(node as BspNode ptr, skipClipping as boolean=False)
	if node->NumVertices>=3 then
		
		var surf=@BSP->Surfs(node->iSurf)
		
		if surf->PolyFlags and PF_Invisible then return
		
		var PolyFlags=surf->PolyFlags
		if surf->Texture<>0 then PolyFlags or= surf->Texture->Flags and (PF_Masked or PF_AlphaBlend)
		var doesNotOcclude=cbool(((PolyFlags and (PF_Masked or PF_Translucent or PF_Modulated or PF_AlphaBlend))<>0) andalso ((surf->PolyFlags and PF_Mirrored)=0)) 'Visible but doesn't occlude other polygons
		
		dim NumVertices as integer = node->NumVertices
		static curPoints(32) as Vector
		for i as integer=0 to NumVertices-1
			curPoints(i) = BSP->Points(BSP->Verts(node->iVertPool+i))
		Next
		if skipClipping=False then
			ClipPolygon(@curPoints(0),NumVertices,zNearPlane)
			if NumVertices=0 then return
			ClipPolygon(@curPoints(0),NumVertices,RightPlane)
			if NumVertices=0 then return
			ClipPolygon(@curPoints(0),NumVertices,LeftPlane)
			if NumVertices=0 then return
			ClipPolygon(@curPoints(0),NumVertices,TopPlane)
			if NumVertices=0 then return
			ClipPolygon(@curPoints(0),NumVertices,BottomPlane)
			if NumVertices=0 then return
		EndIf
		
		for i as integer=0 to NumVertices-1
			curPoints(i) = WorldToScreen(curPoints(i))
		Next
		
		static curPoints2D(32) as Vector2
		for i as integer=0 to NumVertices-1
			curPoints2D(i) = Vector2(curPoints(i).X,curPoints(i).Y*CBuffer.PrecisionFactor)
		Next
		
		if CBuffer.CoverPolygon(@curPoints2D(0),NumVertices,doesNotOcclude) then
			node->VisibleFramesLeft = 30 'TODO: perhaps could be moved to BspRenderer for looser coupling
		EndIf
		if node->VisibleFramesLeft>0 then
			SurfaceIsVisible(node)
			node->VisibleFramesLeft-=1
		EndIf
	EndIf
End Sub

sub BspRenderer.SurfaceIsVisible(node as BspNode ptr) 'Do something when a surface is judged as visible.
	var surf=@BSP->Surfs(node->iSurf)
	var PolyFlags = surf->PolyFlags
	if surf->Texture<>0 then PolyFlags or= surf->Texture->Flags and PF_AlphaBlend
	if (PolyFlags and (PF_Translucent or PF_Modulated or PF_AlphaBlend))<>0 then
		'Don't draw immediately, queue for later.
		if NumTransparentPolygons<512 then
			TransparentPolygons(NumTransparentPolygons) = node
			NumTransparentPolygons += 1
		else
			Log("Ran out of transparent polygons")
		EndIf
	else
		'Don't draw immediately, sort by texture to minimize binding.
		for i as integer=0 to DrawList.Count-1 'TODO: use a hashtable instead
			if DrawList[i].Texture = surf->Texture then
				DrawList[i].Nodes.Add(node)
				return
			EndIf
		Next
		dim group as DrawGroup
		group.Texture = surf->Texture
		group.Nodes.Add(node)
		DrawList.Add(group)
	EndIf
End Sub

sub BspRenderer.ActorIsVisible(act as Actor ptr) 'Do something when an actor is judged as visible.
	act->WillBeRendered = True
end sub

sub BspRenderer.DrawTransparentPolys
	PrevFlags = 0
	for i as integer=NumTransparentPolygons-1 to 0 step -1
		glDrawNode(TransparentPolygons(i))
	Next
End Sub

sub BspRenderer.glDrawNode(node as BspNode ptr) 'TODO: Cache UVs and light UVs per BspFile.Verts in an array in BspRenderer
	var surf=@BSP->Surfs(node->iSurf)
	var PolyFlags=surf->PolyFlags
	if surf->Texture<>0 then PolyFlags or= surf->Texture->Flags and (PF_Masked or PF_AlphaBlend)
	
	if PolyFlags and PF_FakeBackdrop then
		CanSeeSky = True
		return
	EndIf
	
	var ChangedFlags=PolyFlags xor PrevFlags
	if ChangedFlags and PF_TwoSided then
		if PolyFlags and PF_TwoSided then
			glDisable(GL_CULL_FACE)
		else
			glEnable(GL_CULL_FACE)
		EndIf
	EndIf
	if ChangedFlags and PF_Unlit then
		if PolyFlags and PF_Unlit then
			glActiveTextureARB(GL_TEXTURE1_ARB)
			glDisable(GL_TEXTURE_2D)
			glActiveTextureARB(GL_TEXTURE0_ARB)
			glColor3f(0.5,0.5,0.5)
		else
			glActiveTextureARB(GL_TEXTURE1_ARB)
			glEnable(GL_TEXTURE_2D)
			glActiveTextureARB(GL_TEXTURE0_ARB)
			glColor3f(1,1,1)
		EndIf
	EndIf
	if ChangedFlags and (PF_Masked or PF_Translucent or PF_Modulated or PF_AlphaBlend) then
		if PolyFlags and PF_Modulated then
			SetBlending(EBlending.Modulated)
		elseif PolyFlags and PF_Translucent then
			SetBlending(EBlending.Translucent)
		elseif PolyFlags and PF_Masked then
			SetBlending(EBlending.Masked)
		elseif PolyFlags and PF_AlphaBlend then
			SetBlending(EBlending.AlphaBlend)
		else
			SetBlending(EBlending.Opaque)
		EndIf
	EndIf
	PrevFlags = surf->PolyFlags
	
	BindTexture(surf->Texture)
	
	var UDot = Dot(surf->TextureU, surf->Origin)
	var VDot = Dot(surf->TextureV, surf->Origin)
	var texW=128, texH=128
	if surf->Texture<>0 then
		texW = surf->Texture->USize
		texH = surf->Texture->VSize
	EndIf
	
	dim litmap as Lightmap ptr
	dim as integer atlasW, atlasH
	if surf->iLightMap<>-1 then
		litmap=@BSP->Lightmaps(surf->iLightMap)
		litmap->Seen = True
		atlasW = BSP->LightmapAtlas->USize
		atlasH = BSP->LightmapAtlas->VSize
	EndIf
	
	glBegin(GL_TRIANGLE_FAN)
	
	for i as integer=node->NumVertices-1 to 0 step -1 
		var pt=BSP->Points(BSP->Verts(node->iVertPool+i))
		
		dim as single U = Dot(surf->TextureU, pt)
		dim as single V = Dot(surf->TextureV, pt)
		
		dim UPan as single=surf->UPan
		dim VPan as single=surf->VPan
		if PolyFlags and PF_AutoUPan then UPan += TimeSeconds*32f*surf->ZoneActor->TexUPanSpeed
		if PolyFlags and PF_AutoVPan then VPan += TimeSeconds*32f*surf->ZoneActor->TexVPanSpeed
		if PolyFlags and PF_SmallWavy then
			UPan += cos(TimeSeconds)*0.1
			VPan += sin(TimeSeconds*0.9)*0.1
		EndIf
		
		glMultiTexCoord2fARB(GL_TEXTURE0_ARB, (U-UDot+UPan)/texW,1-(V-VDot+VPan)/texH)
		if litmap<>0 then
			var vertLightU = ((U-UDot-litmap->Pan.X)/litmap->UScale+0.5)/litmap->AtlasW
			var vertLightV = ((V-VDot-litmap->Pan.Y)/litmap->VScale+0.5)/litmap->AtlasH
			
			vertLightU *=   litmap->AtlasW/atlasW
			vertLightV *=  -litmap->AtlasH/atlasH
			vertLightU +=   litmap->AtlasX/atlasW
			vertLightV += 1-litmap->AtlasY/atlasH
			
			glMultiTexCoord2fARB(GL_TEXTURE1_ARB, vertLightU, vertLightV)
		EndIf
		
		glVertex3f(pt.X,pt.Y,pt.Z)
	Next
	
	glEnd
End Sub

function GetLocZone(v as Vector) as ZoneInfo_ptr
	for i as integer=DynamicZones.Count-1 to 0 step -1
		if DynamicZones[i]->PointInside(v) then
			return DynamicZones[i]
		EndIf
	Next
	
	' Check BSP zones.
	dim as BspNode ptr Node
	Node = @levelBsp->Nodes(0)
	start:
		' on which side of the node are we?
		var behind = Node->Plane.PlaneDot(v) < 0
		
		var subNum = iif(behind,0,1)
		
		var iNode = Node->iChild(subNum)
		if iNode=-1 then return levelBsp->GetZoneActor(Node->iZone(subNum))
		
		Node = @levelBsp->Nodes(iNode)
	goto start
	
end function

sub hsv2rgb(byval LBrightness as single, byval LHue as single, byval LSaturation as single, byref r as single, byref g as single, byref b as single)
	const as single unit = 256 / 6 'length of one interval
	
	'0 - at left interval side
	'1 - at right interval side
	dim as single hueFrac = frac(LHue / unit)

	if(LHue < unit) then 'Red-Yellow
		r = 1
		g = hueFrac
		b = 0
	elseif(LHue < unit*2) then 'Yellow-Green
		r = 1 - hueFrac
		g = 1
		b = 0
	elseif(LHue < unit*3) then 'Green-Cyan
		r = 0
		g = 1
		b = hueFrac
	elseif(LHue < unit*4) then 'Cyan-Blue
		r = 0
		g = 1 - hueFrac
		b = 1
	elseif(LHue < unit*5) then 'Blue-Magenta
		r = hueFrac
		g = 0
		b = 1
	else 'Magenta-Red
		r = 1
		g = 0
		b = 1 - hueFrac
	endif

	LSaturation /= 255
	r = lerp(LSaturation, r, 1)
	g = lerp(LSaturation, g, 1)
	b = lerp(LSaturation, b, 1)
	
	r *= LBrightness / 255
	g *= LBrightness / 255
	b *= LBrightness / 255
	
	if r > 1 then r = 1
	if g > 1 then g = 1
	if b > 1 then b = 1
	
	if r < 0 then r = 0
	if g < 0 then g = 0
	if b < 0 then b = 0
end sub

constructor SpritesheetLayoutMaker(w as integer, h as integer)
	SheetW = w
	SheetH = h
	bottomBaseY = h-1
	bottomMaxY  = h-1
end constructor

' Returns false if ran out of space.
function SpritesheetLayoutMaker.Add(w as integer, h as integer, byref outX as integer, byref outY as integer) as boolean
	if h<(HeightSum/NumSprites) then ' place smaller stuff on top
		if topCurX+w>=SheetW then
			topBaseY = topMaxY
			topCurX = 0
		EndIf
		
		outX = topCurX
		outY = topBaseY
		
		topCurX += w
		if topBaseY+h>topMaxY then
			topMaxY = topBaseY+h
		EndIf
	else ' place bigger stuff on bottom
		if bottomCurX+w>=SheetW then
			bottomBaseY = bottomMaxY
			bottomCurX = 0
		EndIf
		
		outX = bottomCurX
		outY = bottomBaseY-h
		
		bottomCurX += w
		if bottomBaseY-h<bottomMaxY then
			bottomMaxY = bottomBaseY-h
		EndIf
	endif
	
	HeightSum  += h
	NumSprites += 1
	
	return topMaxY <= bottomMaxY
end function

constructor VertexMesh
	Scale = vect(0.25,0.25,0.125)
End Constructor

constructor VertexMesh(anivFile as string, dataFile as string, package as string)
	this.Scale = vect(0.25,0.25,0.125)
	
	' Set name & package.
	var slashPos = InStrRev(anivFile,any "\/")
	if slashPos=0 then
		this.Name = Left(anivFile,Len(anivFile)-5)
	else
		this.Name = Mid(anivFile,slashPos+1)
		this.Name = Left(this.Name,Len(this.Name)-5)
	EndIf
	this.Package = package
	
	scope
		var fileNum = FreeFile()
		open anivFile for binary access read as fileNum
			get #fileNum, , NumFrames
			get #fileNum, , FrameSize
			
			if (FrameSize mod 4)<>0 then
				Throw("FrameSize not a multiply of four (" & anivFile & ")")
			EndIf
			
			var RealFrameSize = FrameSize shr 2
			
			redim VertData(numFrames*RealFrameSize-1)
			get #fileNum, , VertData()
			
		close fileNum
	end scope
	
	scope
		var fileNum = FreeFile()
		open dataFile for binary access read as fileNum
			
			dim numTris as ushort
			dim numVerts as ushort
			
			get #fileNum, , numTris
			get #fileNum, , numVerts
			
			if FrameSize <> numVerts*4 then
				Log("Warning (" & dataFile & "): FrameSize <> NumVerts*4")
			EndIf
			
			Seek fileNum, 44+2+2+1
			
			redim Triangles(numTris-1)
			get #fileNum, , Triangles()
			
		close fileNum
	end scope
	
	for i as integer=0 to MeshLines.Count-1
		if NameEq(MeshLines[i].Name, this.Name) then
			var ln = Trim(Mid(MeshLines[i].Text,6))
			
			if StartsWith(ln, "mesh origin ") then
				Origin.X = csng(GetStringAfter(ln,"x="," " & chr(9)))
				Origin.Y = csng(GetStringAfter(ln,"y="," " & chr(9)))
				Origin.Z = csng(GetStringAfter(ln,"z="," " & chr(9)))
				
				Rotation.Pitch = csng(GetStringAfter(ln,"pitch="," " & chr(9)))*256
				Rotation.Yaw   = csng(GetStringAfter(ln,"yaw="  ," " & chr(9)))*256
				Rotation.Roll  = csng(GetStringAfter(ln,"roll=" ," " & chr(9)))*256
			elseif StartsWith(ln, "meshmap scale ") then
				var ScaleX = GetStringAfter(ln,"x="," " & chr(9))
				var ScaleY = GetStringAfter(ln,"y="," " & chr(9))
				var ScaleZ = GetStringAfter(ln,"z="," " & chr(9))
				
				if ScaleX<>"" then Scale.X = csng(ScaleX)
				if ScaleY<>"" then Scale.Y = csng(ScaleY)
				if ScaleZ<>"" then Scale.Z = csng(ScaleZ)
			elseif StartsWith(ln, "MESHMAP SETTEXTURE ") then
				var num = cint(GetStringAfter(ln,"num="," " & chr(9)))
				var texName = GetStringAfter(ln,"texture="," " & chr(9))
				
				Textures(num) = GetTexture(texName, False, package)
			elseif StartsWith(ln, "MESH SEQUENCE ") then
				dim seq as VertexMeshSequence
				
				seq.Name = GetStringAfter(ln,"seq="," " & chr(9))
				seq.StartFrame = cint(GetStringAfter(ln,"startframe="," " & chr(9)))
				seq.NumFrames = cint(GetStringAfter(ln,"numframes="," " & chr(9)))
				var rate = GetStringAfter(ln,"rate="," ")
				if rate<>"" then seq.Rate = cint(rate)
				
				Sequences.Add(seq)
			elseif StartsWith(ln, "MESH NOTIFY ") then
				dim notify as VertexMeshNotify
				
				notify.Seq = GetStringAfter(ln,"seq="," " & chr(9))
				notify.Time = csng(GetStringAfter(ln,"time="," " & chr(9)))
				notify.FuncName = GetStringAfter(ln,"function="," " & chr(9))
				
				Notifies.Add(notify)
			EndIf
		EndIf
	Next
	
End Constructor

function VertexMesh.GetVert(frame as ushort, vert as ushort) as Vector
	if frame<0 then frame=0
	frame = frame mod NumFrames
	
	var xyz = VertData(frame*(FrameSize shr 2)+vert)
	
   Dim as single x, y, z
   
   x = (xyz And &H7FF)
   y = ((xyz shr 11) And &H7FF)
   If y > 1024 Then y -= 2048
   If x > 1024 Then x -= 2048
   z = ((xyz shr 22) And &H3FF)
   If z >= 512 Then z -= 1024

   return vect(x,y,z)
End Function

function GetVertexMesh(meshName as string) as VertexMesh ptr
	if meshName="" then return VertexMeshes[0]
	
	var shortName = GetShortName(meshName)
	var package = GetPackageName(meshName)
	
	for i as integer=0 to VertexMeshes.Count-1
		if NameEq(VertexMeshes[i]->Name, shortName) andalso _
			(cbool(package="") orelse NameEq(VertexMeshes[i]->Package, package)) then
			return VertexMeshes[i]
		EndIf
	Next
	
	if package="" then return VertexMeshes[0]
	
	var anivFile = "System\" & package & "\Models\" & shortName & "_a.3d"
	var dataFile = "System\" & package & "\Models\" & shortName & "_d.3d"
	
	if FileExists(anivFile)=0 orelse FileExists(dataFile)=0 then
		return VertexMeshes[0]
	EndIf
	
	var mesh = new VertexMesh(anivFile, dataFile, package)
	mesh->Package = package
	mesh->Name = shortName
	VertexMeshes.Add(mesh)
	return mesh
End Function

function GetFiles(pattern as string) as List_of_String
	dim result as List_of_String
	var curFile = dir(pattern)
	While curFile<>""
		result.Add(curFile)
		curFile = Dir()
	wend
	return result
End Function

sub PolySorter._AddPoly(byref poly as Triangle)
	var myblending = poly.Flags and EPolyFlags.PF_BlendingFlags
	
	for i as integer=0 to PolyGroups.Count-1
		if (PolyGroups[i].Texture = poly.Texture) andalso (PolyGroups[i].Blending = myblending) then
			PolyGroups[i].Polys.Add(poly)
			return
		EndIf
	Next
	
	dim pg as PolyGroup
	pg.Blending = myblending
	pg.Texture = poly.Texture
	pg.Polys.Add(poly)
	PolyGroups.Add(pg)
End Sub

sub PolySorter._Clear()
	for i as integer=0 to PolyGroups.Count-1
		PolyGroups[i].Polys.Clear()
	Next
	PolyGroups.Clear()
End Sub

sub PolySorter._GetPolys(byref mesh as Model)
	for i as integer=0 to mesh.Tris.Count-1
		_AddPoly(mesh.Tris[i])
	Next
End Sub

sub PolySorter._SetPolysGroup(byref mesh as Model, group as PolyGroup ptr)
	for j as integer=0 to group->Polys.Count-1
		mesh.Tris.Add(group->Polys[j])
	Next
End Sub

sub PolySorter._SetPolys(byref mesh as Model)
	mesh.Tris.Clear()
	for i as integer=0 to PolyGroups.Count-1
		var group = @PolyGroups[i]
		if (group->Blending and (EPolyFlags.PF_Translucent or EPolyFlags.PF_Modulated or EPolyFlags.PF_AlphaBlend))=0 then
			_SetPolysGroup(mesh, group)
		endif
	Next
	
	for i as integer=0 to PolyGroups.Count-1
		var group = @PolyGroups[i]
		if group->Blending and EPolyFlags.PF_Modulated then
			_SetPolysGroup(mesh, group)
		endif
	Next
	
	for i as integer=0 to PolyGroups.Count-1
		var group = @PolyGroups[i]
		if group->Blending and EPolyFlags.PF_Translucent then
			_SetPolysGroup(mesh, group)
		endif
	Next
	
	for i as integer=0 to PolyGroups.Count-1
		var group = @PolyGroups[i]
		if group->Blending and EPolyFlags.PF_AlphaBlend then
			_SetPolysGroup(mesh, group)
		endif
	Next
End Sub

sub PolySorter.SortPolys(byref mesh as Model)
	_Clear()
	_GetPolys(mesh)
	_SetPolys(mesh)
End Sub

sub LocationHash.GetCellNumAt(byval location as Vector, byref cx as integer, byref cy as integer, byref cz as integer)
	location -= MinLocation
	cx = int(location.X/cellSize)
	cy = int(location.Y/cellSize)
	cz = int(location.Z/cellSize)
End Sub

sub LocationHash.Init(vMin as Vector, vMax as Vector, newCellSize as single)
	MinLocation = vMin
	MaxLocation = vMax
	CellSize = newCellSize
	
	dim as integer mincx, mincy, mincz
	dim as integer maxcx, maxcy, maxcz
	GetCellNumAt(vMin, mincx, mincy, mincz)
	GetCellNumAt(vMax, maxcx, maxcy, maxcz)
	
	dim as integer numx, numy, numz
	numx = maxcx-mincx+1
	numy = maxcy-mincy+1
	numz = maxcz-mincz+1
	
	redim Cells  (numx-1, numy-1, numz-1)
End Sub

sub LocationHash.AddTriangle(tri as Triangle ptr)
	' Calculate bounding box.
	dim as Vector vMin, vMax
	vMin = vect( 99999, 99999, 99999)
	vMax = vect(-99999,-99999,-99999)
	for i as integer=0 to 3-1
		if tri->V(i).X < vMin.X then vMin.X = tri->V(i).X
		if tri->V(i).X > vMax.X then vMax.X = tri->V(i).X
		if tri->V(i).Y < vMin.Y then vMin.Y = tri->V(i).Y
		if tri->V(i).Y > vMax.Y then vMax.Y = tri->V(i).Y
		if tri->V(i).Z < vMin.Z then vMin.Z = tri->V(i).Z
		if tri->V(i).Z > vMax.Z then vMax.Z = tri->V(i).Z
	Next
	
	dim as integer mincx, mincy, mincz
	dim as integer maxcx, maxcy, maxcz
	GetCellNumAt(vMin, mincx, mincy, mincz)
	GetCellNumAt(vMax, maxcx, maxcy, maxcz)
	
	for x as integer=mincx to maxcx
		for y as integer=mincy to maxcy
			for z as integer=mincz to maxcz
				Cells(x,y,z).Triangles.Add(tri)
			Next
		Next
	Next
	
End Sub

function LocationHash.GetCell(x as integer, y as integer, z as integer) byref as Cell
	if x<0 then return EmptyCell
	if y<0 then return EmptyCell
	if z<0 then return EmptyCell
	
	if x>UBound(Cells,1) then return EmptyCell
	if y>UBound(Cells,2) then return EmptyCell
	if z>UBound(Cells,3) then return EmptyCell
	
	return Cells(x,y,z)
End Function

' May return duplicates!
' TODO: Replace with an iterator (with a procptr).
function LocationHash.GetTriangles(vMin as Vector, vMax as Vector, occluded as boolean=False) as List_of_Triangle_ptr
	dim result as List_of_Triangle_ptr
	
	dim as integer mincx, mincy, mincz
	dim as integer maxcx, maxcy, maxcz
	GetCellNumAt(vMin, mincx, mincy, mincz)
	GetCellNumAt(vMax, maxcx, maxcy, maxcz)
	
	for x as integer=mincx to maxcx
		for y as integer=mincy to maxcy
			'if (occluded=False) orelse (GetOccluded(x,y)=False) then
				for z as integer=mincz to maxcz
					result.AddRange(GetCell(x,y,z).Triangles)
				Next
			'endif
		Next
	Next
	
	return result
End Function

Function T3DParser.LineIsAProperty(text As String) As Boolean
	text = Trim(text)
	var equalsPosition = InStr(text,"=")-1
	If equalsPosition = -1 Then
	   Return False
	End If
	If InStr(Left(text,equalsPosition)," ")<>0 Then
	   Return False
	End If
	Return True
End Function

function T3DParser.ParseVector(text As String) As Vector
	dim result as Vector
	
	If text <> "" Then
		'remove brackets
		text = Mid(text, 2, Len(text) - 2)
		
		var splitted = Split(text,",")
		
		For i as integer = 0 To splitted.Count-1
			If StartsWith(splitted[i],"X=") Then
				result.X = CSng(Mid(splitted[i],3))
			ElseIf StartsWith(splitted[i],"Y=") Then
				result.Y = CSng(Mid(splitted[i],3))
			ElseIf StartsWith(splitted[i],"Z=") Then
				result.Z = CSng(Mid(splitted[i],3))
			End If
		Next
	End If
	
	return result
End Function

function T3DParser.ParseRotator(text As String) As Rotator
	dim result as Rotator
	
	If text <> "" Then
		'remove brackets
		text = Mid(text, 2, Len(text) - 2)
		
		var splitted = Split(text,",")
		
		For i as integer = 0 To splitted.Count-1
			If StartsWith(splitted[i],"Pitch=") Then
				result.Pitch = CInt(Mid(splitted[i],7))
			ElseIf StartsWith(splitted[i],"Yaw=") Then
				result.Yaw   = CInt(Mid(splitted[i],5))
			ElseIf StartsWith(splitted[i],"Roll=") Then
				result.Roll  = CInt(Mid(splitted[i],6))
			End If
		Next
	End If
	
	return result
End Function

function T3DParser.ExtractVertexFromLine(ln As String) As Vector
	'	Origin   +00000.000000,-00128.000000,-00128.000000
	ln = Trim(ln,chr(9))
	'Origin   +00000.000000,-00128.000000,-00128.000000
	ln = Mid(ln,InStr(ln," "))
	'   +00000.000000,-00128.000000,-00128.000000
	ln = Trim(ln)
	'+00000.000000,-00128.000000,-00128.000000
	var variables = Split(ln,",")
	
	'if someone put spaces before/after commas
	For i as integer = 0 To variables.Count-1
		variables[i] = Trim(variables[i])
	Next
	
	Dim result As Vector
	result.X = csng(variables[0])
	result.Y = csng(variables[1])
	result.Z = csng(variables[2])
	Return result
End Function

sub T3DParser.LoadT3D(file as string, byref actorList as List_Of_Actor_ptr)
	var fileReader = FreeFile()
	open file for input as #fileReader
	
	dim curAct as Actor ptr
	dim parsingStaticBrush as boolean
	
	dim curPoly as BrushPolygon
	dim curPolyNum as integer
	dim parsingPolygon as boolean
	
	do
		dim ln as string
		line input #fileReader, ln
		ln = Trim(ln, any chr(9) & " ")
		var lowline = LCase(ln)
		
		'ignore comments
	 	If StartsWith(ln,";") Then Continue Do
	 
	 	'begin actor
		If StartsWith(lowline, "begin actor") Then
			if curAct<>0 then Throw("Parse error: 'Begin Actor' in the middle of another actor.")
			
			var ClassName = GetStringAfter(ln, "class=", " ")
			var ActorName = GetStringAfter(ln, "name=")
			
			curAct = CreateInstance(ClassName)
			curAct->ClassName = ClassName
			curAct->Name = ActorName
			AddDefaultProperties(*curAct)
			
			parsingStaticBrush = NameEq(curAct->ClassName, "Brush")
			
			Continue Do
		End If
		
		'actor properties
		If LineIsAProperty(ln) Then
			If curAct<>0 Then
				var prop = Left(ln, InStr(ln,"=")-1)
				var value = GetStringAfter(ln, "=")
				
				curAct->SetProp(prop, value)
				Continue Do
			End If
		End If
		
		'end actor
		If lowline = "end actor" Then
			If curAct<>0 Then
				if curAct->IsA("Mover") and curAct->Brush=0 then
					Log("Warning: Mesh Movers are not supported.")
				else
					curAct->LoadProperties()
					actorList.Add(curAct)
				EndIf
				curAct = 0
				Continue Do
			EndIf
		End If
		
		if StartsWith(lowline,"begin polygon") then
			if parsingPolygon then Throw("Parse error: 'Begin Polygon' in the middle of another polygon")
			
			parsingPolygon = True
			curPoly = BrushPolygon()
			
			If InStr(lowline,"texture=")<>0 Then
			   var texName = GetStringAfter(ln, "Texture=", " ")
			   
			   curPoly.Texture = GetTexture(texName,True)
			End If
			If InStr(lowline,"flags=")<>0 Then
			   curPoly.Flags = cint(GetStringAfter(ln, "Flags=", " "))
			End If
			
			continue do
		EndIf
		
		if parsingPolygon then
			If StartsWith(lowline,"origin") Then
				curPoly.Origin = ExtractVertexFromLine(ln)
				Continue Do
			elseif StartsWith(lowline,"normal") Then
				curPoly.Normal = ExtractVertexFromLine(ln)
				if parsingStaticBrush then curPoly.Normal *= -1 'The level model is inside-out in T3D.
				Continue Do
			elseif StartsWith(lowline,"textureu") Then
				curPoly.TextureU = ExtractVertexFromLine(ln)
				Continue Do
			elseif StartsWith(lowline,"texturev") Then
				curPoly.TextureV = ExtractVertexFromLine(ln)
				Continue Do
			elseif StartsWith(lowline,"pan") Then
				curPoly.UPan = cint(GetStringAfter(lowline, "u=", " "))
				curPoly.VPan = cint(GetStringAfter(lowline, "v="))
				Continue Do
			elseif StartsWith(lowline,"vertex") Then
				curPoly.Verts.Add(ExtractVertexFromLine(ln))
				Continue Do
			End If
		EndIf
		
		if lowline = "end polygon" then
			if parsingPolygon=False then Throw("Parse error: 'End Polygon' without matching 'Begin Polygon'")
			parsingPolygon = False
			
			' Don't include Fake Backdrop polys
			if (curPoly.Flags and PF_FakeBackdrop)=0 then
				if parsingStaticBrush then
					curPoly.iNode = curPolyNum
					curPoly.Verts.Reverse()
					'world.AddBrushPolygon(curPoly)
					curPolyNum += 1
				else
					'It belongs to a mover.
					if curAct->Brush=0 then
						curAct->Brush = new Model
						curAct->Brush->Mover = curAct
					EndIf
					curAct->Brush->AddBrushPolygon(curPoly)
				endif
			EndIf
			
		EndIf
		
	loop until eof(fileReader)
	
	close fileReader
End Sub

sub Menu.ShowMenu(mtype as EMenuType)
	if mtype<>GameOver then
		Player->PlaySound("UnrealShare.Menu.Select4")
	EndIf
	
	if mtype=None then
		SetMouse(PrevMouseX,PrevMouseY,,1) 'Make sure the mouse doesn't "jump" when locking it again.
	else
		GetMouse(PrevMouseX,PrevMouseY)
		SetMouse(,,,0)
	EndIf
	
	if MenuType=Options then
		Settings.Save("NuPlayer.ini")
	EndIf
	
	Menu.MenuType = mtype
	Menu.CurItem = 0
	Menu.Items.Clear()
	
	select case mtype
		case GameOver
			Menu.Items.Add("GAME OVER")
			Menu.Items.Add("(press Enter)")
		case Main
			Menu.Items.Add("NEW GAME")
			Menu.Items.Add("OPTIONS")
			Menu.Items.Add("CREDITS")
			Menu.Items.Add("EXIT")
		case LoadMap
			var curFile = dir("Maps\*.t3d")
			While curFile<>""
				Items.Add(Left(curFile,Len(curFile)-4))
				curFile = Dir()
			wend
		case Options
			SupportedResolutions = GetSupportedResolutions()
			
			' Set current resolution (or closest one)
			var resW = cint(Settings["ScreenWidth"])
			var resH = cint(Settings["ScreenHeight"])
			scope
				var bestDiff=9999f
				for i as integer=0 to SupportedResolutions.Count-1
					var res = SupportedResolutions[i]
					var curDiff = (res.w-resW)^2+(res.h-resH)^2
					if curDiff<bestDiff then
						bestDiff = curDiff
						NewResolution = i
					EndIf
				Next
			end scope
			
			' Set current refresh rate (or closest one)
			var rate = cint(Settings["RefreshRate"])
			if rate=0 then
				NewRefreshRate = -1
			else
				var bestDiff=9999f
				var curRes = SupportedResolutions[NewResolution]
				for i as integer=0 to curRes.rates.Count-1
					var rate = curRes.rates[i]
					var curDiff = rate-rate
					if curDiff<bestDiff then
						bestDiff = curDiff
						NewRefreshRate = i
					EndIf
				Next
			EndIf
			
			select case LCase(Settings["ScreenMode"])
				case "windowed"   : NewScreenMode = 0
				case "fullscreen" : NewScreenMode = 1
				case "borderless" : NewScreenMode = 2
			End Select
			
			Menu.Items.Add("Resolution (not for borderless)")
			Menu.Items.Add("Screen mode (Alt+Enter)")
			Menu.Items.Add("Refresh rate (fullscreen only)")
			Menu.Items.Add("Brightness")
			Menu.Items.Add("Field of view")
			Menu.Items.Add("Mouse sensitivity")
			Menu.Items.Add("God mode")
			Menu.Items.Add("Procedural textures")
			Menu.Items.Add("Dynamic lights")
			Menu.Items.Add("Sound volume")
			Menu.Items.Add("Music volume")
		case Credits
			Menu.Items.Add("Written by Yrex.")
			Menu.Items.Add("")
			Menu.Items.Add("Thanks to:")
			Menu.Items.Add("- Kasper Fauerby for collision code")
			Menu.Items.Add("- Magnus Norddahl for lightmap to world")
			Menu.Items.Add("  coord conversion code and some ideas")
			Menu.Items.Add("- Adam 'Xaleros' Smith for some ideas")
			Menu.Items.Add("- Un4seen for the audio engine")
			Menu.Items.Add("- D.J.Peters for the PNG/JPG loader")
			Menu.Items.Add("- NeHe for texture uploading code")
			Menu.Items.Add("- Mark J. Kilgard for caustics animation")
			Menu.Items.Add("- yosarrian for underwater sound")
			Menu.Items.Add("")
			Menu.Items.Add("The current map was made by")
			Menu.Items.Add("     " & Unquote(Level->GetProp("Author")))
	End Select
End Sub

sub Menu.Tick(deltaTime as single)
	if Menu.MenuType=None then return
	
	if MultiKeyPressed(FB.SC_UP) then
		Player->PlaySound("UnrealShare.Menu.Updown3",,0.5)
		Menu.CurItem -= 1
		if Menu.CurItem<0 then Menu.CurItem = Menu.Items.Count-1
	EndIf
	
	if MultiKeyPressed(FB.SC_DOWN) then
		Player->PlaySound("UnrealShare.Menu.Updown3",,0.5)
		Menu.CurItem += 1
		if Menu.CurItem>=Menu.Items.Count then Menu.CurItem = 0
	EndIf
	
	if MultiKeyPressed(FB.SC_ENTER) then
		select case Menu.MenuType
			case GameOver
				appExit()
			case LoadMap
				NextLevel = "Maps\" & Items[CurItem] & ".t3d"
				Menu.ShowMenu(None)
			case Credits
				Menu.ShowMenu(Main)
			case Options
				Settings.SetProp("ScreenWidth" , str(SupportedResolutions[NewResolution].w))
				Settings.SetProp("ScreenHeight", str(SupportedResolutions[NewResolution].h))
				if NewRefreshRate=-1 then
					Settings.SetProp("RefreshRate", "0")
				else
					Settings.SetProp("RefreshRate", str(SupportedResolutions[NewResolution].rates[NewRefreshRate]))
				EndIf
				select case NewScreenMode
					case 0 : Settings.SetProp("ScreenMode", "Windowed")
					case 1 : Settings.SetProp("ScreenMode", "Fullscreen")
					case 2 : Settings.SetProp("ScreenMode", "Borderless")
				End Select
				Menu.ShowMenu(Main)
			case Main
				select case Menu.CurItem
					case 0 : Menu.ShowMenu(LoadMap)
					case 1 : Menu.ShowMenu(Options)
					case 2 : Menu.ShowMenu(Credits)
					case 3 : appExit()
				End Select
		End Select
	EndIf
	
	if MultiKeyPressed(FB.SC_ESCAPE) then
		select case Menu.MenuType
			case GameOver : appExit()
			case Main : Menu.ShowMenu(None)
			case LoadMap : Menu.ShowMenu(Main)
			case Credits : Menu.ShowMenu(Main)
			case Options :	Menu.ShowMenu(Main)
		End Select
	EndIf
	
	if MenuType = Options then
		dim delta as integer
		if MultiKeyPressed(FB.SC_RIGHT) then delta =  1
		if MultiKeyPressed(FB.SC_LEFT ) then delta = -1
		if delta then
			select case Menu.CurItem
				case 0
					NewResolution += delta
					if NewResolution<0 then NewResolution = SupportedResolutions.Count-1
					if NewResolution>=SupportedResolutions.Count then NewResolution = 0
					NewRefreshRate = -1
				case 1
					NewScreenMode += delta
					if NewScreenMode<0 then NewScreenMode = 2
					if NewScreenMode>2 then NewScreenMode = 0
				case 2
					NewRefreshRate += delta
					var numRates = SupportedResolutions[NewResolution].rates.Count
					if NewRefreshRate<-1 then NewRefreshRate = numRates-1
					if NewRefreshRate>=numRates then NewRefreshRate = -1
				case 3
					var newGamma = Gamma+delta*0.1
					newGamma = FMin(FMax(0.5,newGamma),2.5)
					Gamma = newGamma
					SetGamma(Gamma)
					Settings.SetProp("Gamma", str(Gamma))
				case 4
					var newFOV = csng(Settings["FOV"])+delta*5
					newFOV = FMin(FMax(80,newFOV),120)
					Settings.SetProp("FOV", str(newFOV))
				case 5
					var newSpeed = csng(Settings["MouseSensitivity"])+delta*5
					newSpeed = FMin(FMax(20,newSpeed),120)
					Settings.SetProp("MouseSensitivity", str(newSpeed))
				case 6
					Settings.SetProp("GodMode",str(not cbool(Settings["GodMode"])))
				case 7
					Settings.SetProp("ProceduralTextures",str(not cbool(Settings["ProceduralTextures"])))
				case 8
					Settings.SetProp("DynamicLights",str(not cbool(Settings["DynamicLights"])))
					
				case 9
					var newVolume = GlobalSoundVolume+delta*0.1
					newVolume = FMin(FMax(0,newVolume),1)
					GlobalSoundVolume = newVolume
					Settings.SetProp("SoundVolume", str(GlobalSoundVolume))
				
				case 10
					var newVolume = GlobalMusicVolume+delta*0.1
					newVolume = FMin(FMax(0,newVolume),1)
					GlobalMusicVolume = newVolume
					Settings.SetProp("MusicVolume", str(GlobalMusicVolume))
					
					' Change the volume of already playing music
					BASS_ChannelSetAttribute(curSong,BASS_ATTRIB_VOL,GlobalMusicVolume)
					
			End Select
		endif
	EndIf
	
	
End Sub

sub Menu.Render()
	if MenuType<>None then
		BindTexture(0)
		SetBlending(EBlending.AlphaBlend)
		DrawRect(ScreenLeft4x3+ScreenSize4x3*192/640,0,ScreenSize4x3*(448-192)/640,1,rgba(0,0,0,128))
		
		var fnt = LargeFont
		
		if MenuType=LoadMap then
			DrawString(LargeFont,"SELECT LEVEL", ScreenLeft4x3+ScreenSize4x3*244/640, 8/480)
		elseif MenuType=Options then
			DrawString(LargeFont,"OPTIONS MENU", ScreenLeft4x3+ScreenSize4x3*230/640, 0)
		elseif MenuType=Credits then
			DrawString(LargeFont,"CREDITS", ScreenLeft4x3+ScreenSize4x3*264/640, 8/480)
		EndIf
		
		if MenuType=Options or MenuType=Credits or MenuType=LoadMap then
			fnt = MedFont
		EndIf
		
		glColor3f(1,1,1)
		for i as integer=0 to Items.Count-1
			if MenuType=Credits or i=CurItem then
				glColor3f(1,1,1)
			else
				glColor3f(0.5,0.5,0.5)
			EndIf
			if MenuType=Options then
				dim value as string
				select case i
					case 0 : value = SupportedResolutions[NewResolution].w & "x" & SupportedResolutions[NewResolution].h
					case 1
						select case NewScreenMode
							case 0 : value = "Windowed"
							case 1 : value = "Fullscreen"
							case 2 : value = "Borderless"
						End Select
					case 2
						if NewRefreshRate=-1 then
							value = "Default"
						else
							value = str(SupportedResolutions[NewResolution].rates[NewRefreshRate])
						EndIf
					case 3 : value = Format(Gamma,"0.0")
					case 4 : value = Settings["FOV"]
					case 5 : value = Settings["MouseSensitivity"]
					case 6 : value = iif(cbool(Settings["GodMode"]),"Enabled","Disabled")
					case 7 : value = iif(cbool(Settings["ProceduralTextures"]),"Enabled","Disabled")
					case 8 : value = iif(cbool(Settings["DynamicLights"]),"Enabled","Disabled")'str(int(DrawDistanceMin))
					case 9 : value = str(cint(GlobalSoundVolume*10))
					case 10: value = str(cint(GlobalMusicVolume*10))
				End Select
				DrawString(fnt,Items[i], ScreenLeft4x3+ScreenSize4x3*200/640, 37/480+i*19/480)
				DrawString(fnt,value   , ScreenLeft4x3+ScreenSize4x3*360/640, 37/480+i*19/480)
			else
				DrawString(fnt,Items[i], ScreenLeft4x3+ScreenSize4x3*225/640, 58/480+i*fnt->Height/480)
			EndIf
			
		Next
		
		if MenuType=Main then
			glColor3f(1,1,1)
			DrawString(MedFont,"Compiled " & __DATE_ISO__ & " " & __TIME__, ScreenLeft+ScreenSize4x3*5/640, 5/480)
		EndIf
	EndIf
End Sub

sub LoadSystemPackage(pkg as string)
	var ucFiles = GetFiles("System\" & pkg & "\Classes\*.uc")
	for i as integer=0 to ucFiles.Count-1
		LoadUC("System\" & pkg & "\Classes\" & ucFiles[i], pkg)
	Next
	var meshFiles = GetFiles("System\" & pkg & "\Models\*.3d")
	for j as integer=0 to meshFiles.Count-1
		var shortName = Left(meshFiles[j],Len(meshFiles[j])-5)
		GetVertexMesh(pkg & "." & shortName)
	Next
End Sub

'dim shared as integer _curBlending=-1
sub SetBlending(blending as EBlending)
	'if blending = _curBlending then return
	select case as const blending
		case EBlending.Opaque
			glDisable(GL_BLEND)
			glDepthMask(GL_TRUE)
			glDisable(GL_ALPHA_TEST)
		case EBlending.Masked
			glDisable(GL_BLEND)
			glDepthMask(GL_TRUE)
			glEnable(GL_ALPHA_TEST)
			glAlphaFunc(GL_GEQUAL, 0.5)
		case EBlending.Modulated
			glEnable(GL_BLEND)
			glDepthMask(GL_FALSE)
			glDisable(GL_ALPHA_TEST)
			glBlendFunc(GL_DST_COLOR, GL_SRC_COLOR)
		case EBlending.Translucent
			glEnable(GL_BLEND)
			glDepthMask(GL_FALSE)
			glDisable(GL_ALPHA_TEST)
			glBlendFunc(GL_ONE, GL_ONE_MINUS_SRC_COLOR)
		case EBlending.Additive
			glEnable(GL_BLEND)
			glDepthMask(GL_FALSE)
			glDisable(GL_ALPHA_TEST)
			glBlendFunc(GL_ONE, GL_ONE)
		case EBlending.AlphaBlend
			glEnable(GL_BLEND)
			glDepthMask(GL_FALSE)
			glDisable(GL_ALPHA_TEST)
			glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA)
	End Select
	'_curBlending = blending
End Sub

' Read-only.
operator Actor.[](byval propName as string) as string
	if Right(propName,3)="(0)" then 'Handle zeroth array items.
		propName = Left(propName,Len(propName)-3)
	EndIf
	
	for i as integer=0 to Properties.Count-1
		if NameEq(Properties[i].Name, propName) then
			return Properties[i].Value
		EndIf
	Next
	
	static empty as string
	empty=""
	return empty
End Operator

function Actor.GetProp(byval propName as string, default as string="") as string
	if Right(propName,3)="(0)" then 'Handle zeroth array items.
		propName = Left(propName,Len(propName)-3)
	EndIf
	
	for i as integer=0 to Properties.Count-1
		if NameEq(Properties[i].Name, propName) then
			return Properties[i].Value
		EndIf
	Next
	
	return default
end function

sub Actor.SetProp(byval propName as string, propValue as string)
	if Right(propName,3)="(0)" then 'Handle zeroth array items.
		propName = Left(propName,Len(propName)-3)
	EndIf
	
	for i as integer=0 to Properties.Count-1
		if NameEq(Properties[i].Name, propName) then
			Properties[i].Value = propValue
			return
		EndIf
	Next
	
	dim prop as ActorProperty
	prop.Name = propName
	prop.Value = propValue
	Properties.Add(prop)
End Sub

function ClassIsChildOf(testClass as string, parentClass as string) as Boolean
	if NameEq(testClass, parentClass) then return True
	
	for i as integer=0 to ActorClasses.Count-1
		if NameEq(ActorClasses[i]->ClassName, testClass) then
			var curClass=ActorClasses[i]
			do
				if NameEq(curClass->ClassName, parentClass) then return True
				if curClass->Parent=0 then	exit do
				curClass = curClass->Parent
			loop
			if NameEq(curClass->ClassName , parentClass) then return True
			if NameEq(curClass->ParentName, parentClass) then return True
		EndIf
	Next
	return False
End Function

function Actor.IsA(className as string) as boolean
	return ClassIsChildOf(this.ClassName, className)
End Function

sub Inventory.LoadProperties()
	Base.LoadProperties()
	
	PlayerViewMesh = GetVertexMesh(this.GetProp("PlayerViewMesh"))
	PlayerViewOffset = ParsePropVector(this.GetProp("PlayerViewOffset"),vect(0,0,0))
	PlayerViewScale = csng(this.GetProp("PlayerViewScale","1"))
End Sub

sub Inventory.Tick(deltaTime as single)
	Base.Tick(deltaTime)
End Sub

sub Inventory.Render(pass as ERenderPass)
	if bCarried=False then
		Base.Render(pass)
	EndIf
End Sub

sub Inventory.DrawCarriedItem(pass as ERenderPass)
	if Mesh<>0 andalso Mesh<>VertexMeshes[0] then
		glDisable(GL_BLEND)
		glDisable(GL_CULL_FACE)
		glDepthMask(GL_TRUE)
		glPushMatrix()
			glTranslatef(PlayerViewOffset.X, PlayerViewOffset.Y, PlayerViewOffset.Z)
			glRotatef(Rotation.Yaw  *360/65536, 0, 0, 1)
			glRotatef(Rotation.Pitch*360/65536, 0,-1, 0)
			glRotatef(Rotation.Roll *360/65536,-1, 0, 0)
			glScalef(PlayerViewScale,PlayerViewScale,PlayerViewScale)
			glScalef(DrawScale,DrawScale,DrawScale)
			glTranslatef(-PrePivot.X, -PrePivot.Y, -PrePivot.Z)
			dim frame as Integer
			if AnimSequence<>0 then
				frame = AnimSequence->StartFrame + (AnimSequence->NumFrames-1)*AnimFrame
			EndIf
			DrawVertexMesh(*Mesh,frame,pass,@MultiSkins(0))
		glPopMatrix()
		glEnable(GL_CULL_FACE)
		return
	EndIf
End Sub

sub Inventory.PickedUp()
	bCarried = True
	Mesh = PlayerViewMesh
End Sub

constructor PlayerPawn
	CurrentLevelOnly = False
	bCollideActors = True
	CollisionRadius = 17
	CollisionHeight = 39
End Constructor

sub PlayerPawn.TakeDamage(Damage as integer, EventInstigator as Actor ptr=0, HitLocation as Vector, Momentum as Vector, DamageType as string="")
	if cbool(Settings["GodMode"])=False then
		Health -= Damage
	EndIf
	
	if Health>0 then
		var decision=Rnd
		if decision<0.25 then
			Player->PlaySound("UnrealShare.Female.linjur1fem")
		elseif decision<0.5 then
			Player->PlaySound("UnrealShare.Female.linjur2fem")
		elseif decision<0.75 then
			Player->PlaySound("UnrealShare.Female.linjur3fem")
		else
			Player->PlaySound("UnrealShare.Female.hinjur4fem")
		EndIf
	EndIf
	
	Velocity += Momentum*vect(1,1,0)+vect(0,0,50)
	ViewJump = FMin(1, ViewJump + sqr(Damage/200))
	ScreenFlash.X = FMin(1,ScreenFlash.X+sqr(Damage/200))
End Sub

function PlayerPawn.GetViewRotation() as Rotator
	var result=Rotation
	if ViewJump>0 then result.Pitch += ViewJump * 4096
	return result
End Function

sub PlayerPawn.Tick(deltaTime as single)
	if this.Health<=0 then
		if curSong<>0 then BASS_MusicFree(curSong)
		
		var decision=Rnd
		if decision<0.25 then
			PlaySound("UnrealShare.Female.death1dfem")
		elseif decision<0.25 then
			PlaySound("UnrealShare.Female.death2afem")
		elseif decision<0.25 then
			PlaySound("UnrealShare.Female.death3cfem")
		else
			PlaySound("UnrealShare.Female.death4cfem")
		EndIf
		
		Menu.ShowMenu(Menu.EMenuType.GameOver)
	EndIf
	
	' Walking and gravity.
	this.bPrevOnGround = this.bOnGround
	this.bOnGround = False
	if MultiKey(fb.SC_LEFT ) then	this.Rotation.Yaw -= 256
	if MultiKey(fb.SC_RIGHT) then this.Rotation.Yaw += 256
	if MultiKey(fb.SC_DELETE) then this.Rotation.Pitch += 256
	if MultiKey(fb.SC_PAGEDOWN) then this.Rotation.Pitch -= 256
	if MultiKey(fb.SC_N) then this.Rotation.Roll += 256
	if MultiKey(fb.SC_M) then this.Rotation.Roll -= 256
	if MultiKey(fb.SC_END) then
		this.Rotation.Pitch *= 0.6
		this.Rotation.Roll  *= 0.6
	EndIf
	scope
		dim as integer mouseDX, mouseDY
		GetMouseDelta(mouseDX,mouseDY)
		this.Rotation.Yaw += mouseDX*csng(Settings["MouseSensitivity"])
		
		this.Rotation.Pitch -= mouseDY*csng(Settings["MouseSensitivity"])
	   if this.Rotation.Pitch<-16384 then this.Rotation.Pitch=-16384
	   if this.Rotation.Pitch> 16384 then this.Rotation.Pitch= 16384
		
		PlayerHorVelocity *= 0.85 ' FPS?
		
		var PlayerUnderWater = False
		if PlayerZone<>0 andalso PlayerZone->bWaterZone then
			PlayerUnderWater = True
		EndIf
		
		scope
			dim deltaPlayerHorVelocity as Vector
			if MultiKey(fb.SC_A) then deltaPlayerHorVelocity += vect( 0,-1, 0)
			if MultiKey(fb.SC_D) then deltaPlayerHorVelocity += vect( 0, 1, 0)
			if cbool(MultiKey(fb.SC_W) or MultiKey(fb.SC_UP)) or GetMouseButton(1) then deltaPlayerHorVelocity += vect( 1, 0, 0)
			if MultiKey(fb.SC_S) or MultiKey(fb.SC_DOWN) then deltaPlayerHorVelocity += vect(-1, 0, 0)
			deltaPlayerHorVelocity *= PlayerHorAcceleration
			
			var rotation = this.Rotation
			if PlayerUnderWater=False then
				rotation.Pitch = 0
			else
				deltaPlayerHorVelocity *= 0.5
			EndIf
			PlayerHorVelocity += Rotate(deltaPlayerHorVelocity, rotation)
		end scope
		
		if VSize(PlayerHorVelocity)>this.GroundSpeed then
			PlayerHorVelocity = Normal(PlayerHorVelocity)*this.GroundSpeed
		EndIf
		
		dim moveDir as Vector
		moveDir = PlayerHorVelocity
		
		' Jumping.
		if PlayerUnderWater then
			/'if (cbool(MultiKeyPressed(fb.SC_SPACE)) or GetMousePressed(2)) and (this.Velocity.Z<150) then
				this.Velocity += vect(0,0,20000/60)
			EndIf'/
			if (cbool(MultiKey(fb.SC_SPACE)) or GetMousePressed(2)) and (this.Velocity.Z<150) then
				this.Velocity += vect(0,0,6000/60)
			EndIf
		else
			if (cbool(MultiKey(fb.SC_SPACE)) or GetMouseButton(2)) and this.bPrevOnGround then
				this.Velocity += vect(0,0,25000/60)
				PlaySound("UnrealShare.Female.jump1fem")
			EndIf
		endif
		
		' Flying & ghosting.
		if cbool(Settings["GodMode"]) then
			if MultiKey(fb.SC_F) then this.Velocity += vect(0,0,2300/60)
			if MultiKey(fb.SC_G) then this.SetLocation(this.Location+vect(0,0,200/60))
		EndIf
		
		if PlayerUnderWater then
			this.Velocity += vect(0,0,-150/60)
			this.Velocity *= 0.9
		else
			this.Velocity += vect(0,0,-1500/60) ' Gravity
			this.Velocity *= vect(0.99,0.99,1)
		EndIf
		
		' Limit falling speed.
		if VSize(this.Velocity)>2500 then
			this.Velocity = Normal(this.Velocity)*2500
		EndIf
		
		moveDir += this.Velocity
		
		moveDir *= deltaTime
		
		Player->Walk(moveDir)
	end scope
	
	' Shooting.
	if cbool(MultiKey(fb.SC_CONTROL)) or GetMouseButton(0) then
		if TimeSeconds>LastFireTime+0.33 then
			var proj = Spawn("DispersionAmmo",@this,,this.Location,this.Rotation)
			proj->SetLocation(this.Location + Normal(proj->Velocity)*10)
			LastFireTime = TimeSeconds
		EndIf
	EndIf
	
	if MultiKeyPressed(fb.SC_F1) then
		LevelMessageTimer = 8
	EndIf
	
	if MultiKeyPressed(fb.SC_F9) then
		TakeScreenshot()
	EndIf
	
	' Zone damage.
	if PlayerZone<>0 then
		var DamagePerSec = cint(PlayerZone->GetProp("DamagePerSec"))
		
		if DamagePerSec<>0 and TimeSeconds>LastZoneDamageTime+1 then
			TakeDamage(DamagePerSec,@this,Location,vect(0,0,0),PlayerZone->GetProp("DamageType"))
			LastZoneDamageTime = TimeSeconds
		EndIf
	EndIf
	
	' Interact with trigger-type (i.e. colliding but non-blocking) actors.
	PlayerZone = Level
	PlayerHeadZone = Level
	for i as integer=0 to Actors.Count-1
		if Actors[i]->Brush=0 then 'ignore Movers
			if Actors[i]->IsTouchedByPlayer() then
				if Actors[i]->touchedByPlayer = False then
					Actors[i]->Touch(0)
					Actors[i]->touchedByPlayer = True
				EndIf
			else
				if Actors[i]->touchedByPlayer = True then
					Actors[i]->UnTouch(0)
					Actors[i]->touchedByPlayer = False
				EndIf
			EndIf
			
		endif
	Next
	
	this.BaseEyeHeight = Lerp(0.1875, this.BaseEyeHeight, this.DefaultBaseEyeHeight)
	
	PlayerZone     = cast(ZoneInfo ptr, GetLocZone(this.Location)) 'FIXME: cast
	PlayerHeadZone = cast(ZoneInfo ptr, GetLocZone(this.Location+vect(0,0,this.BaseEyeHeight)))
	
	if Player->ViewJump>0 then	Player->ViewJump -= deltaTime*3
	
	Player->ScreenFlash.X = FMax(0, Player->ScreenFlash.X - deltaTime*3)
	Player->ScreenFlash.Y = FMax(0, Player->ScreenFlash.Y - deltaTime*3)
	Player->ScreenFlash.Z = FMax(0, Player->ScreenFlash.Z - deltaTime*3)
	
	'Update audio stuff
	scope
		var vVel   = vect(0,0,0)
		var vFront = Rotate(vect(1,0,0),this.Rotation)
		var vTop   = vect(0,0,1)
		BASS_Set3DPosition(cast(any ptr,@this.Location), _
								 cast(any ptr,@vVel), _
								 cast(any ptr,@vFront), _
								 cast(any ptr,@vTop))
	end scope
	BASS_Apply3D()
	
	PlayerHeadUnderWater = False
	if PlayerHeadZone<>0 andalso PlayerHeadZone->bWaterZone then
		PlayerHeadUnderWater = True
	EndIf
	
	if PlayerHeadUnderWater then
		BASS_ChannelPlay(underwaterSound, 0)
	else
		BASS_ChannelPause(underwaterSound)
	EndIf
End Sub

sub Actor.Touch(other as Actor ptr)
	' Because I'm too lazy to write separate classes. TODO
	
	if other<>0 then return ' Handle only player's touching.
	
	if NameEq(ClassName, "TranslatorEvent") then
		
		if this["Message"]<>"" then
			TranslatorMessage = Unquote(this["Message"])
			Player->PlaySound("UnrealShare.Pickups.TransA3",,0.66)
		elseif this["Hint"]<>"" then
			TranslatorMessage = Unquote(this["Hint"])
		EndIf
		
	elseif NameEq(ClassName, "Trigger") then
		TriggerEvent(this["Event"],@this,Instigator)
		if cbool(this["bTriggerOnceOnly"]) then
			Destroy(@this)
		EndIf
			
	elseif NameEq(ClassName, "Teleporter") then
		var url = this["URL"]
		
		if url<>"" then
			if (InStr(url,"/")=0) andalso (InStr(url,"#")=0) then
				var target = FindActorByTag(url)
				if target<>0 then Player->SetLocation(target->Location+vect(0,0,16))
			else
				' We finished the level!
				url = Unquote(url)
				var separatorPos = InStr(url,any "#/")
				var levelName = Trim(Left(url,separatorPos-1))
				
				NextLevel = "Maps\" & levelName & ".t3d" 'will load in next tick
			EndIf
		EndIf
	elseif IsA("Weapon") then
		if this is Weapon then
			var thisWeap = cast(Weapon ptr, @this)
			
			if thisWeap->bCarried=False then
				Player->Inventory.Add(thisWeap)
				thisWeap->PickedUp()
			endif
		EndIf
		
	else
		var PickupMessage = this["PickupMessage"]
		
		if PickupMessage<>"" then
			var HealingAmount = cint(this["HealingAmount"])
			
			if this.IsA("Health") then
				if this.IsA("NaliFruit") then HealingAmount=30
				
				dim bSuperHeal as boolean
				if this["bSuperHeal"]<>"" then
					bSuperHeal = cbool(this["bSuperHeal"])
				EndIf
				
				if bSuperHeal then
					if Player->Health>=200 then return
				else
					if Player->Health>=100 then return
				EndIf
				
				Player->Health += HealingAmount
				Player->PlaySound("UnrealShare.Pickups.Health2",,0.8)
				
				if bSuperHeal then
					if Player->Health>200 then Player->Health=200
				else
					if Player->Health>100 then Player->Health=100
				EndIf
				
				InventoryMessage = Unquote(this["PickupMessage"]) & HealingAmount
			else
				InventoryMessage = Unquote(this["PickupMessage"])
			EndIf
			
			InventoryMessageTimer = 8
			
			Player->ScreenFlash += vect(0.25,0.25,0.25)
			
			Destroy(@this)
		EndIf
	Endif
End Sub

sub Actor.UnTouch(other as Actor ptr)
	select case ClassName
		case "TranslatorEvent"
			TranslatorMessage = ""
		case "Trigger"
			UnTriggerEvent(this["Event"],@this,Instigator)
	end select
end sub

sub Actor.HitWall(hitNormal as Vector, wall as Actor ptr)
End Sub

sub Actor.SetTimer(NewTimerRate as single, bLoop as boolean)
	if NewTimerRate>0 then
		timerEnabled = True
		timerPeriod = NewTimerRate
		timerTimeLeft = NewTimerRate
		timerLooped = bLoop
	else
		timerEnabled = False
	EndIf
End Sub

sub Actor.OnTimer()
End Sub

sub Actor.TakeDamage(Damage as integer, EventInstigator as Actor ptr=0, HitLocation as Vector, Momentum as Vector, DamageType as string="")
	if NameEq(ClassName,"Trigger") then
		if NameEq(this["TriggerType"],"TT_Shoot") or this["TriggerType"]="4" then
			if cbool(this["bInitiallyActive"]) then
				if cbool(this["bTriggerOnceOnly"]) then Destroy(@this)
				TriggerEvent(this["Event"],@this,Instigator)
			endif
		EndIf
	elseif NameEq(ClassName,"ExplodingWall") then
		Log(DamageType)
	EndIf
End Sub

function Actor.IsTouchedByPlayer() as boolean
	if bCollideActors=False then
		return False
	EndIf
	
	return CheckCollisionCylinders(Player->Location, Player->CollisionHeight, Player->CollisionRadius, this.Location, this.CollisionHeight, this.CollisionRadius)
End Function

sub Actor.LoadProperties()
	SetLocation(T3DParser.ParseVector(this["Location"]))
	PrePivot = T3DParser.ParseVector(this["PrePivot"])
	Rotation = T3DParser.ParseRotator(this["Rotation"])
	RotationRate = T3DParser.ParseRotator(this["RotationRate"])
	InitialState = Unquote(this["InitialState"])
	bStatic = cbool(this["bStatic"])
	
	select case LCase(this["Physics"])
		case "phys_none"         ,"0" : Physics = PHYS_None
		case "phys_walking"      ,"1" : Physics = PHYS_Walking
		case "phys_falling"      ,"2" : Physics = PHYS_Falling
		case "phys_swimming"     ,"3" : Physics = PHYS_Swimming
		case "phys_flying"       ,"4" : Physics = PHYS_Flying
		case "phys_rotating"     ,"5" : Physics = PHYS_Rotating
		case "phys_projectile"   ,"6" : Physics = PHYS_Projectile
		case "phys_rolling"      ,"7" : Physics = PHYS_Rolling
		case "phys_interpolating","8" : Physics = PHYS_Interpolating
		case "phys_movingbrush"  ,"9" : Physics = PHYS_MovingBrush
		case "phys_spider"       ,"10": Physics = PHYS_Spider
		case "phys_trailer"      ,"11": Physics = PHYS_Trailer
	End Select
	
	if this is Mover then 'TODO move this into Mover
		var thisMover = cast(Mover ptr,@this)
		for i as integer=0 to 8
			var keyPosText = this["KeyPos(" & i & ")"]
			var keyRotText = this["KeyRot(" & i & ")"]
			
			if keyPosText<>"" then thisMover->KeyPos(i) = T3DParser.ParseVector (keyPosText)
			if keyRotText<>"" then thisMover->KeyRot(i) = T3DParser.ParseRotator(keyRotText)
		Next
	EndIf
	
	bHidden = cbool(this["bHidden"])
	SpriteProjForward = csng(this.GetProp("SpriteProjForward","32"))
	
	if Mesh=0 then
		Mesh = GetVertexMesh(GetShortName(this["Mesh"]))
	EndIf
	
	if Texture=0 then
		var tex = GetTexture(this["Texture"],True)
		if tex<>Textures[0] then Texture = tex
	EndIf
	
	select case LCase(this["Style"])
		case "sty_none"       ,"0": Style = STY_None
		case "sty_normal"     ,"1": Style = STY_Normal
		case "sty_masked"     ,"2": Style = STY_Masked
		case "sty_translucent","3": Style = STY_Translucent
		case "sty_modulated"  ,"4": Style = STY_Modulated
		case "sty_alphablend" ,"5": Style = STY_AlphaBlend
	End Select
	
	for i as integer=0 to 16-1
		var tex = GetTexture(this["MultiSkins(" & i & ")"],True)
		if tex<>Textures[0] then MultiSkins(i)=tex
	Next
	
	var tex = GetTexture(this["Skin"],True)
	if tex<>Textures[0] then MultiSkins(0)=tex
	
	DrawScale = csng(this.GetProp("DrawScale","1"))
	
	bUnlit = cbool(this["bUnlit"])
	
	LightBrightness = cint(this.GetProp("LightBrightness"))
	LightHue        = cint(this.GetProp("LightHue"       ))
	LightSaturation = cint(this.GetProp("LightSaturation"))
	LightRadius     = cint(this.GetProp("LightRadius"    ))
	LightPeriod     = cint(this.GetProp("LightPeriod"    ))
	LightPhase      = cint(this.GetProp("LightPhase"     ))
	LightCone       = cint(this.GetProp("LightCone"      ))
	
	select case LCase(this["LightEffect"])
		case "le_none"         ,"0" : LightEffect = LE_None
		case "le_torchwaver"   ,"1" : LightEffect = LE_TorchWaver
		case "le_firewaver"    ,"2" : LightEffect = LE_FireWaver
		case "le_wateryshimmer","3" : LightEffect = LE_WateryShimmer
		case "le_searchlight"  ,"4" : LightEffect = LE_Searchlight
		case "le_slowwave"     ,"5" : LightEffect = LE_SlowWave
		case "le_fastwave"     ,"6" : LightEffect = LE_FastWave
		case "le_cloudcast"    ,"7" : LightEffect = LE_CloudCast
		case "le_staticspot"   ,"8" : LightEffect = LE_StaticSpot
		case "le_shock"        ,"9" : LightEffect = LE_Shock
		case "le_disco"        ,"10": LightEffect = LE_Disco
		case "le_warp"         ,"11": LightEffect = LE_Warp
		case "le_spotlight"    ,"12": LightEffect = LE_Spotlight
		case "le_nonincidence" ,"13": LightEffect = LE_NonIncidence
		case "le_shell"        ,"14": LightEffect = LE_Shell
		case "le_omnibumpmap"  ,"15": LightEffect = LE_OmniBumpMap
		case "le_interference" ,"16": LightEffect = LE_Interference
		case "le_cylinder"     ,"17": LightEffect = LE_Cylinder
		case "le_rotor"        ,"18": LightEffect = LE_Rotor
		case "le_sunlight"     ,"19": LightEffect = LE_Sunlight
	End Select
	
	select case LCase(this["LightType"])
		case "le_none"              ,"0": LightType = LT_None
		case "lt_steady"            ,"1": LightType = LT_Steady
		case "lt_pulse"             ,"2": LightType = LT_Pulse
		case "lt_blink"             ,"3": LightType = LT_Blink
		case "lt_flicker"           ,"4": LightType = LT_Flicker
		case "lt_strobe"            ,"5": LightType = LT_Strobe
		case "lt_backdroplight"     ,"6": LightType = LT_BackdropLight
		case "lt_subtlepulse"       ,"7": LightType = LT_SubtlePulse
		case "lt_texturepaletteonce","8": LightType = LT_TexturePaletteOnce
		case "lt_texturepaletteloop","9": LightType = LT_TexturePaletteLoop
	end select
	
	bSpecialLit = cbool(this["bSpecialLit"])
	
	if CollisionHeight=0 then
		CollisionHeight = csng(this.GetProp("CollisionHeight","22"))
	EndIf
	if CollisionRadius=0 then
		CollisionRadius = csng(this.GetProp("CollisionRadius","22"))
	EndIf
	bCollideActors = cbool(this.GetProp("bCollideActors","True" ))
	bBlockPlayers  = cbool(this.GetProp("bBlockPlayers" ,"False"))
	bProjTarget    = cbool(this.GetProp("bProjTarget"   ,"False"))
End Sub

sub Actor.LoopAnim(sequence as string, rate as single=1)
	if sequence="" then
		AnimSequence = 0
		AnimName = ""
		AnimFrame = 0
		NotifiesCalled = 0
		AnimRate = 0
	EndIf
	if Mesh<>0 then
		for i as integer=0 to Mesh->Sequences.Count-1
			if NameEq(Mesh->Sequences[i].Name, sequence) then
				AnimSequence = @(Mesh->Sequences[i])
				AnimName = Mesh->Sequences[i].Name
				AnimFrame = 0
				NotifiesCalled = 0
				AnimRate = rate*AnimSequence->Rate
				return
			EndIf
		Next
		'Log("Can't find animation '" & sequence & "' in mesh '" & Mesh->Name & "'")
	else
		'Log("Can't set animation without a mesh")
	EndIf
End Sub

sub Actor.AnimNotify(byref notify as VertexMeshNotify)
	'Log(this.ClassName & ": " & notify.FuncName)
End Sub

sub Actor.AnimEnd()
End Sub

sub Actor.PlaySound(sound as string, slot as integer=0, volume as single=1, bNoOverride as boolean=False, radius as single=1, pitch as single=1)
	var file = GetSoundFile(sound)
	
	if file="" then return
	var flags=BASS_STREAM_AUTOFREE
	if @this<>Player then flags or= BASS_SAMPLE_3D 'Sounds originating from Player should always be "stuck to the camera".
	var stream = BASS_StreamCreateFile(0, strptr(file), 0, 0, flags)
	
	if stream<>0 then
		' TODO: what units does radius use?
		if @this<>Player then
			BASS_ChannelSet3DPosition  (stream,cast(any ptr,@Location),0,0)
			BASS_ChannelSet3DAttributes(stream,BASS_3DMODE_NORMAL,202,809,-1,-1,0)
		EndIf
		BASS_ChannelSetAttribute(stream,BASS_ATTRIB_VOL,volume*GlobalSoundVolume)
		BASS_ChannelPlay(stream, 0)
	endif
	
End Sub

sub Actor._tick(deltaTime as single)
	if Physics=PHYS_Rotating then
		Rotation += RotationRate*deltaTime
	EndIf
	
	if AnimSequence<>0 andalso Mesh<>0 then
		AnimFrame += AnimRate*deltaTime/AnimSequence->NumFrames
		
		for i as integer=0 to Mesh->Notifies.Count-1
			if cbool(AnimFrame >= Mesh->Notifies[i].Time) andalso cbool(((NotifiesCalled shr i) and 1)=0) andalso NameEq(AnimName, Mesh->Notifies[i].Seq) then
				AnimNotify(Mesh->Notifies[i])
				NotifiesCalled or= 1 shl i
			EndIf
		Next
		
		if AnimFrame>=1 then
			AnimFrame=0
			NotifiesCalled=0
			AnimEnd()
		EndIf
	EndIf
	
	if timerEnabled then
		timerTimeLeft -= deltaTime
		if timerTimeLeft<=0 then
			if timerLooped then
				timerTimeLeft = timerPeriod
			else
				timerEnabled = False
			EndIf
			OnTimer()
		EndIf
	EndIf
	
	select case as const LightType
		case LT_Flicker: LightFlickerState = Rnd<0.5
		case LT_Strobe : LightFlickerState = not LightFlickerState
	End Select
	
	Tick(deltaTime)
End Sub

sub Actor.Iluminate()
	if bIluminated then return
	bIluminated = True
	
	if bHidden=False and cbool(Mesh<>0) and bUnlit=False then
		for i as integer=0 to Actors.Count-1
			var source = Actors[i]
			if source->LightType>LT_None andalso source->LightBrightness>0 then
				var maxDist = source->LightRadius*25
				var dist = VSize(source->Location-Location)
				
				if dist<maxDist then
					dim as Vector LightColor
					hsv2rgb(source->LightBrightness*0.5, source->LightHue, source->LightSaturation, LightColor.X, LightColor.Y, LightColor.Z)
					
					dim unused as Triangle ptr
					if TraceMeshColor=False orelse CheckCollisionWithModel(LevelModel, source->Location, Location, unused, 1, 1)=False then
					'if LevelBsp->FastTrace(source->Location, Location) then
						var addedColor = LightColor * (1-(maxDist-dist)/maxDist)
						ActorColor += addedColor
					EndIf
					
				EndIf
			EndIf
		next
		
	EndIf
	
End Sub

sub Actor.SetLocation(l as Vector)
	levelBsp->RemoveActorFromBsp(@this,@levelBsp->Nodes(0))
	Location = l
	levelBsp->InsertActorIntoBsp(@this,@levelBsp->Nodes(0))
End Sub

sub Actor.Move(delta as Vector)
	SetLocation(Location+delta)
	
	if bCollideWorld then
		dim hitNormal as Vector
		dim hitActor as Actor ptr
		if CheckCollisionWithWorld(Location-delta,Location,hitNormal,hitActor,CollisionRadius,CollisionHeight) then
			if hitActor=0 orelse hitActor->Brush<>0 then
				HitWall(hitNormal,hitActor)
			EndIf
		EndIf
	EndIf
End Sub

sub Actor.PreBeginPlay()
End Sub

sub Actor.BeginPlay()
	if Mesh<>0 then
		if this["AnimSequence"]<>"" then
			LoopAnim(Unquote(this["AnimSequence"]),csng(this["AnimRate"]))
			AnimFrame = csng(this["AnimFrame"])
		else
			LoopAnim("Still")
		EndIf
	endif
	
	if IsA("ExplodingWall") then
		Texture = 0
	EndIf
End Sub

sub Actor.Destroyed()
	bDeleteMe = True

	levelBsp->RemoveActorFromBsp(@this,@levelBsp->Nodes(0))
	
	' to reduce risk of recursion...
	' (FIXME: the correct way would be disabling execution of events)
	bCollideActors = False
	bCollideWorld = False
	bBlockPlayers = False
	SetProp("Tag","")
End Sub

sub Actor.Tick(deltaTime as single)
End Sub

sub Actor.Trigger(other as Actor ptr, instigator as Actor ptr)
	' Because I'm too lazy to write separate classes. TODO
	if NameEq(ClassName,"SpecialEvent") then
		if NameEq(InitialState, "DamageInstigator") then
			other->TakeDamage(cint(this["Damage"]),,Location,vect(0,0,0),this["DamageType"])
		elseif NameEq(InitialState, "PlaySoundEffect") then
			PlaySound(this["Sound"])
		elseif NameEq(InitialState, "PlayersPlaySoundEffect") then
			Player->PlaySound(this["Sound"])
		elseif NameEq(InitialState, "KillInstigator") then
			other->TakeDamage(999999,,Location,vect(0,0,0))
		elseif NameEq(InitialState, "DisplayMessage") then
			' FIXME: make a message slot for this
			InventoryMessage = Unquote(this["Message"])
			InventoryMessageTimer = 8
		EndIf
		
	elseif NameEq(ClassName,"MusicEvent") then
		PlaySong(this["Song"], cint(this["SongSection"]), cbool(this["bSilence"]))
		
		if cbool(this["bOnceOnly"]) then
			Destroy(@this)
		EndIf
		
	elseif NameEq(ClassName,"ExplodingWall") orelse NameEq(ClassName,"BreakingGlass") then
		Spawn("Explosion",,,Location,rot(0,0,0))
		Destroy(@this)
		TriggerEvent(this["Event"],@this,Instigator)
		
	elseif NameEq(ClassName,"Trigger") then
		if NameEq(InitialState,"OtherTriggerTurnsOff") then
			this.SetProp("bInitiallyActive","False")
		elseif NameEq(InitialState,"OtherTriggerTurnsOn") then
			this.SetProp("bInitiallyActive","True")
		elseif NameEq(InitialState,"OtherTriggerToggles") then
			this.SetProp("bInitiallyActive",str(not(cbool(this["bInitiallyActive"]))))
		EndIf
		
	Endif
End Sub

sub Actor.UnTrigger(other as Actor ptr, instigator as Actor ptr)
End Sub

' Based on Engine.Actor:
sub Actor.HurtRadius(DamageAmount as single, DamageRadius as single, DamageName as string, Momentum as single, HitLocation as Vector)
	dim Victims as Actor ptr
	dim as single damageScale, dist
	dim dir as Vector

	if bHurtEntry then return

	bHurtEntry = True
	'foreach VisibleCollidingActors( class 'Actor', Victims, DamageRadius, HitLocation ), but without the trace (FIXME)
	for i as integer=0 to Actors.Count-1
		Victims = Actors[i]
		if Victims->bCollideActors andalso VSize(Victims->Location-Location)<DamageRadius+Victims->CollisionHeight then
			HitLocation = Victims->Location
			
			if Victims <> @this then
				dir = Victims->Location - HitLocation
				dist = FMax(1,VSize(dir))
				dir = dir/dist
				damageScale = 1 - FMax(0,(dist - Victims->CollisionRadius)/DamageRadius)
				Victims->TakeDamage _
				( _
					damageScale * DamageAmount, _
					Instigator, _
					Victims->Location - 0.5 * (Victims->CollisionHeight + Victims->CollisionRadius) * dir, _
					(damageScale * Momentum * dir), _
					DamageName _
				)
			endif
		endif
	next
	
	bHurtEntry = False
End Sub

sub Actor.CollideWithActors()
	var isProjectile = IsA("Projectile")
	
	if bCollideActors then
		for i as integer=0 to Actors.Count-1
			var other = Actors[i]
			if other<>@this andalso other->Brush=0 then
				if other->bCollideActors orelse (isProjectile and other->bProjTarget) then
					if CheckCollisionCylinders(Location,CollisionHeight,CollisionRadius,other->Location,other->CollisionHeight,other->CollisionRadius) then
						Touch(other)
						other->Touch(@this)
						UnTouch(other)
						other->UnTouch(@this)
						if bDeleteMe then return
					EndIf
				EndIf
			EndIf
		Next
	EndIf	
End Sub

sub Actor.Render(pass as ERenderPass)
	if bHidden then return
	if (Mesh=0) and (Texture=0) then return
	
	'var ActorDrawDistance = DrawDistance*0.6
	'if VSize(Player->Location-Location) > ActorDrawDistance+BoundingSphereRadius then return
	
	if Mesh<>0 andalso Mesh<>VertexMeshes[0] then
		Iluminate()
		
		glDisable(GL_BLEND)
		glDisable(GL_CULL_FACE)
		glDepthMask(GL_TRUE)
		glPushMatrix()
			glTranslatef(Location.X, Location.Y, Location.Z)
			glRotatef(Rotation.Yaw  *360/65536, 0, 0, 1)
			glRotatef(Rotation.Pitch*360/65536, 0,-1, 0)
			glRotatef(Rotation.Roll *360/65536,-1, 0, 0)
			glScalef(DrawScale,DrawScale,DrawScale)
			glTranslatef(-PrePivot.X, -PrePivot.Y, -PrePivot.Z)
			dim frame as Integer
			if AnimSequence<>0 then
				frame = AnimSequence->StartFrame + (AnimSequence->NumFrames-1)*AnimFrame
			EndIf
			if bUnlit then
				glColor3f(0.5,0.5,0.5)
			else
				glColor3f(ActorColor.X*0.5,ActorColor.Y*0.5,ActorColor.Z*0.5)
			EndIf
			DrawVertexMesh(*Mesh,frame,pass,@MultiSkins(0))
		glPopMatrix()
		glEnable(GL_CULL_FACE)
		return
	EndIf
	
	if pass=ERenderPass.Opaque      andalso ((Style=STY_Modulated) or (Style=STY_Translucent)) then return
	if pass=ERenderPass.Modulated   andalso (Style<>STY_Modulated) then return
	if pass=ERenderPass.Translucent andalso (Style<>STY_Translucent) then return
	
	if Texture<>0 then
		BindTexture(this.Texture)
	else
		return
	EndIf
	
	select case as const Style
		case STY_Masked
			SetBlending(EBlending.Masked)
		case STY_Translucent
			SetBlending(EBlending.Additive)
		case STY_Modulated
			SetBlending(EBlending.Modulated)
		case STY_AlphaBlend
			SetBlending(EBlending.AlphaBlend)
		case else
			if Texture->Flags and PF_Masked then
				SetBlending(EBlending.Masked)
			else
				SetBlending(EBlending.Opaque)
			EndIf
	End Select
	
	glColor3f(ScaleGlow*0.5,ScaleGlow*0.5,ScaleGlow*0.5)
	DrawSprite(Location,this.Texture->USize*DrawScale,this.Texture->VSize*DrawScale,SpriteProjForward)
	
	glDisable(GL_BLEND)
	glDepthMask(GL_TRUE)
End Sub

sub Actor.Walk(delta as Vector, recursion as integer=0)
	static originalDelta as Vector 'delta from 0th recursion
	if recursion=0 then originalDelta=delta
	
	if recursion>5 then
		Velocity = vect(0,0,60) ' Try to get unstuck...
		return
	EndIf
	
	dim hitNormal as Vector
	dim hitActor as Actor ptr
	
	var isCollision = CheckCollisionWithWorld(Location, Location+delta, hitNormal, hitActor, CollisionRadius, CollisionHeight)
	
	if isCollision=False then
		SetLocation(Location+delta)
	else
		' We hit a wall. Try to slide along it...
		
		' Touched a mover.
		if hitActor<>0 then hitActor->Touch(0)
		
		' If the floor is at <=45deg, don't slide.
		' 1/sqrt(2) ~= 0.707
		if hitNormal.Z>0.707 then
						
			'Handle fall damage.
			if @this=Player then 'only players have fall damage
				if Velocity.Z<-1500 then
					TakeDamage((abs(Velocity.Z)-1500)/10,,Location,vect(0,0,0))
					PlaySound("UnrealShare.Female.lland1fem")
				else
					if Velocity.Z<-300 then PlaySound("UnrealShare.Female.Land1",,0.66)
				endif
			EndIf
			
			Velocity = vect(0,0,0)
			bOnGround = True
			if hitActor<>0 then
				' standing on a mover.
				if *hitActor is Mover then
					cast(Mover ptr,hitActor)->StoodOn(0)
				EndIf
			EndIf
		EndIf
		
		var newLoc = Location+delta+hitNormal*(VSize(delta)*-Dot(Normal(delta),hitNormal)+0.005)
		
		' Walking up stairs.
		if (Dot(Normal(delta),hitNormal) < -0.5) and (abs(hitNormal.Z) < 0.05) then
			if CheckCollisionWithWorld(Location+vect(0,0,25), Location+delta+vect(0,0,25), hitNormal, hitActor, CollisionRadius, CollisionHeight)=False then
				if CheckCollisionWithWorld(Location, Location+vect(0,0,25), hitNormal, hitActor, CollisionRadius, CollisionHeight)=False then
					SetLocation(Location+delta+vect(0,0,25))
					if this is PlayerPawn then
						cast(PlayerPawn ptr,@this)->BaseEyeHeight -= 25
					EndIf
					return
				EndIf
			endif
		EndIf
		
		Walk(newLoc-Location, recursion+1)
	EndIf
End Sub

sub Actor.LogProps()
	Log("Begin Actor Class=" & this.ClassName & " Name=" & this.Name)
	for i as integer=0 to Properties.Count-1
		Log(chr(9) & Properties[i].Name & "=" & Properties[i].Value)
	Next
	Log("End Actor")
End Sub

function Actor.IsDynamicLight() as boolean
	if bStatic=False then return True
	select case as const LightType
		case LT_None: return False
		case LT_Pulse, LT_Blink, LT_Flicker, LT_Strobe, LT_SubtlePulse, LT_TexturePaletteOnce, LT_TexturePaletteLoop: return True
		case else
			select case as const LightEffect
				case LE_TorchWaver, LE_FireWaver, LE_WateryShimmer, LE_Searchlight, LE_SlowWave, LE_FastWave, LE_CloudCast, _
					  LE_Shock, LE_Disco, LE_Interference, LE_Rotor: return True
				case else
					return False
			End Select
	End Select
End Function

constructor Mover
	MainScale = vect(1,1,1)
	PostScale = vect(1,1,1)
End Constructor

sub Mover.setState(newState as EMoverState)
	select case newState
		case Closed
			PlaySound(this.GetProp("ClosedSound"))
			if MoveAmbientSound<>0 then BASS_ChannelPause(MoveAmbientSound)
		case Opening
			PlaySound(this.GetProp("OpeningSound"))
			if MoveAmbientSound<>0 then BASS_ChannelPlay(MoveAmbientSound, 0)
		case Opened
			PlaySound(this.GetProp("OpenedSound"))
			if MoveAmbientSound<>0 then BASS_ChannelPause(MoveAmbientSound)
		case Closing
			PlaySound(this.GetProp("ClosingSound"))
			if MoveAmbientSound<>0 then BASS_ChannelPlay(MoveAmbientSound, 0)
	End Select
	
	state = newState
End Sub

sub Mover.Render(pass as ERenderPass)
	if Brush<>0 then
		Iluminate()
		
		'if VSize(Player->Location-Location) > DrawDistance+BoundingSphereRadius then return
		
		glPushMatrix()
			glTranslatef(Location.X, Location.Y, Location.Z)
			glScalef(PostScale.X, PostScale.Y, PostScale.Z)
			glRotatef(Rotation.Yaw  *360/65536, 0, 0, 1)
			glRotatef(Rotation.Pitch*360/65536, 0,-1, 0)
			glRotatef(Rotation.Roll *360/65536,-1, 0, 0)
			glScalef(MainScale.X, MainScale.Y, MainScale.Z)
			glTranslatef(-PrePivot.X, -PrePivot.Y, -PrePivot.Z)
			DrawMover(*Brush,pass)
		glPopMatrix()
	endif
End Sub

function ParsePropVector(text As String, default as Vector) As Vector
	var result = default
	
	var lowtext = LCase(text)
	
	if InStr(lowtext,"x=") then result.X = csng(GetStringAfter(lowtext,"x=",",)"))
	if InStr(lowtext,"y=") then result.Y = csng(GetStringAfter(lowtext,"y=",",)"))
	if InStr(lowtext,"z=") then result.Z = csng(GetStringAfter(lowtext,"z=",",)"))
	
	return result
End Function

sub Mover.LoadProperties()
	Base.LoadProperties()
	
	MainScale = ParsePropVector(this.GetProp("MainScale"),vect(1,1,1))
	PostScale = ParsePropVector(this.GetProp("PostScale"),vect(1,1,1))
	
	NumKeys  = cint(this.GetProp("NumKeys","2"))
	MoveTime = csng(this.GetProp("MoveTime","1"))
	StayOpenTime = csng(this.GetProp("StayOpenTime","4"))
End Sub

sub Mover.BeginPlay()
	Base.BeginPlay()
	
	InitialPos = Location
	InitialRot = Rotation
	
	if NameEq(this.GetProp("MoverGlideType"), "MV_MoveByTime") or this.GetProp("MoverGlideType")="0" then
		bGlideByTime = False
	else
		bGlideByTime = True
	EndIf
	
	select case LCase(InitialState)
		case "", "bumpopentimed", "bumpbutton", "standopentimed", "triggeropentimed"
			shouldReturn = not cbool(this.GetProp("bTriggerOnceOnly"))
			'otherwise (for TriggerToggle and TriggerControl), don't automatically return.
	End Select
	
	' Calculate bounds...
	for t as integer=0 to Brush->Tris.Count-1
		for v as integer=0 to 3-1
			var curDist = VSize(GetVert(t,v)-Location)
			if curDist>BoundingSphereRadius then
				BoundingSphereRadius = curDist
			EndIf
		Next
	next
	
	' Flip normals if necessary
	var sign = MainScale.X*MainScale.Y*MainScale.Z*PostScale.X*PostScale.Y*PostScale.Z
	if sign<0 then
		for i as integer=0 to Brush->Tris.Count-1
			var tri = @Brush->Tris[i]
			swap tri->V(0) , tri->V(2)
			swap tri->UV(0), tri->UV(2)
			'tri->Normal *= -1
		Next
	EndIf
	
End Sub

sub Mover.Tick(deltaTime as single)
	if state=Closed then return
	
	if (state=Opened) and shouldReturn then
		if stayOpenTimer>0 then
			stayOpenTimer -= deltaTime
			return
		else
			stayOpenTimer = 0
			setState(Closing)
		EndIf
	EndIf
	
	dim direction as single
	if state=Opening then direction=1
	if state=Closing then direction=-1
	
	position += (direction/MoveTime)*deltaTime
	
	if position>(NumKeys-1) then
		position = (NumKeys-1.001) '.001 to avoid rounding problems
		if state<>Opened then
			TriggerEvent(this.GetProp("Event"),@this,Instigator)
			setState(Opened)
		EndIf
		if shouldReturn then
			stayOpenTimer = StayOpenTime
		EndIf
	EndIf
	if position<0 then
		setState(Closed)
		position = 0
	EndIf
	
	dim smoothposition as double
	if bGlideByTime then
		smoothposition = 1-(sin(pi*0.5+frac(position)*pi)/2+0.5) + fix(position)
	else
		smoothposition = position
	EndIf
	
	var oldLocation = Location
	SetLocation(InitialPos + KeyPos(fix(smoothposition)) * (1-frac(smoothposition)) + KeyPos(fix(smoothposition)+1) * frac(smoothposition))
	Rotation = InitialRot + KeyRot(fix(smoothposition)) * (1-frac(smoothposition)) + KeyRot(fix(smoothposition)+1) * frac(smoothposition)
	
	' Pushing (or moving on a platform) the player
	dim unused as Triangle ptr
	var hitsPlayer = CheckCollisionWithModel(*Brush, Player->Location+(Location-oldLocation), Player->Location, unused, Player->CollisionRadius, Player->CollisionHeight)
	if playerStandsOn then
		Player->Walk((Location-oldLocation)*1)
	elseif hitsPlayer then
		Player->Walk((Location-oldLocation)*1) 'FIXME: tweak this
		'if this.GetProp("EncroachDamage","0")<>"0" or NameEq(this.GetProp("MoverEncroachType"),"ME_CrushWhenEncroach") then
		'	Player->TakeDamage(1000,@this,(Location+Player->Location)/2,(Location-oldLocation)/deltaTime,"crushed")
		'EndIf
	EndIf
	
	playerStandsOn = False
	
	if MoveAmbientSound<>0 then BASS_ChannelSet3DPosition(MoveAmbientSound,cast(any ptr,@Location),0,0)
End Sub

sub Mover.Trigger(other as Actor ptr, instigator as Actor ptr)
	if (InitialState="TriggerOpenTimed") andalso (state=Closed) then
		setState(Opening)
	elseif (InitialState="TriggerControl") andalso (state<>Opened) then
		setState(Opening)
	elseif InitialState="TriggerToggle" then
		if (state=Closed) or (state=Closing) then
			setState(Opening)
		else
			setState(Closing)
		EndIf
	EndIf
End Sub

sub Mover.Untrigger(other as Actor ptr, instigator as Actor ptr)
	if (InitialState="TriggerControl") andalso (state<>Closed) then
		setState(Closing)
	EndIf
End Sub

sub Mover.Touch(other as Actor ptr)
	if InitialState="" or InitialState="BumpOpenTimed" or InitialState="BumpButton" or InitialState="StandOpenTimed" then
		if state=Closed then
			setState(Opening)
		EndIf
	EndIf
End Sub

sub Mover.StoodOn(other as Actor ptr)
	PlayerStandsOn = True
	if InitialState="StandOpenTimed" then
		if state=Closed then
			setState(Opening)
		EndIf
	EndIf
End Sub

function Mover.GetVert(triNum as integer, wedgeNum as ubyte) as Vector
	dim vert as Vector
	
	vert = Brush->Tris[triNum].V(wedgeNum)
	
	' this is a fucking mess, but it works
	vert -= PrePivot
	vert *= MainScale
	vert *= vect(1,-1,1)
	
	dim rot2 as Rotator
	rot2 = Rotation
	rot2.Roll *= -1
	rot2.Yaw *= -1
	swap rot2.Pitch, rot2.Roll
	vert = _rotate(vert,rot2)
	vert *= vect(1,-1,1)
	vert *= PostScale
	vert += Location
	
	return vert
End Function

sub Dispatcher.LoadProperties()
	Base.LoadProperties()
	
	for i as integer=0 to 8-1
		OutDelays(i) = csng(this.GetProp("OutDelays(" & i & ")","0"))
		OutEvents(i) = this.GetProp("OutEvents(" & i & ")")
		if OutEvents(i)<>"" then numEvents=i+1
	Next
End Sub

sub Dispatcher.Tick(deltaTime as single)
	if active then
		timeToNextEvent -= deltaTime
		
		if timeToNextEvent<0 then
			TriggerEvent(OutEvents(nextEventNum),@this,Instigator)
			nextEventNum += 1
			if nextEventNum>=numEvents then
				active = False
				nextEventNum = -1
			else
				timeToNextEvent = OutDelays(nextEventNum)
			EndIf
		EndIf
	EndIf
End Sub

sub Dispatcher.Trigger(other as Actor ptr, instigator as Actor ptr)
	if active=False then
		nextEventNum = 0
		timeToNextEvent = OutDelays(nextEventNum)
		active = True
	EndIf
End Sub

sub Counter.Trigger(other as Actor ptr, instigator as Actor ptr)
	var NumToCount = cint(this.GetProp("NumToCount"))
	
	NumToCount -= 1
	
	this.SetProp("NumToCount",str(NumToCount-1))
	
	if NumToCount > 0 then
		if cbool(this.GetProp("bShowMessage")) then
			var msg = this.GetProp("CountMessage")
			
			var iPos = InStr(msg,"%i")
			if iPos<>0 then
				msg = Left(msg,iPos-1) & NumToCount & Mid(msg,iPos+2)
			EndIf
			
			' FIXME: make a message slot for this
			InventoryMessage = msg
			InventoryMessageTimer = 8
		EndIf
	elseif NumToCount = 0 then
		TriggerEvent(this.GetProp("Event"),@this,instigator)
		if cbool(this.GetProp("bShowMessage")) then
			' FIXME: make a message slot for this
			InventoryMessage = this.GetProp("CompleteMessage")
			InventoryMessageTimer = 8
		EndIf
	EndIf
End Sub

sub Earthquake.LoadProperties()
	Base.LoadProperties()
	
	magnitude     = csng(this.GetProp("magnitude"    ))
	duration      = csng(this.GetProp("duration"     ))
	radius        = csng(this.GetProp("radius"       ))
	remainingTime = csng(this.GetProp("remainingTime"))
	bThrowPlayer  = cbool(this.GetProp("bThrowPlayer"))
End Sub

sub Earthquake.Trigger(other as Actor ptr, instigator as Actor ptr)
	dim throwVect as Vector
	if bThrowPlayer then
		throwVect = 0.18 * Magnitude * VRand()
		throwVect.Z = FMax(Abs(ThrowVect.Z), 120)
	endif
	
	var P = Player
	if VSize(Location - P->Location) < radius then
		if bThrowPlayer and (P->bOnGround or P->bPrevOnGround) then
			P->Velocity += throwVect
		endif
	endif
	
	if bThrowPlayer andalso cbool(duration > 0.5) then
		remainingTime = duration
		this.SetTimer(0.5, false)
	endif
End Sub

sub Earthquake.Tick(deltaTime as single)
	if remainingTime>0.5 andalso (VSize(Location - Player->Location) < radius) then
		var intensity=magnitude*remainingTime/duration
		Player->Rotation += rot((Rnd-0.5)*intensity,(Rnd-0.5)*intensity,0)
	EndIf
End Sub

sub Earthquake.OnTimer()
	dim throwVect as Vector

	remainingTime -= 0.5
	throwVect = 0.15 * Magnitude * VRand()
	throwVect.Z = FMax(Abs(ThrowVect.Z), 120)
	
	if VSize(Location - Player->Location) < radius then
		if Player->bOnGround or Player->bPrevOnGround then
			Player->Velocity += throwVect
		endif
		Player->BaseEyeHeight = FMin(Player->DefaultBaseEyeHeight, Player->BaseEyeHeight * (0.5 + Rnd()))
	endif
	
	if remainingTime > 0.5 then
		this.SetTimer(0.5, false)
	endif
End Sub

sub ExplosionChain.LoadProperties()
	Base.LoadProperties()
	
	bOnlyTriggerable = cbool(this.GetProp("bOnlyTriggerable"))
	
	MomentumTransfer = csng(this.GetProp("MomentumTransfer" ))
	Damage           = csng(this.GetProp("Damage"           ))
	Size             = csng(this.GetProp("Size"             ))
	Delaytime        = csng(this.GetProp("Delaytime"        ))
	
	bExploding       = cbool(this.GetProp("bExploding"      ))
End Sub

sub ExplosionChain.BeginPlay()
	Base.BeginPlay()
	Texture = 0
	bHidden = False
End Sub

sub ExplosionChain.TakeDamage(Damage as integer, EventInstigator as Actor ptr=0, HitLocation as Vector, Momentum as Vector, DamageType as string="")
	if not bExploding then
		if bOnlyTriggerable andalso DamageType<>"Detonated" then Return
		Instigator = EventInstigator
		'MakeNoise(1.0)
		
		bExploding = True
		this.SetTimer(DelayTime+Rnd()*DelayTime*2, False)
	EndIf
End Sub

sub ExplosionChain.Trigger(other as Actor ptr, instigator as Actor ptr)
	TakeDamage(10, instigator, Location, RotatorToVector(Rotation), "Detonated")
End Sub

sub ExplosionChain.OnTimer()
	bExploding = True
	'HurtRadius(damage, Damage+100, "Detonated", MomentumTransfer, Location)
	var f = spawn("Explosion",,,Location + vect(0,0,1)*16,rot(16384,0,0))
	f->DrawScale = (Damage/100+0.4+Rnd()*0.5)*Size*2
	TriggerEvent(this.GetProp("Event"),@this,Instigator) 'TODO: Do we need this?
	Destroy(@this)
End Sub

sub DynamicAmbientSound.LoadProperties()
	Base.LoadProperties()
	
	for i as integer=0 to 16-1
		Sounds(i) = this.GetProp("Sounds(" & i & ")")
	next
	
	playProbability = csng(this.GetProp("playProbability"))
	minReCheckTime  = csng(this.GetProp("minReCheckTime" ))
	maxReCheckTime  = csng(this.GetProp("maxReCheckTime" ))
	rePlayTime      = csng(this.GetProp("rePlayTime"     ))
	
	bInitiallyOn = cbool(this.GetProp("bInitiallyOn"))
	bDontRepeat  = cbool(this.GetProp("bDontRepeat" ))
	soundPlaying = cbool(this.GetProp("soundPlaying"))
	
	numSounds = cint(this.GetProp("numSounds"))
	lastSound = cint(this.GetProp("lastSound"))
End Sub

sub DynamicAmbientSound.BeginPlay()
	dim i as integer

	' Calculate how many sounds the user specified
	numSounds=6
	for i=0 to 16-1
		if Sounds(i) = "" then
			numSounds=i
			exit for
		endif
	next
	
	if numSounds=0 then return 'otherwise it will crash
	
	lastSound=-1
	if bInitiallyOn then
		' Which sound should be played?
		i = RandomInt(numSounds)
		PlaySound(Sounds(i))
		lastSound = i
	endif
	
	rePlayTime = (maxReCheckTime-minReCheckTime)*Rnd() + minReCheckTime
	
	this.SetTimer(rePlayTime, False)
End Sub

sub DynamicAmbientSound.OnTimer()
	dim i as integer
	
	if Rnd() <= playProbability then

		' Play the sound
		' Which sound should be played?
		i = RandomInt(numSounds)
		while ( (i=lastSound) andalso bDontRepeat andalso (numSounds>1) )
			i = RandomInt(numSounds)
		wend
		
		PlaySound(Sounds(i))
		lastSound = i
	endif

	rePlayTime = (maxReCheckTime-minReCheckTime)*Rnd() + minReCheckTime
	this.SetTimer(rePlayTime, False)
End Sub

sub ZoneInfo.LoadProperties()
	Base.LoadProperties()
	
	bWaterZone = cbool(this.GetProp("bWaterZone","False"))
	
	var AmbientBrightness = cint(this.GetProp("AmbientBrightness","0"))
	var AmbientHue        = cint(this.GetProp("AmbientHue"       ,"0"))
	var AmbientSaturation = cint(this.GetProp("AmbientSaturation","0"))
	dim as single AmbientR, AmbientG, AmbientB
	hsv2rgb(AmbientBrightness,AmbientHue,AmbientSaturation,AmbientR,AmbientG,AmbientB)
	AmbientR *= 255
	AmbientG *= 255
	AmbientB *= 255
	
	AmbientR = FMin(255,FMax(0,AmbientR))
	AmbientG = FMin(255,FMax(0,AmbientG))
	AmbientB = FMin(255,FMax(0,AmbientB))
	AmbientColor = rgb(AmbientR,AmbientG,AmbientB)
	
	TexUPanSpeed = csng(this.GetProp("TexUPanSpeed","1"))
	TexVPanSpeed = csng(this.GetProp("TexVPanSpeed","1"))
End Sub

sub LevelInfo.LoadProperties()
	Base.LoadProperties()
	
	Brightness = csng(this.GetProp("Brightness","1"))
End Sub

sub DynamicZoneInfo.LoadProperties()
	Base.LoadProperties()
	
	CollisionHeight = csng(this.GetProp("CylinderSize","250"))
	CollisionRadius = csng(this.GetProp("SphereSize","250"))
	BoxMax = ParsePropVector(this.GetProp("BoxMax"),vect(200,200,200))
	BoxMin = ParsePropVector(this.GetProp("BoxMin"),vect(-200,-200,-200))
End Sub

sub DynamicZoneInfo.BeginPlay()
	Base.BeginPlay()
	bCollideActors = True
	
	select case lcase(this.GetProp("ZoneAreaType"))
		case "dzone_cube", "0", ""
			bIsCube = True
		case else
			bIsCube = False
	End Select
	
End Sub

function DynamicZoneInfo.PointInside(pt as Vector) as boolean
	if bIsCube then
		var RealMax = BoxMax+Location
		var RealMin = BoxMin+Location
		
		return pt.X>RealMin.X andalso pt.Y>RealMin.Y andalso pt.Z>RealMin.Z andalso _
				 pt.X<RealMax.X andalso pt.Y<RealMax.Y andalso pt.Z<RealMax.Z
	else
		return pt.Z>Location.Z-CollisionHeight andalso pt.Z<Location.Z+CollisionHeight andalso VSize((pt-Location)*vect(1,1,0))<CollisionRadius
	EndIf
End function

sub TriggerLight.BeginPlay()
	Base.BeginPlay
	bHidden = True
	MaxBrightness = LightBrightness
	if cbool(this.GetProp("bInitiallyOn"))=False then LightBrightness=0
End Sub

sub TriggerLight.Trigger(other as Actor ptr, instigator as Actor ptr)
	if NameEq(InitialState,"TriggerTurnsOn") then
		LightBrightness=MaxBrightness
	elseif NameEq(InitialState,"TriggerTurnsOff") then
		LightBrightness=0
	elseif NameEq(InitialState,"TriggerToggle") then
		if LightBrightness=0 then
			LightBrightness=MaxBrightness
		else
			LightBrightness=0
		EndIf
	elseif NameEq(InitialState,"TriggerControl") then
		LightBrightness=MaxBrightness
	EndIf
	
	
End Sub

sub TriggerLight.Untrigger(other as Actor ptr, instigator as Actor ptr)
	if NameEq(InitialState,"TriggerControl") then
		LightBrightness=MaxBrightness
	EndIf
End Sub

constructor Projectile
	Style = STY_Translucent
	bCollideWorld = True
	CollisionRadius = 8
	CollisionHeight = 8
End constructor

sub Projectile.LoadProperties()
	Base.LoadProperties()
	
	LifeSpan = csng(this.GetProp("LifeSpan","10"))
End Sub

sub Projectile.BeginPlay()
	Base.BeginPlay()
	if this.Texture=0 then this.Texture = GetTexture("NuEngine.Projectile")
	Velocity = csng(this.GetProp("speed","1000"))*Rotate(vect(1,0,0), Rotation)
End Sub

sub Projectile.Tick(deltaTime as single)
	LifeSpan -= deltaTime
	if LifeSpan<=0 then
		Destroy(@this)
		return
	EndIf
	
	Move(Velocity*deltaTime)
	
	CollideWithActors()
End Sub

sub Projectile.HitWall(hitNormal as Vector, wall as Actor ptr)
	Spawn("Emitter",,,Location,rot(0,0,0))
	Destroy(@this)
End Sub

sub DispersionAmmo.BeginPlay()
	Base.BeginPlay()
	if Owner<>0 then
		Owner->PlaySound("UnrealShare.Dispersion.DispShot",,0.5)
	else
		PlaySound("UnrealShare.Dispersion.DispShot")
	EndIf
End Sub

sub DispersionAmmo.Touch(other as Actor ptr)
	if other<>0 then
		if other->IsA("ScriptedPawn") then
			Spawn("DispersionAmmoHit",,,Location,rot(0,0,0))
			other->TakeDamage(15,,Location,vect(0,0,0),"jolted")
			Destroy(@this)
		EndIf
	EndIf
End Sub

sub DispersionAmmo.HitWall(hitNormal as Vector, wall as Actor ptr)
	Spawn("DispersionAmmoHit",,,Location-Velocity/60,rot(0,0,0))
	Destroy(@this)
End Sub

sub EnemyProjectile.HitWall(hitNormal as Vector, wall as Actor ptr)
	spawn("Explosion",,,Location,rot(0,0,0))
	Destroy(@this)
End Sub

sub EnemyProjectile.Touch(other as Actor ptr)
	if other=Player then
		other->TakeDamage(cint(this.GetProp("Damage","20")),,Location,Velocity*0.2)
		spawn("Explosion",,,Location,rot(0,0,0))
		Destroy(@this)
	EndIf
End Sub

constructor Emitter
	Texture = GetTexture("UnrealShare.Effect1.FireEffect1u")
	Style = STY_Translucent
	BoxVelocityMin = vect(-200,-200,-200)
	BoxVelocityMax = vect( 200, 200, 200)
	ParticleAccelerationMin = vect(0,0,-250)
	ParticleAccelerationMax = vect(0,0,-350)
End Constructor

sub Emitter.spawnPart(index as integer)
	particles(index).Exists=True
	
	particles(index).Location.X = BoxLocationMin.X + (BoxLocationMax.X-BoxLocationMin.X) * Rnd()
	particles(index).Location.Y = BoxLocationMin.Y + (BoxLocationMax.Y-BoxLocationMin.Y) * Rnd()
	particles(index).Location.Z = BoxLocationMin.Z + (BoxLocationMax.Z-BoxLocationMin.Z) * Rnd()
	particles(index).Location += Location
	
	particles(index).Lifetime = LifetimeRangeMin + (LifetimeRangeMax-LifetimeRangeMin) * Rnd()
	particles(index).PassedLifetime = 0
	
	particles(index).Velocity.X = BoxVelocityMin.X + (BoxVelocityMax.X-BoxVelocityMin.X) * Rnd()
	particles(index).Velocity.Y = BoxVelocityMin.Y + (BoxVelocityMax.Y-BoxVelocityMin.Y) * Rnd()
	particles(index).Velocity.Z = BoxVelocityMin.Z + (BoxVelocityMax.Z-BoxVelocityMin.Z) * Rnd()
	
	particles(index).Acceleration.X = ParticleAccelerationMin.X + (ParticleAccelerationMax.X-ParticleAccelerationMin.X) * Rnd()
	particles(index).Acceleration.Y = ParticleAccelerationMin.Y + (ParticleAccelerationMax.Y-ParticleAccelerationMin.Y) * Rnd()
	particles(index).Acceleration.Z = ParticleAccelerationMin.Z + (ParticleAccelerationMax.Z-ParticleAccelerationMin.Z) * Rnd()
	
	particles(index).StartingScale = StartingScaleMin + (StartingScaleMax-StartingScaleMin) * Rnd()
End Sub

sub Emitter.Tick(deltaTime as single)
	' This part happens only once:
	if UBound(particles)<>MaxParticles-1 then
		redim particles(MaxParticles-1)
		for i as integer=0 to MaxParticles-1
			spawnPart(i)
		Next
	EndIf
	
	for i as integer=0 to UBound(particles)
		if particles(i).Exists then
			particles(i).Velocity += particles(i).Acceleration*deltaTime
			particles(i).Location += particles(i).Velocity*deltaTime
			
			particles(i).PassedLifetime += deltaTime
			
			if particles(i).PassedLifetime>particles(i).Lifetime then
				particles(i).Exists = False
			EndIf
		EndIf
	next
	
	' Destroy if we're done.
	if bOneBurstOnly then
		var destroyIt=True
		for i as integer=0 to MaxParticles-1
			if particles(i).Exists then
				destroyIt = False
				exit for
			EndIf
		Next
		if destroyIt then Destroy(@this)
	EndIf
	
End Sub

sub Emitter.Render(pass as ERenderPass)
	if pass=ERenderPass.Opaque      andalso ((Style=STY_Modulated) or (Style=STY_Translucent)) then return
	if pass=ERenderPass.Modulated   andalso (Style<>STY_Modulated) then return
	if pass=ERenderPass.Translucent andalso (Style<>STY_Translucent) then return
	
	if this.Texture<>0 then
		BindTexture(this.Texture)
	else
		return
	EndIf
	
	select case Style
		case STY_Masked
			SetBlending(EBlending.Masked)
		case STY_Translucent
			SetBlending(EBlending.Translucent)
		case STY_Modulated
			SetBlending(EBlending.Modulated)
		case STY_AlphaBlend
			SetBlending(EBlending.AlphaBlend)
		case else
			SetBlending(EBlending.Opaque)
	End Select
	
	for i as integer=0 to UBound(particles)
		if particles(i).Exists then
			glColor3f(1,1,1)
			var lifeFrac = particles(i).PassedLifetime/particles(i).Lifetime
			var opacity = ScaleGlow
			if lifeFrac<FadeInTime then
				opacity *= lifeFrac/FadeInTime
			elseif lifeFrac>FadeOutTime then
				opacity *= (1-lifeFrac)/(1-FadeOutTime)
			EndIf
			
			glColor3f(opacity*0.5,opacity*0.5,opacity*0.5)
			DrawSprite(particles(i).Location, this.Texture->USize*particles(i).StartingScale, this.Texture->VSize*particles(i).StartingScale)
		EndIf
	next
	
	glDisable(GL_BLEND)
	glDepthMask(GL_TRUE)
End Sub

sub AnimSpriteEffect.LoadProperties()
	Base.LoadProperties()
	
	NumFrames = cint(this.GetProp("NumFrames"))
	Pause = csng(this.GetProp("Pause"))
	
	for i as integer=0 to NumFrames-1
		SpriteAnim(i) = GetTexture(this.GetProp("SpriteAnim(" & i & ")"))
	Next
End Sub

sub AnimSpriteEffect.BeginPlay()
	Base.BeginPlay()
	this.Texture = SpriteAnim(0)
End Sub

sub AnimSpriteEffect.Tick(deltaTime as single)
	Base.Tick(deltaTime)
	
	this.TimeSeconds += deltaTime
	var i = int(this.TimeSeconds/Pause)
	this.Texture = SpriteAnim(i)
	if i >= NumFrames then
		Destroy(@this)
	EndIf
End Sub

sub AnimSpriteEffect.Render(pass as ERenderPass)
	if bSmooth=False then
		Base.Render(pass)
	else
		if pass=ERenderPass.Translucent andalso Style<>STY_Translucent then return
		
		glDisable(GL_ALPHA_TEST)
		SetBlending(EBlending.Additive)
		
		var i = this.TimeSeconds/Pause
		var tex1 = SpriteAnim(int(i))
		var tex2 = SpriteAnim(int(i)+1)
		var a = frac(i)
		
		' Bigger speed means shorter "fade" between frames.
		const speed = 1.5f
		a = (a-0.5)*speed+0.5
		if a<0 then
			a=0
		elseif a>1 then
			a=1
		EndIf
		
		if tex1<>0 then
			BindTexture(tex1)
			glColor3f(ScaleGlow*(1-a)*0.25,ScaleGlow*(1-a)*0.25,ScaleGlow*(1-a)*0.25)
			DrawSprite(Location,tex1->USize*DrawScale,tex1->VSize*DrawScale)
		EndIf
		
		if tex2<>0 then
			BindTexture(tex2)
			glColor3f(ScaleGlow*a*0.25,ScaleGlow*a*0.25,ScaleGlow*a*0.25)
			DrawSprite(Location,tex2->USize*DrawScale,tex2->VSize*DrawScale)
		endif
		
		glDisable(GL_BLEND)
		glDepthMask(GL_TRUE)
	EndIf
End Sub

sub DispersionAmmoHit.BeginPlay()
	Base.BeginPlay()
	
	NumFrames = 10
	Pause = 1/20
	
	for i as integer=0 to 9
		SpriteAnim(i) = GetTexture("UnrealShare.DispExpl.dseb_A0" & i)
	Next
	
	Texture = SpriteAnim(0)
	
	DrawScale = 1.3
	Style = STY_Translucent
	
	PlaySound("UnrealShare.General.DispEX1")
End Sub

sub Explosion.BeginPlay()
	Base.BeginPlay()
	
	NumFrames = 8
	Pause = 1/12
	
	var choice=rnd()
	dim animNum as integer
	
	for i as integer=0 to 7
		if choice<0.2 then
			animNum = 1
		elseif choice<0.4 then
			animNum = 2
		elseif choice<0.6 then
			animNum = 3
		elseif choice<0.8 then
			animNum = 4
		else
			animNum = 5
		EndIf
		SpriteAnim(i) = GetTexture("UnrealShare.MainEffect.e" & animNum & "_a0" & i)
	next
	
	Texture = SpriteAnim(0)
	
	DrawScale = 2
	Style = STY_Translucent
	
	PlaySound("UnrealShare.General.Explo1")
End Sub

sub WavySurfaceInfo.LoadProperties()
	Base.LoadProperties()
	
	XGridSpace = csng(this.GetProp("XGridSpace"))
	YGridSpace = csng(this.GetProp("YGridSpace"))
	TexXSize   = csng(this.GetProp("TexXSize"  ))
	TexYSize   = csng(this.GetProp("TexYSize"  ))
	
	UFromXWavelength = csng(this.GetProp("UFromXWavelength"))
	VFromXWavelength = csng(this.GetProp("VFromXWavelength"))
	ZFromXWavelength = csng(this.GetProp("ZFromXWavelength"))
	UFromYWavelength = csng(this.GetProp("UFromYWavelength"))
	VFromYWavelength = csng(this.GetProp("VFromYWavelength"))
	ZFromYWavelength = csng(this.GetProp("ZFromYWavelength"))
	UFromXAmplitude  = csng(this.GetProp("UFromXAmplitude" ))
	VFromXAmplitude  = csng(this.GetProp("VFromXAmplitude" ))
	ZFromXAmplitude  = csng(this.GetProp("ZFromXAmplitude" ))
	UFromYAmplitude  = csng(this.GetProp("UFromYAmplitude" ))
	VFromYAmplitude  = csng(this.GetProp("VFromYAmplitude" ))
	ZFromYAmplitude  = csng(this.GetProp("ZFromYAmplitude" ))
	UFromXPhase      = csng(this.GetProp("UFromXPhase"     ))
	VFromXPhase      = csng(this.GetProp("VFromXPhase"     ))
	ZFromXPhase      = csng(this.GetProp("ZFromXPhase"     ))
	UFromYPhase      = csng(this.GetProp("UFromYPhase"     ))
	VFromYPhase      = csng(this.GetProp("VFromYPhase"     ))
	ZFromYPhase      = csng(this.GetProp("ZFromYPhase"     ))
	UFromXSpeed      = csng(this.GetProp("UFromXSpeed"     ))
	VFromXSpeed      = csng(this.GetProp("VFromXSpeed"     ))
	ZFromXSpeed      = csng(this.GetProp("ZFromXSpeed"     ))
	UFromYSpeed      = csng(this.GetProp("UFromYSpeed"     ))
	VFromYSpeed      = csng(this.GetProp("VFromYSpeed"     ))
	ZFromYSpeed      = csng(this.GetProp("ZFromYSpeed"     ))
	USpeed           = csng(this.GetProp("USpeed"          ))
	VSpeed           = csng(this.GetProp("VSpeed"          ))
End Sub

sub WavySurfaceInfo.BeginPlay()
	redim Values(cint(this.GetProp("SizeX","16"))-1,cint(this.GetProp("SizeY","16"))-1)
	
	Texture = GetTexture("NuEngine.Logo")
End Sub

sub WavySurfaceInfo.Tick(deltaTime as single)
	this.TimeSeconds += deltaTime
End Sub

sub WavySurfaceInfo.Render(pass as ERenderPass)
	
	for x as integer=0 to UBound(Values,1)
		for y as integer=0 to UBound(Values,2)
			Values(x,y) = vect(x/UBound(Values,1)*TexXSize,y/UBound(Values,2)*TexYSize,0)
			
			Values(x,y) += vect(this.TimeSeconds*USpeed,this.TimeSeconds*VSpeed,0)
			
			' U
			Values(x,y).X += sin((x/UFromXWavelength+this.TimeSeconds*UFromXSpeed+UFromXPhase)*2*pi)*UFromXAmplitude
			Values(x,y).X += sin((y/UFromYWavelength+this.TimeSeconds*UFromYSpeed+UFromYPhase)*2*pi)*UFromYAmplitude
			' V
			Values(x,y).Y += sin((x/VFromXWavelength+this.TimeSeconds*VFromXSpeed+VFromXPhase)*2*pi)*VFromXAmplitude
			Values(x,y).Y += sin((y/VFromYWavelength+this.TimeSeconds*VFromYSpeed+VFromYPhase)*2*pi)*VFromYAmplitude
			' Z
			Values(x,y).Z += sin((x/ZFromXWavelength+this.TimeSeconds*ZFromXSpeed+ZFromXPhase)*2*pi)*ZFromXAmplitude
			Values(x,y).Z += sin((y/ZFromYWavelength+this.TimeSeconds*ZFromYSpeed+ZFromYPhase)*2*pi)*ZFromYAmplitude
		Next
	Next
	
	glDisable(GL_BLEND)
	glDisable(GL_CULL_FACE)
	glDepthMask(GL_TRUE)
	glPushMatrix()
		glTranslatef(Location.X, Location.Y, Location.Z)
		glRotatef(Rotation.Yaw  *360/65536, 0, 0, 1)
		glRotatef(Rotation.Pitch*360/65536, 0,-1, 0)
		glRotatef(Rotation.Roll *360/65536,-1, 0, 0)
		glScalef(DrawScale,DrawScale,DrawScale)
		glTranslatef(-PrePivot.X, -PrePivot.Y, -PrePivot.Z)
		
		BindTexture(this.Texture)
		glBegin(GL_QUADS)
		glColor3f(0.5,0.5,0.5)
		for x as integer=0 to UBound(Values,1)-1
			for y as integer=0 to UBound(Values,2)-1
				glTexCoord2f Values(x  ,y  ).X, Values(x  ,y  ).Y
				glVertex3f  x   *XGridSpace, y   *YGridSpace,Values(x  ,y  ).Z
				glTexCoord2f Values(x+1,y  ).X, Values(x+1,y  ).Y
				glVertex3f (x+1)*XGridSpace, y   *YGridSpace,Values(x+1,y  ).Z
				glTexCoord2f Values(x+1,y+1).X, Values(x+1,y+1).Y
				glVertex3f (x+1)*XGridSpace,(y+1)*YGridSpace,Values(x+1,y+1).Z
				glTexCoord2f Values(x  ,y+1).X, Values(x  ,y+1).Y
				glVertex3f  x   *XGridSpace,(y+1)*YGridSpace,Values(x  ,y+1).Z
			Next
		Next
		glEnd()
	
	glPopMatrix()
	glEnable(GL_CULL_FACE)
	
End Sub

sub ScriptedPawn.BeginPlay()
	Base.BeginPlay()
	
	select case LCase(ClassName)
		case "fly", "manta", "giantmanta", "cavemanta", "gasbag", "giantgasbag", "warlord", /'FIXME'/ "devilfish", "hawk", "nalicopter"
			bCanFly = True
	End Select
	
	if Mesh<>0 then
		if StartsWith(Mesh->Name, "skaarjw") then
			bCanDodge = True
			IdleAnims.Add("Breath")
			IdleAnims.Add("Breath2")
			RunAnim = "Jog"
			RunFireAnim = "JogFire"
			StillFireAnims.Add("Firing")
			CloseAttackAnims.Add("claw")
			CloseAttackAnims.Add("spin")
			CloseAttackAnims.Add("lunge")
			DeathAnims.Add("Death")
			DeathAnims.Add("Death2")
			DeathAnims.Add("Death3")
			DeathAnims.Add("Death4")
		elseif StartsWith(Mesh->Name, "sktrooper") then
			IdleAnims.Add("Breath")
			IdleAnims.Add("Breath2")
			RunAnim = "Jog"
			RunFireAnim = "JogFire"
			StillFireAnims.Add("Firing")
			CloseAttackAnims.Add("claw")
			DeathAnims.Add("Death")
			DeathAnims.Add("Death2")
			DeathAnims.Add("Death3")
			DeathAnims.Add("Death4")
		elseif StartsWith(Mesh->Name, "pupae1") then
			IdleAnims.Add("Fighter")
			RunAnim = "Crawl"
			CloseAttackAnims.Add("bite")
			CloseAttackAnims.Add("lunge")
			CloseAttackAnims.Add("Stab")
			CloseAttackAnims.Add("Tear")
			DeathAnims.Add("Dead")
		elseif StartsWith(Mesh->Name, "brute1") then
			IdleAnims.Add("Sleep")
			RunAnim = "Charge"
			RunFireAnim = "WalkFire"
			StillFireAnims.Add("StillFire")
			StillFireAnims.Add("GutShot")
			CloseAttackAnims.Add("PistolWhip")
			CloseAttackAnims.Add("Punch")
			DeathAnims.Add("Dead1")
			DeathAnims.Add("Dead2")
			DeathAnims.Add("Dead3")
			DeathAnims.Add("Dead4")
		elseif StartsWith(Mesh->Name, "tentacle1") then
			bCanMove = False
			IdleAnims.Add("Waver")
			RunAnim = "Move2"
			StillFireAnims.Add("Shoot")
			CloseAttackAnims.Add("Smack")
			DeathAnims.Add("Dead2")
		elseif StartsWith(Mesh->Name, "fish") then
			IdleAnims.Add("breathing")
			RunAnim = "Swimming"
			CloseAttackAnims.Add("bite1")
			CloseAttackAnims.Add("bite2")
			CloseAttackAnims.Add("bite3")
			CloseAttackAnims.Add("fighter")
			DeathAnims.Add("Dead1")
		elseif StartsWith(Mesh->Name, "flym") then
			IdleAnims.Add("Flying")
			RunAnim = "Flying"
			DeathAnims.Add("Dead")
		elseif StartsWith(Mesh->Name, "manta1") then
			IdleAnims.Add("Fly")
			RunAnim = "Fly"
			CloseAttackAnims.Add("Sting")
			CloseAttackAnims.Add("Whip")
			DeathAnims.Add("Death")
		elseif StartsWith(Mesh->Name, "slith1") then
			IdleAnims.Add("Breath")
			RunAnim = "Slither"
			StillFireAnims.Add("Shoot1")
			CloseAttackAnims.Add("Punch")
			CloseAttackAnims.Add("Slash")
			DeathAnims.Add("Dead1")
		elseif StartsWith(Mesh->Name, "krallm") then
			IdleAnims.Add("Breath")
			IdleAnims.Add("Breath2")
			RunAnim = "Run"
			RunFireAnim = "Shoot2"
			StillFireAnims.Add("Shoot1")
			CloseAttackAnims.Add("Strike1")
			CloseAttackAnims.Add("Strike2")
			CloseAttackAnims.Add("Strike3")
			DeathAnims.Add("Die1")
			DeathAnims.Add("Die2")
			DeathAnims.Add("Die3")
			DeathAnims.Add("Die4")
		elseif StartsWith(Mesh->Name, "gasbagm") then
			IdleAnims.Add("Float")
			RunAnim = "Float"
			RunFireAnim = "Belch"
			StillFireAnims.Add("Belch")
			CloseAttackAnims.Add("TwoPunch")
			CloseAttackAnims.Add("Pound")
			DeathAnims.Add("Deflate")
			DeathAnims.Add("Dead2")
		elseif StartsWith(Mesh->Name, "merc") then
			IdleAnims.Add("Breath")
			RunAnim = "Walk"
			RunFireAnim = "WalkFire"
			StillFireAnims.Add("Shoot")
			StillFireAnims.Add("Spray")
			CloseAttackAnims.Add("Punch")
			DeathAnims.Add("Death")
			DeathAnims.Add("Dead2")
			DeathAnims.Add("Dead3")
			DeathAnims.Add("Dead4")
		elseif StartsWith(Mesh->Name, "titan1") then
			IdleAnims.Add("TBrea001")
			RunAnim = "TWalk001"
			StillFireAnims.Add("TThro001")
			CloseAttackAnims.Add("TPunc001")
			CloseAttackAnims.Add("TSlap001")
			DeathAnims.Add("TDeat001")
			DeathAnims.Add("TDeat002")
			DeathAnims.Add("TDeat003")
		elseif StartsWith(Mesh->Name, "warlordm") then
			IdleAnims.Add("Fly")
			RunAnim = "Fly"
			RunFireAnim = "FlyFire"
			StillFireAnims.Add("FlyFire")
			CloseAttackAnims.Add("Strike")
			DeathAnims.Add("Dead1")
		elseif StartsWith(Mesh->Name, "skqueen") then
			IdleAnims.Add("Meditate")
			RunAnim = "Run"
			StillFireAnims.Add("Shoot1")
			CloseAttackAnims.Add("Stab")
			DeathAnims.Add("OutCold")
		else
			'Log("Unknown pawn mesh '" & Mesh->Name & "'")
		EndIf
	else
		Log("Warning: ScriptedPawn " & this.Name & " without a mesh.")
	EndIf
	
	if IdleAnims.Count<>0 then
		LoopAnim(IdleAnims[RandomInt(IdleAnims.Count)])
	EndIf
	
	CloseAttackRadius = CollisionRadius + Player->CollisionRadius + 18
End Sub

sub ScriptedPawn.LoadProperties()
	Base.LoadProperties()
	
	RangedProjectile = GetShortName(this.GetProp("RangedProjectile"))
	Health = cint(this.GetProp("Health","100"))
	GroundSpeed = cint(this.GetProp("GroundSpeed","50"))
	AirSpeed = cint(this.GetProp("AirSpeed","50"))
End Sub

sub ScriptedPawn.Tick(deltaTime as single)
	if (bCanMove and (bCanFly=False)) or bDeathFalling then
		this.Velocity += vect(0,0,-1500/60) ' Gravity
		this.Velocity *= vect(0.99,0.99,1)
			
		' Limit falling speed.
		if VSize(this.Velocity)>2500 then
			this.Velocity = Normal(this.Velocity)*2500
		EndIf
		
		if bDeathFalling then
			Walk(Velocity*deltaTime)
		EndIf
	endif
	
	if Health<=0 then return
	
	if VSize(Player->Location-Location)<SightRadius then
		if VSize(Player->Location-Location)<CloseAttackRadius then
			if CloseAttackAnims.Count<>0 then
				if CloseAttackAnims.Contains(AnimName)=False then
					LoopAnim(CloseAttackAnims[RandomInt(CloseAttackAnims.Count)])
				EndIf
			endif
		else
			if StillFireAnims.Count<>0 then
				if StillFireAnims.Contains(AnimName)=False then
					LoopAnim(StillFireAnims[RandomInt(StillFireAnims.Count)])
				EndIf
			EndIf
		EndIf
		
		if seesPlayer=False then
			PlaySound(this.GetProp("Acquire"))
			seesPlayer = True
		EndIf
		
	EndIf
	
	if VSize(Player->Location-Location)>SightLoseRadius then
		if IdleAnims.Count<>0 then
			if IdleAnims.Contains(AnimName)=False then
				LoopAnim(IdleAnims[RandomInt(IdleAnims.Count)])
			EndIf
		endif
		
		seesPlayer = False
	EndIf
	
	if seesPlayer then
		Rotation.Yaw = atan2(Player->Location.Y-Location.Y,Player->Location.X-Location.X)/(2*pi)*65536
		
		if VSize(Player->Location-Location) > CollisionRadius+Player->CollisionRadius+16 then
			if bCanFly then
				Walk(Normal(Player->Location-Location)*AirSpeed/2*deltaTime)
			elseif bCanMove then
				Walk((Normal((Player->Location-Location)*vect(1,1,0))*GroundSpeed/2 + Velocity)*deltaTime)			
			EndIf
		endif
		
	EndIf
	
End Sub

sub ScriptedPawn.HitWall(hitNormal as Vector, wall as Actor ptr)
	if bDeathFalling then
		bDeathFalling = False
		bCollideWorld = False
	EndIf
End Sub

sub ScriptedPawn.AnimNotify(byref notify as VertexMeshNotify)
	Base.AnimNotify(notify)
	
	if seesPlayer then
		select case LCase(notify.FuncName)
			case "spawnleftshot", "spawnrightshot", "spawnshot", "spawnbelch", "shoottarget", "spawnrock"
				if RangedProjectile<>"" then
					var proj=Spawn(RangedProjectile,,,Location,VectorToRotator(Player->Location-Location-vect(0,0,Player->CollisionHeight*0.9)))
					var vPredictAdjust = PlayerHorVelocity*VSize((Player->Location-Location)*vect(1,1,0))/VSize(proj->Velocity)
					proj->Velocity = Normal(Player->Location-proj->Location+vPredictAdjust)*VSize(proj->Velocity)
					' Randomize the direction a bit.
					proj->Velocity = Normal(proj->Velocity+vect(rnd*0.05,rnd*0.05,rnd*0.05)-vect(1,1,1)*0.025)*VSize(proj->Velocity)
					
					proj->Rotation = VectorToRotator(proj->Velocity)
				EndIf
				
			case "spawntwoshots"
					' Based on UnrealShare.SkaarjWarrior 
					dim as rotator FireRotation
					dim as vector X,Y,Z, projStart
					
					GetAxes(Rotation,X,Y,Z)
					projStart = Location + 0.9 * CollisionRadius * X + 0.9 * CollisionRadius * Y + 0.4 * CollisionHeight * Z
					var proj = spawn(RangedProjectile,@this,,projStart, Rotation)
					
					var vPredictAdjust = PlayerHorVelocity*VSize((Player->Location-Location)*vect(1,1,0))/VSize(proj->Velocity)
					
					proj->Velocity = Normal(Player->Location-proj->Location+vPredictAdjust)*VSize(proj->Velocity)
				
					projStart -= 1.8 * CollisionRadius * Y
					var proj2 = spawn(RangedProjectile,@this,,projStart, Rotation)
					proj2->Velocity = Normal(Player->Location-proj2->Location+vPredictAdjust)*VSize(proj->Velocity)
					
			case "whipdamagetarget", "spindamagetarget", "strikedamagetarget", "punchdamagetarget", "stabdamagetarget", "hitdamagetarget", "smacktarget"
				if VSize(Player->Location-Location)<CloseAttackRadius then
					Player->TakeDamage(20,,Location,Normal(Player->Location-Location)*100)
				EndIf
		End Select
	EndIf
End Sub

sub ScriptedPawn.AnimEnd
	if DeathAnims.Contains(AnimName) then
		'Stop it at the last frame.
		AnimRate = 0
		AnimFrame = 0.999
		return
	elseif CloseAttackAnims.Contains(AnimName) then
		LoopAnim(CloseAttackAnims[RandomInt(CloseAttackAnims.Count)])
	EndIf
End Sub

sub ScriptedPawn.TakeDamage(Damage as integer, EventInstigator as Actor ptr=0, HitLocation as Vector, Momentum as Vector, DamageType as string="")
	if VSize(Player->Location-Location)>SightLoseRadius then
		return
	EndIf
	
	if seesPlayer=False then
		PlaySound(this.GetProp("Acquire"))
		LoopAnimIfDifferent(RunFireAnim)
		seesPlayer = True
	endif
	
	Health -= Damage
	PlaySound(this.GetProp("HitSound1"))
	if (Health<0) and (bDead=False) then
		bDead = True
		bDeathFalling = True
		bCollideWorld = True
		bCollideActors = False
		bBlockPlayers = False
		bProjTarget = False
		if DeathAnims.Count<>0 then
			PlaySound(this.GetProp("Die"))
			LoopAnim(DeathAnims[RandomInt(DeathAnims.Count)])
		endif
	EndIf
	
End Sub

sub ScriptedPawn.LoopAnimIfDifferent(newAnim as string)
	if NameEq(AnimName, newAnim)=False then
		LoopAnim(newAnim)
	EndIf
End Sub

constructor Bird1
	IdleAnims.Clear()
	IdleAnims.Add("Flight")
	RunAnim = "Flight"
End Constructor

sub Bird1.BeginPlay()
	Base.BeginPlay()
	InitialLocation = Location
End Sub

sub Bird1.LoadProperties()
	Base.LoadProperties()
	
	CircleRadius = csng(this.GetProp("CircleRadius","500"))
End Sub

sub Bird1.Tick(deltaTime as single)
	this.TimeSeconds += deltaTime
	var angle = this.TimeSeconds/CircleRadius*65536*35
	SetLocation(InitialLocation + Rotate(vect(CircleRadius,0,0), rot(0,angle,0)))
	Rotation = rot(0,angle+16384,0)
End Sub

sub AddDefaultProperties(byref act as Actor)
	for i as integer=0 to ActorClasses.Count-1
		var props = ActorClasses[i]
		if NameEq(props->ClassName, act.ClassName) then
			
			' Get parent classes (+ current class)
			dim hierarchy as List_of_ActorClass_ptr
			hierarchy.Add(props)
			
			scope
				var curProps = props
				while curProps->Parent<>0
					hierarchy.Add(curProps->Parent)
					curProps = curProps->Parent
				Wend
			end scope
			
			' Apply them in order from parentmost to childmost classes
			for j as integer=hierarchy.Count-1 to 0 step -1
				var curProps = hierarchy[j]
				
				for k as integer=0 to curProps->Properties.Count-1
					var prop = curProps->Properties[k]
					act.SetProp(prop.Name, prop.Value)
				Next
			Next
			
			act.MyClass = props
			
			return
		EndIf
	Next
End Sub

' Check collision of player/actor with a Model.
function CheckCollisionWithModel(byref mesh as Model, traceStart as Vector, traceEnd as Vector, byref outPoly as Triangle ptr, colRadius as single, colHeight as single) as boolean
	outPoly = 0
	
	var extent = colHeight
	if colRadius>extent then extent = colRadius
	extent += VSize(traceEnd-traceStart) + 10
	
	' Mover bounding sphere. (FIXME(?): Rotations and PrePivot behavior)
	if mesh.Mover<>0 then
		var act = cast(Mover ptr, mesh.Mover)
		if VSize(traceStart-act->Location) > act->BoundingSphereRadius+extent then
			return False
		EndIf
	EndIf
	
	dim optimizedList as List_of_Triangle_ptr
	
	dim as integer NumTris
	
	if mesh.Mover<>0 then
		NumTris = mesh.Tris.Count
	else ' Level geometry.
		dim as Vector vMin, vMax, vMaybeMin, vMaybeMax
		
		vMin = traceStart-vect(colRadius,colRadius,colHeight)
		vMax = traceStart+vect(colRadius,colRadius,colHeight)
		
		vMaybeMin = traceEnd-vect(colRadius,colRadius,colHeight)
		vMaybeMax = traceEnd+vect(colRadius,colRadius,colHeight)
		
		if vMaybeMin.X < vMin.X then vMin.X = vMaybeMin.X
		if vMaybeMax.X > vMax.X then vMax.X = vMaybeMax.X
		if vMaybeMin.Y < vMin.Y then vMin.Y = vMaybeMin.Y
		if vMaybeMax.Y > vMax.Y then vMax.Y = vMaybeMax.Y
		if vMaybeMin.Z < vMin.Z then vMin.Z = vMaybeMin.Z
		if vMaybeMax.Z > vMax.Z then vMax.Z = vMaybeMax.Z
		
		optimizedList = LocationHash.GetTriangles(vMin,vMax)
		NumTris = optimizedList.Count
	endif
	
	for t as integer=0 to numTris-1
		dim tri as Triangle ptr
		if mesh.Mover<>0 then
			tri = @(mesh.Tris[t])
		else
			tri = optimizedList[t]
		EndIf
		
		if tri->Flags and PF_NotSolid then
			continue for
		EndIf
		
		if (mesh.Mover=0) andalso (VSize(traceStart-tri->BoundingSphereLocation) > tri->BoundingSphereRadius+extent) then
			continue for
		EndIf
		
		dim vertLoc(3-1) as Vector
		
		if mesh.Mover<>0 then
			for v as integer=0 to 3-1
				vertLoc(v) = cast(Mover ptr, mesh.Mover)->GetVert(t,v)
			Next
		else
			for v as integer=0 to 3-1
				vertLoc(v) = tri->V(v)
			Next
		EndIf
		
		if TriCollision.CheckCollision(traceStart, traceEnd, vertLoc(0), vertLoc(1), vertLoc(2), colRadius, colHeight) then
			outPoly = tri
			return True
		EndIf
	Next
	
	outPoly = 0
	return False
End Function


function CheckCollisionCylinders(pos1 as vector, height1 as single, radius1 as single, pos2 as vector, height2 as single, radius2 as single) as Boolean
	if VSize((pos1-pos2)*vect(1,1,0)) > radius1 + radius2 then
		return false
	endif
	
	if pos1.Z-height1 > pos2.Z+height2 then
		return false
	endif
	
	if pos2.Z-height2 > pos1.Z+height1 then
		return false
	endif
	
	return true
end function

function CheckCollisionCubes(pos1 as Vector, radius1 as Vector, pos2 as Vector, radius2 as Vector) as boolean
	if pos1.X-radius1.X > pos2.X+radius2.X then return false
	if pos2.X-radius2.X > pos1.X+radius1.X then return false
	if pos1.Y-radius1.Y > pos2.Y+radius2.Y then return false
	if pos2.Y-radius2.Y > pos1.Y+radius1.Y then return false
	if pos1.Z-radius1.Z > pos2.Z+radius2.Z then return false
	if pos2.Z-radius2.Z > pos1.Z+radius1.Z then return false
	
	return true
end function

function CheckCollisionCubeCylinder(cubepos as Vector, cuberadius as Vector, cylpos as Vector, cylradius as single, cylheight as single) as boolean
	' quick & dirty solution
	return CheckCollisionCubes(cubepos, cuberadius, cylpos, vect(cylradius,cylradius,cylheight))
end function

constructor TriCollision.PLANE(byref origin as const TriCollision.VECTOR, byref normal as const TriCollision.VECTOR)
	this.normal = normal
	this.origin = origin
	equation(0) = normal.x
	equation(1) = normal.y
	equation(2) = normal.z
	equation(3) = -(normal.x*origin.x+normal.y*origin.y+normal.z*origin.z)
End Constructor

' Construct from triangle:
constructor TriCollision.PLANE(byref p1 as const TriCollision.VECTOR, byref p2 as const TriCollision.VECTOR, byref p3 as const TriCollision.VECTOR)
	normal = (p2-p1).cross(p3-p1)
	normal.normalize()
	origin = p1
	equation(0) = normal.x
	equation(1) = normal.y
	equation(2) = normal.z
	equation(3) = -(normal.x*origin.x+normal.y*origin.y+normal.z*origin.z)
end constructor

function TriCollision.PLANE.isFrontFacingTo(byref direction as const TriCollision.VECTOR) as const boolean
	dim as double dot = normal.dot(direction)
	return (dot <= 0)
end function

function TriCollision.PLANE.signedDistanceTo(byref point as TriCollision.VECTOR) as const double 
	return (point.dot(normal)) + equation(3)
end function

#define in(a) (*(cast(integer ptr, (@a))))
function TriCollision.checkPointInTriangle(byref point as const VECTOR,byref pa as const VECTOR,byref pb as const VECTOR, byref pc as const VECTOR) as boolean
	dim as VECTOR e10=pb-pa
	dim as VECTOR e20=pc-pa
	dim as single a = e10.dot(e10)
	dim as single b = e10.dot(e20)
	dim as single c = e20.dot(e20)
	dim as single ac_bb=(a*c)-(b*b)
	dim as VECTOR vp=VECTOR(point.x-pa.x, point.y-pa.y, point.z-pa.z)
	dim as single d = vp.dot(e10)
	dim as single e = vp.dot(e20)
	dim as single x = (d*c)-(e*b)
	dim as single y = (e*a)-(d*b)
	dim as single z = x+y-ac_bb
	return (( in(z) and not(in(x) or in(y)) ) and &h80000000)
end function
#undef in

function TriCollision.getLowestRoot(a as single, b as single, c as single, maxR as single, root as single ptr) as boolean
	' Check if a solution exists
	dim as single determinant = b*b - 4.0f*a*c
	' If determinant is negative it means no solutions.
	if (determinant < 0.0f) then return false
	' calculate the two roots: (if determinant == 0 then
	' x1==x2 but lets disregard that slight optimization)
	dim as single sqrtD = sqr(determinant)
	dim as single r1 = (-b - sqrtD) / (2*a)
	dim as single r2 = (-b + sqrtD) / (2*a)
	' Sort so x1 <= x2
	if (r1 > r2) then
		dim as single temp = r2
		r2 = r1
		r1 = temp
	endif
	' Get lowest root:
	if (r1 > 0 andalso r1 < maxR) then
		*root = r1
		return true
	endif
	' It is possible that we want x2 - this can happen
	' if x1 < 0
	if (r2 > 0 andalso r2 < maxR) then
		*root = r2
		return true
	endif
	' No (valid) solutions
	return false
end function

' Assumes: p1,p2 and p3 are given in ellisoid space:
sub TriCollision.checkTriangle(colPackage as TriCollision.CollisionPacket ptr, byref p1 as const TriCollision.VECTOR, byref p2 as const TriCollision.VECTOR, byref p3 as const TriCollision.VECTOR)
	' Make the plane containing this triangle.
	dim as TriCollision.PLANE trianglePlane=TriCollision.PLANE(p1,p2,p3)
	' Is triangle front-facing to the velocity vector?
	' We only check front-facing triangles
	' (your choice of course)
	if (trianglePlane.isFrontFacingTo(colPackage->normalizedVelocity)) then
		' Get interval of plane intersection:
		dim as double t0, t1
		dim as boolean embeddedInPlane = false
		' Calculate the signed distance from sphere
		' position to triangle plane
		dim as double signedDistToTrianglePlane = trianglePlane.signedDistanceTo(colPackage->basePoint)
		' cache this as were going to use it a few times below:
		dim as single normalDotVelocity = trianglePlane.normal.dot(colPackage->velocity)
		' if sphere is travelling parrallel to the plane:
		if (normalDotVelocity = 0.0f) then
			if (abs(signedDistToTrianglePlane) >= 1.0f) then
				' Sphere is not embedded in plane.
				' No collision possible:
				return
			else
				' sphere is embedded in plane.
				' It intersects in the whole range [0..1]
				embeddedInPlane = true
				t0 = 0.0
				t1 = 1.0
			endif
		else
			' N dot D is not 0. Calculate intersection interval:
			t0=(-1.0-signedDistToTrianglePlane)/normalDotVelocity
			t1=( 1.0-signedDistToTrianglePlane)/normalDotVelocity
			' Swap so t0 < t1
			if (t0 > t1) then
				dim as double temp = t1
				t1 = t0
				t0 = temp
			endif
			' Check that at least one result is within range:
			if (t0 > 1.0f orelse t1 < 0.0f) then
				' Both t values are outside values [0,1]
				' No collision possible:
				return
			endif
			' Clamp to [0,1]
			if (t0 < 0.0) then t0 = 0.0
			if (t1 < 0.0) then t1 = 0.0
			if (t0 > 1.0) then t0 = 1.0
			if (t1 > 1.0) then t1 = 1.0
		endif
		' OK, at this point we have two time values t0 and t1
		' between which the swept sphere intersects with the
		' triangle plane. If any collision is to occur it must
		' happen within this interval.
		dim as TriCollision.VECTOR collisionPoint
		dim as boolean foundCollison = false
		dim as single t = 1.0
		' First we check for the easy case - collision inside
		' the triangle. If this happens it must be at time t0
		' as this is when the sphere rests on the front side
		' of the triangle plane. Note, this can only happen if
		' the sphere is not embedded in the triangle plane.
		if (embeddedInPlane = false) then
			dim as TriCollision.VECTOR planeIntersectionPoint =	(colPackage->basePoint-trianglePlane.normal) + t0*colPackage->velocity
			if (checkPointInTriangle(planeIntersectionPoint,p1,p2,p3)) then
				foundCollison = true
				t = t0
				collisionPoint = planeIntersectionPoint
			endif
		endif
		' if we havent found a collision already well have to
		' sweep sphere against points and edges of the triangle.
		' Note: A collision inside the triangle (the check above)
		' will always happen before a vertex or edge collision!
		' This is why we can skip the swept test if the above
		' gives a collision!
		if (foundCollison = false) then
			' some commonly used terms:
			dim as TriCollision.VECTOR velocity = colPackage->velocity
			dim as TriCollision.VECTOR vbase = colPackage->basePoint
			dim as single velocitySquaredLength = velocity.squaredLength()
			dim as single a,b,c ' Params for equation
			dim as single newT
			' For each vertex or edge a quadratic equation have to
			' be solved. We parameterize this equation as
			' a*t^2 + b*t + c = 0 and below we calculate the
			' parameters a,b and c for each test.
			' Check against points:
			a = velocitySquaredLength
			' P1
			b = 2.0*(velocity.dot(vbase-p1))
			c = (p1-vbase).squaredLength() - 1.0
			if (getLowestRoot(a,b,c, t, @newT)) then
				t = newT
				foundCollison = true
				collisionPoint = p1
			endif
			' P2
			b = 2.0*(velocity.dot(vbase-p2))
			c = (p2-vbase).squaredLength() - 1.0
			if (getLowestRoot(a,b,c, t, @newT)) then
				t = newT
				foundCollison = true
				collisionPoint = p2
			endif
			' P3
			b = 2.0*(velocity.dot(vbase-p3))
			c = (p3-vbase).squaredLength() - 1.0
			if (getLowestRoot(a,b,c, t, @newT)) then
				t = newT
				foundCollison = true
				collisionPoint = p3
			endif
			' Check agains edges:
			' p1 -> p2:
			dim as TriCollision.VECTOR edge = p2-p1
			dim as TriCollision.VECTOR baseToVertex = p1 - vbase
			dim as single edgeSquaredLength = edge.squaredLength()
			dim as single edgeDotVelocity = edge.dot(velocity)
			dim as single edgeDotBaseToVertex = edge.dot(baseToVertex)
			' Calculate parameters for equation
			a = edgeSquaredLength*-velocitySquaredLength + edgeDotVelocity*edgeDotVelocity
			b = edgeSquaredLength*(2*velocity.dot(baseToVertex))-2.0*edgeDotVelocity*edgeDotBaseToVertex
			c = edgeSquaredLength*(1-baseToVertex.squaredLength())+edgeDotBaseToVertex*edgeDotBaseToVertex
			' Does the swept sphere collide against infinite edge?
			if (getLowestRoot(a,b,c, t, @newT)) then
				' Check if intersection is within line segment:
				dim as single f=(edgeDotVelocity*newT-edgeDotBaseToVertex)/edgeSquaredLength
				if (f >= 0.0 andalso f <= 1.0) then
					' intersection took place within segment.
					t = newT
					foundCollison = true
					collisionPoint = p1 + f*edge
				endif
			endif
			' p2 -> p3:
			edge = p3-p2
			baseToVertex = p2 - vbase
			edgeSquaredLength = edge.squaredLength()
			edgeDotVelocity = edge.dot(velocity)
			edgeDotBaseToVertex = edge.dot(baseToVertex)
			a = edgeSquaredLength*-velocitySquaredLength + edgeDotVelocity*edgeDotVelocity
			b = edgeSquaredLength*(2*velocity.dot(baseToVertex))-2.0*edgeDotVelocity*edgeDotBaseToVertex
			c = edgeSquaredLength*(1-baseToVertex.squaredLength())+edgeDotBaseToVertex*edgeDotBaseToVertex
			if (getLowestRoot(a,b,c, t, @newT)) then
				dim as single f=(edgeDotVelocity*newT-edgeDotBaseToVertex)/edgeSquaredLength
				if (f >= 0.0 andalso f <= 1.0) then
					t = newT
					foundCollison = true
					collisionPoint = p2 + f*edge
				endif
			endif
			' p3 -> p1:
			edge = p1-p3
			baseToVertex = p3 - vbase
			edgeSquaredLength = edge.squaredLength()
			edgeDotVelocity = edge.dot(velocity)
			edgeDotBaseToVertex = edge.dot(baseToVertex)
			a = edgeSquaredLength*-velocitySquaredLength + edgeDotVelocity*edgeDotVelocity
			b = edgeSquaredLength*(2*velocity.dot(baseToVertex))-2.0*edgeDotVelocity*edgeDotBaseToVertex
			c = edgeSquaredLength*(1-baseToVertex.squaredLength())+edgeDotBaseToVertex*edgeDotBaseToVertex
			if (getLowestRoot(a,b,c, t, @newT)) then
				dim as single f=(edgeDotVelocity*newT-edgeDotBaseToVertex)/edgeSquaredLength
				if (f >= 0.0 andalso f <= 1.0) then
					t = newT
					foundCollison = true
					collisionPoint = p3 + f*edge
				endif
			endif
		endif
		' Set result:
		if (foundCollison = true) then
			' distance to collision: t is time of collision
			dim as single distToCollision = t*colPackage->velocity.length()
			' Does this triangle qualify for the closest hit?
			' it does if its the first hit or the closest
			if ((colPackage->foundCollision = false) orelse cbool(distToCollision < colPackage->nearestDistance)) then
				' Collision information nessesary for sliding
				colPackage->nearestDistance = distToCollision
				colPackage->intersectionPoint=collisionPoint
				colPackage->foundCollision = true
			endif
		endif
	endif ' if not backface
end sub

function TriCollision.VectorToVECTOR(v as .Vector) as TriCollision.VECTOR
	return TriCollision.VECTOR(v.X,v.Y,v.Z)
End Function

function TriCollision.CheckCollision(curLoc as .Vector, newLoc as .Vector, triPt1 as .Vector, triPt2 as .Vector, triPt3 as .Vector, colRadius as single, colHeight as single) as boolean
	dim colPk as CollisionPacket
	var playerSize   = vect(colRadius,colRadius,colHeight)
	colPk.eRadius    = VectorToVECTOR(playerSize)
	colPk.R3Position = VectorToVECTOR(curLoc)
	colPk.R3Velocity = VectorToVECTOR(newLoc-curLoc)
	colPk.velocity   = VectorToVECTOR((newLoc-curLoc)/playerSize)
	colPk.normalizedVelocity = colPk.velocity
	colPk.normalizedVelocity.normalize()
	colPk.basePoint  = VectorToVECTOR(curLoc/playerSize)
	
	checkTriangle(@colPk, VectorToVECTOR(triPt1/playerSize), VectorToVECTOR(triPt2/playerSize), VectorToVECTOR(triPt3/playerSize))
	return colPk.foundCollision
End Function

function CreateInstance(className as string) as Actor ptr
	dim act as Actor ptr
	
	if ClassIsChildOf(className,"Bird1") then
		act = new Bird1()
	elseif ClassIsChildOf(className,"ScriptedPawn") then
		act = new ScriptedPawn()
	elseif ClassIsChildOf(className,"Weapon") then
		act = new Weapon()
	elseif ClassIsChildOf(className,"Inventory") then
		act = new Inventory()
	elseif ClassIsChildOf(className,"Mover") then
		act = new Mover()
	elseif ClassIsChildOf(className,"Counter") then
		act = new Counter()
	elseif ClassIsChildOf(className,"Dispatcher") then
		act = new Dispatcher()
	elseif ClassIsChildOf(className,"Earthquake") then
		act = new Earthquake()
	elseif ClassIsChildOf(className,"ExplosionChain") then
		act = new ExplosionChain()
	elseif ClassIsChildOf(className,"DynamicAmbientSound") then
		act = new DynamicAmbientSound()
	elseif ClassIsChildOf(className,"DynamicZoneInfo") then
		act = new DynamicZoneInfo()
	elseif ClassIsChildOf(className,"LevelInfo") then
		act = new LevelInfo()
	elseif ClassIsChildOf(className,"ZoneInfo") then
		act = new ZoneInfo()
	elseif ClassIsChildOf(className,"TriggerLight") then
		act = new TriggerLight()
	elseif ClassIsChildOf(className,"DispersionAmmo") then
		act = new DispersionAmmo()
	elseif ClassIsChildOf(className,"Projectile") then
		act = new EnemyProjectile()
	elseif ClassIsChildOf(className,"Emitter") then
		act = new Emitter()
	elseif ClassIsChildOf(className,"DispersionAmmoHit") then
		act = new DispersionAmmoHit()
	elseif ClassIsChildOf(className,"Explosion") then
		act = new Explosion()
	elseif ClassIsChildOf(className,"AnimSpriteEffect") then
		act = new AnimSpriteEffect()
	elseif ClassIsChildOf(className,"WavySurfaceInfo") then
		act = new WavySurfaceInfo()
	else
		act = new Actor()
	EndIf
	
	act->ClassName = className
	
	return act
	
End Function

function Spawn overload(instance as Actor ptr, owner as any ptr=0, tag as string="", location as Vector, rotation as Rotator) as Actor ptr
	
	if instance=0 then return 0
	
	if owner<>0 then instance->Owner = owner
	if tag<>"" then instance->SetProp("Tag",tag)
	instance->SetLocation(location)
	instance->Rotation = rotation
	Actors.Add(instance)
	instance->BeginPlay()
	
	return instance
	
End function

function Spawn(className as string, owner as any ptr=0, tag as string="", location as Vector, rotation as Rotator) as Actor ptr
	var inst = CreateInstance(className)
	AddDefaultProperties(*inst)
	inst->LoadProperties()
	return Spawn(inst, owner, tag, location, rotation) 
End function

sub Destroy(act as Actor ptr)
	for i as integer=0 to Actors.Count-1
		if Actors[i] = act then
			Actors[i]->Destroyed()
			exit sub
		EndIf
	Next
End Sub

' Check collision of player/actor with the level model and Movers.
function CheckCollisionWithWorld(traceStart as Vector, traceEnd as Vector, byref hitNormal as Vector, byref hitActor as Actor ptr, colRadius as single, colHeight as single) as boolean
	
	dim hitTri as Triangle ptr
	hitActor = 0
	hitNormal = vect(0,0,0)
	
	' Level.
	if CheckCollisionWithModel(levelModel, traceStart, traceEnd, hitTri, colRadius, colHeight) then
		if hitTri<>0 then
			hitNormal = hitTri->Normal
		endif
		return True
	EndIf
	
	' Movers and bBlockPlayers actors.
	for i as integer=0 to Actors.Count-1
		var act=Actors[i]
		if act->Brush<>0 then 'if it's a Mover...
			if CheckCollisionWithModel(*act->Brush, traceStart, traceEnd, hitTri, colRadius, colHeight) then
				hitActor = act
				if hitTri<>0 then
					
					if (*act is Mover)=0 then
						Log("Warning: Non-mover actor with act->Brush<>0")
					EndIf
					var movr=cast(Mover ptr, act)
					
					/'dim rot2 as Rotator
					rot2 = act->Rotation
					rot2.Roll *= -1
					rot2.Yaw *= -1
					swap rot2.Pitch, rot2.Roll
					hitNormal = _rotate(hitTri->Normal,rot2)'/
					
					hitNormal = hitTri->Normal
					hitNormal *= movr->MainScale
					hitNormal *= vect(1,-1,1)
					dim rot2 as Rotator
					rot2 = movr->Rotation
					rot2.Roll *= -1
					rot2.Yaw *= -1
					swap rot2.Pitch, rot2.Roll
					hitNormal = _rotate(hitNormal,rot2)
					hitNormal *= vect(1,-1,1)
					hitNormal *= movr->PostScale
					hitNormal = Normal(hitNormal) 'just in case
				endif
				return True
			EndIf
		elseif act->bBlockPlayers then
			if CheckCollisionCylinders(traceEnd, colHeight, colRadius, act->Location, act->CollisionHeight, act->CollisionRadius) then
				hitActor = act
				if traceEnd.Z-colHeight > act->Location.Z+act->CollisionHeight-4 then
					hitNormal = vect(0,0,1)
				elseif act->Location.Z-act->CollisionHeight > traceEnd.Z+colHeight-4 then
					hitNormal = vect(0,0,-1)
				else
					hitNormal = Normal((traceStart-act->Location)*vect(1,1,0))
				EndIf
				return True
			EndIf
		EndIf
	Next
	
	return False
End Function

function FindActorByTag(tag as string) as Actor ptr
	if tag="" then return 0
	var lowtag = LCase(tag)
	if lowtag="""none""" then return 0
	
	for i as integer=0 to Actors.Count-1
		if LCase((*Actors[i])["Tag"]) = lowtag then
			if lowtag<>"""" & LCase(Actors[i]->ClassName) & """" then
				return Actors[i]
			EndIf
		EndIf
	Next
	
	return 0
End Function

sub TriggerEvent(tag as string, other as Actor ptr=0, instigator as Actor ptr=0)
	if tag="" then return
	if LCase(tag)="""none""" then return
	
	for i as integer=0 to Actors.Count-1
		if (*Actors[i])["Tag"] = tag then
			if tag<>"""" & Actors[i]->ClassName & """" then
				Actors[i]->Trigger(other,instigator)
			EndIf
		EndIf
	Next
End Sub

sub UntriggerEvent(tag as string, other as Actor ptr=0, instigator as Actor ptr=0)
	if tag="" then return
	if LCase(tag)="""none""" then return
	
	for i as integer=0 to Actors.Count-1
		if (*Actors[i])["Tag"] = tag then
			if tag<>"""" & Actors[i]->ClassName & """" then
				Actors[i]->Untrigger(other,instigator)
			EndIf
		EndIf
	Next
End Sub

sub DrawMarker(location as Vector, col as integer, size as single=16)
	BindTexture(0)
	glColor3ub (col shr 16) and 255, (col shr 8) and 255, col and 255
	
	glDisable(GL_CULL_FACE)
	glBegin GL_QUADS
		glVertex3f location.X-size, location.Y-size, location.Z
		glVertex3f location.X-size, location.Y+size, location.Z
		glVertex3f location.X+size, location.Y+size, location.Z
		glVertex3f location.X+size, location.Y-size, location.Z
		
		glVertex3f location.X-size, location.Y, location.Z-size
		glVertex3f location.X-size, location.Y, location.Z+size
		glVertex3f location.X+size, location.Y, location.Z+size
		glVertex3f location.X+size, location.Y, location.Z-size
		
		glVertex3f location.X, location.Y-size, location.Z-size
		glVertex3f location.X, location.Y-size, location.Z+size
		glVertex3f location.X, location.Y+size, location.Z+size
		glVertex3f location.X, location.Y+size, location.Z-size
	glEnd
	glEnable(GL_CULL_FACE)
	
	glColor3f 1, 1, 1
End Sub

' (0,0) is top left, (1,1) is bottom right.
function ScreenToWorld(byval x as single, byval y as single) as Vector
	var fovScaler = tan(FOV/2/360*2*pi)
	return vect((x*20-10)*fovScaler,-10,(-y*20+10)*fovScaler)
End Function

sub DrawLine(a as Vector, b as Vector, col as integer=&hFFFFFFFF)
	BindTexture(0)
	glColor3ub (col shr 16) and 255, (col shr 8) and 255, col and 255
	glBegin GL_LINES
		glVertex3f a.X, a.Y, a.Z
		glVertex3f b.X, b.Y, b.Z
	glEnd
	glColor3f 1, 1, 1
End Sub

sub DrawRect(x as single, y as single, w as single, h as single, col as integer=&hFFFFFFFF)
	
	dim as Vector v1, v2, v3, v4
	
	v1 = ScreenToWorld(x,y)
	v2 = ScreenToWorld(x,y+h)
	v3 = ScreenToWorld(x+w,y+h)
	v4 = ScreenToWorld(x+w,y)
	
	BindTexture(0)
	glColor4ub (col shr 16) and 255, (col shr 8) and 255, col and 255, col shr 24
	
	glDisable(GL_CULL_FACE)
	glBegin GL_QUADS
		glVertex3f v1.X, v1.Y, v1.Z
		glVertex3f v2.X, v2.Y, v2.Z
		glVertex3f v3.X, v3.Y, v3.Z
		glVertex3f v4.X, v4.Y, v4.Z
	glEnd
	glEnable(GL_CULL_FACE)
	
	glColor3f 1, 1, 1
End Sub

sub DrawCaustics()
	glBegin(GL_QUADS)
	
	glTexCoord2f(0,1)
	glVertex3f(-32,+32,-32)
	glTexCoord2f(1,1)
	glVertex3f(+32,+32,-32)
	glTexCoord2f(1,0)
	glVertex3f(+32,-32,-32)
	glTexCoord2f(0,0)
	glVertex3f(-32,-32,-32)
	
	glTexCoord2f(0,0)
	glVertex3f(-32,-32,+32)
	glTexCoord2f(1,0)
	glVertex3f(+32,-32,+32)
	glTexCoord2f(1,1)
	glVertex3f(+32,+32,+32)
	glTexCoord2f(0,1)
	glVertex3f(-32,+32,+32)
	
	'side
	glTexCoord2f(0,0)
	glVertex3f(+32,-32,-32)
	glTexCoord2f(1,0)
	glVertex3f(+32,+32,-32)
	glTexCoord2f(1,1)
	glVertex3f(+32,+32,+32)
	glTexCoord2f(0,1)
	glVertex3f(+32,-32,+32)
	
	glTexCoord2f(0,0)
	glVertex3f(-32,-32,-32)
	glTexCoord2f(1,0)
	glVertex3f(+32,-32,-32)
	glTexCoord2f(1,1)
	glVertex3f(+32,-32,+32)
	glTexCoord2f(0,1)
	glVertex3f(-32,-32,+32)
	
	glTexCoord2f(1,1)
	glVertex3f(-32,-32,+32)
	glTexCoord2f(0,1)
	glVertex3f(-32,+32,+32)
	glTexCoord2f(0,0)
	glVertex3f(-32,+32,-32)
	glTexCoord2f(1,0)
	glVertex3f(-32,-32,-32)
	
	glTexCoord2f(1,1)
	glVertex3f(-32,+32,+32)
	glTexCoord2f(0,1)
	glVertex3f(+32,+32,+32)
	glTexCoord2f(0,0)
	glVertex3f(+32,+32,-32)
	glTexCoord2f(1,0)
	glVertex3f(-32,+32,-32)
	
	glEnd()
End Sub

sub DrawSprite(byval location as Vector, w as single, h as single, projForward as single=0)
	if projForward<>0 then
		var oldDistance = VSize(Player->Location-Location)
		var newDistance = oldDistance-projForward
		newDistance = FMax(5,newDistance) 'don't go behind the camera
		location += projForward*(Player->Location-Location)/oldDistance
		w *= newDistance/oldDistance
		h *= newDistance/oldDistance
	EndIf
	
	var playerRotation = Player->GetViewRotation()
	dim as Vector vX, vY
	vX = Rotate(vect(0,1, 0), playerRotation)*w/2
	vY = Rotate(vect(0,0,-1), playerRotation)*h/2
	
	dim v(4-1) as Vector
	v(0) = -vX-vY
	v(1) = -vX+vY
	v(2) =  vX+vY
	v(3) =  vX-vY
	for i as integer=0 to 4-1
		v(i) += location
	Next
	
	glDisable(GL_CULL_FACE)
	glBegin GL_QUADS
		glTexCoord2f 0, 1
		glVertex3f v(0).X, v(0).Y, v(0).Z
		glTexCoord2f 0, 0
		glVertex3f v(1).X, v(1).Y, v(1).Z
		glTexCoord2f 1, 0
		glVertex3f v(2).X, v(2).Y, v(2).Z
		glTexCoord2f 1, 1
		glVertex3f v(3).X, v(3).Y, v(3).Z
	glEnd
	glEnable(GL_CULL_FACE)
	
End Sub

sub DrawString(fnt as Font ptr, text as string, x as single, y as single, maxX as single=1)
	if fnt=0 then return
	
	dim pixelSize as single=1/480
	dim curX as single=x
	dim curY as single=y
	
	glDisable(GL_DEPTH_TEST)
	SetBlending(EBlending.AlphaBlend)
	
	for i as integer=0 to Len(text)-1
		var ch=Mid(text,i+1,1)
		
		if ch=chr(10) then
			' New line.
			curX = x
			curY += fnt->Height*pixelSize
		else
			' Draw a character.
			var code=asc(ch)
			dim chrTex as Texture ptr
			var fontChr = fnt->GetCharacter(code,chrTex)
			if fontChr<>0 then
				BindTexture(chrTex)
				
				dim as single upos, vpos, usize, vsize2
				upos   = csng(fontChr->StartU)/chrTex->USize
				vpos = 1-csng(fontChr->StartV)/chrTex->VSize
				usize  = csng(fontChr->USize )/chrTex->USize
				vsize2 = csng(fontChr->VSize )/chrTex->VSize
				
				dim as single xsize, ysize
				xsize = fontChr->USize*pixelSize
				ysize = fontChr->VSize*pixelSize
				
				if curX+xsize > maxX then
					curX = x
					curY += fnt->Height*pixelSize
				EndIf
				
				dim as Vector v1, v2, v3, v4
				v1 = ScreenToWorld(curX,curY)
				v2 = ScreenToWorld(curX,curY+ysize)
				v3 = ScreenToWorld(curX+xsize,curY+ysize)
				v4 = ScreenToWorld(curX+xsize,curY)
				
				glBegin GL_QUADS 'FIXME
					glTexCoord2f upos, vpos
					glVertex3f v1.X, v1.Y, v1.Z
					glTexCoord2f upos, vpos-vsize2
					glVertex3f v2.X, v2.Y, v2.Z
					glTexCoord2f upos+usize, vpos-vsize2
					glVertex3f v3.X, v3.Y, v3.Z
					glTexCoord2f upos+usize, vpos
					glVertex3f v4.X, v4.Y, v4.Z
				glEnd
				
				curX += xsize
			endif
		EndIf
	Next
	
	glEnable(GL_DEPTH_TEST)
	glEnable(GL_CULL_FACE)
End Sub

sub MeasureString(fnt as Font ptr, text as string, byref outW as single, byref outH as single)
	if fnt=0 then return
	
	dim pixelSize as single=1/480
	dim curX as single
	dim curY as single
	
	for i as integer=0 to Len(text)-1
		var ch=Mid(text,i+1,1)
		
		if ch=chr(10) then
			' New line.
			curX = 0
			curY += fnt->Height*pixelSize
		else
			' Simulate drawing a character.
			var code=asc(ch)
			dim chrTex as Texture ptr
			var fontChr = fnt->GetCharacter(code,chrTex)
			if fontChr<>0 then
				
				dim as single upos, vpos, usize, vsize2
				upos   = csng(fontChr->StartU)/chrTex->USize
				vpos = 1-csng(fontChr->StartV)/chrTex->VSize
				usize  = csng(fontChr->USize )/chrTex->USize
				vsize2 = csng(fontChr->VSize )/chrTex->VSize
				
				dim as single xsize, ysize
				xsize = fontChr->USize*pixelSize
				ysize = fontChr->VSize*pixelSize
				
				dim as Vector v1, v2, v3, v4
				v1 = ScreenToWorld(curX,curY)
				v2 = ScreenToWorld(curX,curY+ysize)
				v3 = ScreenToWorld(curX+xsize,curY+ysize)
				v4 = ScreenToWorld(curX+xsize,curY)
				
				if curX+xsize > outW then outW = curX+xsize
				if curY+ysize > outH then outH = curY+ysize				
				
				curX += xsize
			endif
		EndIf
	Next
	
	glEnable(GL_DEPTH_TEST)
	glEnable(GL_CULL_FACE)
End Sub


sub DrawVertexMesh(byref mesh as VertexMesh, frame as integer=0, pass as ERenderPass, skins as Texture ptr ptr=0)
	
	dim ActualTextures(16-1) as Texture ptr
	for i as integer=0 to 16-1
		ActualTextures(i) = mesh.Textures(i)
	Next
	
	if skins<>0 then
		for i as integer=0 to 16-1
			if skins[i]<>0 then
				ActualTextures(i) = skins[i]
			EndIf
		Next
	EndIf
	
	glPushMatrix()
		glRotatef(mesh.Rotation.Yaw  *360/65536, 0, 0, 1)
		glRotatef(mesh.Rotation.Pitch*360/65536, 0,-1, 0)
		glRotatef(mesh.Rotation.Roll *360/65536,-1, 0, 0)
		glScalef(mesh.Scale.X, mesh.Scale.Y, mesh.Scale.Z)
		glTranslatef(-mesh.Origin.X, -mesh.Origin.Y, -mesh.Origin.Z)
		
		'glColor3f(1,1,1)
		
		for i as integer=0 to UBound(mesh.Triangles)
			
			var tri = @mesh.Triangles(i)
			
			var blending = tri->PolyType And 7
			
			if pass=ERenderPass.Opaque      andalso ((blending=4) or (blending=2)) then continue for
			if pass=ERenderPass.Modulated   andalso (blending <> 4) then continue for
			if pass=ERenderPass.Translucent andalso (blending <> 2) then continue for
			
			if (i=0) orelse ((tri->TextureNum<>mesh.Triangles(i-1).TextureNum) or (tri->PolyType<>mesh.Triangles(i-1).PolyType)) then
				BindTexture(ActualTextures(tri->TextureNum))
				
				/'if blending<>0 then
					glDisable(GL_CULL_FACE)
				else
					glEnable(GL_CULL_FACE)
				EndIf'/
				
				if blending = 3 Then
					SetBlending(EBlending.Masked)
				elseif blending = 2 Then
					SetBlending(EBlending.Translucent)
				elseif blending = 4 Then
					SetBlending(EBlending.Modulated)
				End If
				
				glBegin(GL_TRIANGLES)
			EndIf
			
			if (tri->PolyType and 8)=0 then
				dim as Vector v1, v2, v3
				
				v1 = mesh.GetVert(frame,tri->Vert1)
				v2 = mesh.GetVert(frame,tri->Vert2)
				v3 = mesh.GetVert(frame,tri->Vert3)
				
				glTexCoord2f tri->U1/256f, 1-tri->V1/256f
				glVertex3f v1.X, v1.Y, v1.Z
				
				glTexCoord2f tri->U2/256f, 1-tri->V2/256f
				glVertex3f v2.X, v2.Y, v2.Z
				
				glTexCoord2f tri->U3/256f, 1-tri->V3/256f
				glVertex3f v3.X, v3.Y, v3.Z
			endif
			
			if (i=UBound(mesh.Triangles)) orelse ((tri->TextureNum<>mesh.Triangles(i+1).TextureNum) or (tri->PolyType<>mesh.Triangles(i+1).PolyType)) then
				glEnd()
				BindTexture(0)
				glDisable(GL_BLEND)
				glDisable(GL_ALPHA_TEST)
				glDepthMask(GL_TRUE)
			EndIf
		Next
		
	glPopMatrix()
	
End Sub

sub DrawMover(byref mesh as Model, pass as ERenderPass)
	dim prevTex as Texture ptr=0
	dim curTex  as Texture ptr=0
	dim prevFlags as EPolyFlags=0
	dim curFlags  as EPolyFlags=0
	dim started as boolean
	
	if mesh.Mover=0 then
		Log("Error: DrawMover: mesh.Mover=0")
		return
	EndIf
	
	var mov = cast(Mover ptr,mesh.Mover)
	
	' FIXME: Not sure how this should behave...
	var myZone = GetLocZone(mov->Location)
	dim as single TexUPanSpeed=1, TexVPanSpeed=1
	if myZone<>0 then
		TexUPanSpeed = myZone->TexUPanSpeed
		TexVPanSpeed = myZone->TexVPanSpeed
	EndIf
	
	for t as integer=0 to mesh.Tris.Count-1
		var tri = @(mesh.Tris[t])
		
		curFlags = tri->Flags
		if curFlags and PF_Invisible then continue for
		
		select case as const pass
			case ERenderPass.Modulated   : if (curFlags and PF_Modulated  )=0 then continue for
			case ERenderPass.Translucent : if (curFlags and PF_Translucent)=0 then continue for
			case ERenderPass.Opaque      : if (curFlags and (PF_Translucent or PF_Modulated))<>0 then continue for
		End Select
		
		if tri->Texture<>0 then
			curTex = tri->Texture
			curFlags or= tri->Texture->Flags
		EndIf
		
		if (started=False) orelse cbool(curTex<>prevTex) orelse cbool(((curFlags xor prevFlags) and PF_BlendingFlags)<>0) then
			if started then
				glEnd
			EndIf
			started = True
			
			if curFlags and PF_Modulated Then
				SetBlending(EBlending.Modulated)
			elseif curFlags and PF_Translucent Then
				SetBlending(EBlending.Translucent)
			elseif curFlags and PF_Masked Then
				SetBlending(EBlending.Masked)
			elseif curFlags and PF_AlphaBlend Then
				SetBlending(EBlending.AlphaBlend)
			else
				SetBlending(EBlending.Opaque)
			End If
			
			if curFlags and PF_TwoSided then
				glDisable(GL_CULL_FACE)
			else
				glEnable(GL_CULL_FACE)
			EndIf
			
			if curFlags and PF_Unlit then
				glColor3f(0.25,0.25,0.25)
			else
				glColor3f(mov->ActorColor.X*0.25,mov->ActorColor.Y*0.25,mov->ActorColor.Z*0.25)
			EndIf
			
			BindTexture(curTex)
			glBegin GL_TRIANGLES
		EndIf
		
		dim as single Upan, Vpan
		if tri->Flags and EPolyFlags.PF_AutoUPan then Upan = TimeSeconds*TexUPanSpeed
		if tri->Flags and EPolyFlags.PF_AutoVPan then Vpan = TimeSeconds*TexVPanSpeed
		if tri->Flags and EPolyFlags.PF_SmallWavy then
			Upan += cos(TimeSeconds)*0.1
			Vpan += sin(TimeSeconds*0.9)*0.1
		EndIf
		
		for v as integer=3-1 to 0 step -1
			var vertpos = tri->V(v)
			var vertuvs = tri->UV(v)
			
			glTexCoord2f vertuvs.U+Upan, vertuvs.V+Vpan
			glVertex3f   vertpos.X, vertpos.Y, vertpos.Z
		Next
		
		prevTex = curTex
		prevFlags = curFlags
	Next
	
	if started then glEnd
End Sub

' This should hopefully be fully replaced by the new BSP-based rendering.
sub DrawWorld(byref mesh as Model, pass as ERenderPass)
	dim prevTex as Texture ptr=0
	dim curTex  as Texture ptr=0
	dim prevFlags as EPolyFlags=0
	dim curFlags  as EPolyFlags=0
	dim started as boolean
	
	for t as integer=0 to mesh.Tris.Count-1
		var tri = @(mesh.Tris[t])
		
		var TexUPanSpeed = tri->ZoneActor->TexUPanSpeed
		var TexVPanSpeed = tri->ZoneActor->TexVPanSpeed
		
		curFlags = tri->Flags
		if curFlags and PF_Invisible then continue for
		
		select case as const pass
			case ERenderPass.Modulated   : if (curFlags and PF_Modulated  )=0 then continue for
			case ERenderPass.Translucent : if (curFlags and PF_Translucent)=0 then continue for
			case ERenderPass.Opaque      : if (curFlags and (PF_Translucent or PF_Modulated))<>0 then continue for
		End Select
		
		if tri->Texture<>0 then
			curTex = tri->Texture
			curFlags or= tri->Texture->Flags
		EndIf
		
		if (started=False) orelse cbool(curTex<>prevTex) orelse cbool(((curFlags xor prevFlags) and PF_BlendingFlags)<>0) then
			if started then
				glEnd
			EndIf
			started = True
			
			if curFlags and PF_Modulated Then
				SetBlending(EBlending.Modulated)
			elseif curFlags and PF_Translucent Then
				SetBlending(EBlending.Translucent)
			elseif curFlags and PF_Masked Then
				SetBlending(EBlending.Masked)
			elseif curFlags and PF_AlphaBlend Then
				SetBlending(EBlending.AlphaBlend)
			else
				SetBlending(EBlending.Opaque)
			End If
			
			if curFlags and PF_TwoSided then
				glDisable(GL_CULL_FACE)
			else
				glEnable(GL_CULL_FACE)
			EndIf
			
			BindTexture(curTex)
			glBegin GL_TRIANGLES
		EndIf
		
		dim as single Upan, Vpan
		if tri->Flags and EPolyFlags.PF_AutoUPan then Upan = TimeSeconds*TexUPanSpeed
		if tri->Flags and EPolyFlags.PF_AutoVPan then Vpan = TimeSeconds*TexVPanSpeed
		if tri->Flags and EPolyFlags.PF_SmallWavy then
			Upan += cos(TimeSeconds)*0.1
			Vpan += sin(TimeSeconds*0.9)*0.1
		EndIf
		
		for v as integer=3-1 to 0 step -1
			var vertpos = tri->V(v)
			var vertuvs = tri->UV(v)
			
			glTexCoord2f vertuvs.U+Upan, vertuvs.V+Vpan
			glVertex3f   vertpos.X, vertpos.Y, vertpos.Z
		Next
		
		prevTex = curTex
		prevFlags = curFlags
	Next
	
	if started then glEnd
	
	' Draw the lightmaps. TODO: Replace with multitexturing.
	glColor3f 0.5,0.5,0.5
	if pass<>ERenderPass.Opaque then return
	
	started   = False
	prevTex   = 0
	curTex    = 0
	prevFlags = 0
	curFlags  = 0
	
	SetBlending(EBlending.Modulated)
	glDepthFunc(GL_EQUAL)
	for t as integer=0 to mesh.Tris.Count-1
		var tri = @(mesh.Tris[t])
		
		curFlags = tri->Flags
		if curFlags and (PF_Invisible or PF_Translucent or PF_Modulated or PF_Unlit) then continue for
		
		if tri->Lightmap=0 then continue for
		
		curTex = levelBsp->LightmapAtlas
		
		if curTex=0 then continue for
		
		if (started=False) orelse cbool(curTex<>prevTex) orelse cbool(((curFlags xor prevFlags) and PF_BlendingFlags)<>0) then
			if started then
				glEnd
			EndIf
			started = True
			
			if (curFlags and PF_Masked) andalso (prevFlags and PF_Masked)=0 then
				glEnable(GL_ALPHA_TEST)
				glAlphaFunc(GL_GEQUAL, 0.5)
			elseif (curFlags and PF_Masked)=0 andalso (prevFlags and PF_Masked) then
				glDisable(GL_ALPHA_TEST)
			EndIf
			
			if (curFlags and PF_TwoSided) andalso (prevFlags and PF_TwoSided)=0 then
				glDisable(GL_CULL_FACE)
			elseif (curFlags and PF_TwoSided)=0 andalso (prevFlags and PF_TwoSided) then
				glEnable(GL_CULL_FACE)
			EndIf
			
			BindTexture(curTex)
			glBegin GL_TRIANGLES
		EndIf
		
		var atlasW = levelBsp->LightmapAtlas->USize
		var atlasH = levelBsp->LightmapAtlas->VSize
		
		for v as integer=3-1 to 0 step -1
			var vertpos = tri->V(v)
			var vertuvs = tri->LightUV(v)
			
			vertuvs.U *=   tri->Lightmap->AtlasW/atlasW
			vertuvs.V *=  -tri->Lightmap->AtlasH/atlasH
			vertuvs.U +=   tri->Lightmap->AtlasX/atlasW
			vertuvs.V += 1-tri->Lightmap->AtlasY/atlasH
			
			glTexCoord2f vertuvs.U, vertuvs.V
			glVertex3f   vertpos.X, vertpos.Y, vertpos.Z
		Next
		
		prevTex = curTex
		prevFlags = curFlags
	Next
	
	if started then glEnd
	
	glDepthFunc(GL_LEQUAL)
End Sub

function ScreenLeft() as single
	return (1f-ScreenWidth/ScreenHeight)/2f
End Function

function RoundXCoord(x as single) as single
	return int((x-ScreenLeft4x3)/ScreenSize4x3*640)/640*ScreenSize4x3+ScreenLeft4x3
End Function

function RoundYCoord(y as single) as single
	return int(y*480)/480
End Function

sub PlaySong(song as string="", section as integer=0, bSilence as boolean=False)
	if bSilence then
		if curSong<>0 then
			BASS_ChannelStop(curSong)
			BASS_MusicFree(curSong)
		EndIf
		return
	EndIf
	
	if song<>"" then
		var file = GetSongFile(GetShortName(Song))
		if file<>"" then
			if curSong<>0 then
				BASS_ChannelStop(curSong)
				BASS_MusicFree(curSong)
			EndIf
			curSong = BASS_MusicLoad(0, strptr(file), 0, 0, BASS_SAMPLE_LOOP, 0)
			if curSong<>0 then
				BASS_ChannelSetAttribute(curSong,BASS_ATTRIB_VOL,GlobalMusicVolume)
				BASS_ChannelSetPosition(curSong,MAKELONG(section,0),BASS_POS_MUSIC_ORDER)
				BASS_ChannelPlay(curSong,0)
			EndIf
		EndIf
	else
		' just change the section
		BASS_ChannelSetPosition(curSong,MAKELONG(section,0),BASS_POS_MUSIC_ORDER or BASS_MUSIC_POSRESET)
	endif
End Sub

sub LoadLevel(file as string, showLoadingScreen as Boolean=True)
	if showLoadingScreen then
		Flip
		SetBlending(EBlending.AlphaBlend)
		DrawRect(ScreenLeft,0,ScreenWidth/ScreenHeight,1,rgba(0,128,255,128))
		glColor3f(1,1,1)
		dim as single textW, textH
		MeasureString(LargeFont, "LOADING", textW, textH)
		DrawString(LargeFont,"LOADING", RoundXCoord(0.5-textW/2), RoundYCoord(0.5-textH/2))
		Flip
	endif
	
	LevelPackageName = GetFileNameWithoutExtension(file)
	
	Log("Loading level """ & file & """...")
	if FileExists(file)=0 then Throw("Can't load level """ & file & """: file not found.")
	if LCase(Right(file,4)) <> ".t3d" then Throw("Bad level format (must be .t3d)")
	
	' Clear previous stuff.
	Log("Unloading old assets...")
	for i as integer=Actors.Count-1 to 0 step -1
		if Actors[i]->CurrentLevelOnly then
			Destroy(Actors[i])
			Actors.RemoveAt(i)
		EndIf
	Next
	SkyZoneInfo = 0
	DynamicZones.Clear()
	levelModel = Model()
	
	for i as integer=Textures.Count-1 to 0 step -1
		if Textures[i]->CurrentLevelOnly then
			if Textures[i]->OpenGlHandle<>0 then
				glDeleteTextures(1, @(Textures[i]->OpenGlHandle))
			EndIf
			if Textures[i]->FbBitmap<>0 then
				ImageDestroy(Textures[i]->FbBitmap)
			EndIf
			delete Textures[i]
			Textures.RemoveAt(i)
		EndIf
	Next
	
	for i as integer=0 to bassSamples.Count-1
		BASS_SampleFree(bassSamples[i])
	Next
	
	bassSamples.Clear()
	
	Log("Loading the BSP...")
	if levelBsp<>0 then delete levelBsp
	levelBsp = new BspFile(ChangeExtension(file,".bsp"))
	
	Log("Loading the T3D...")
	T3DParser.LoadT3D(file,Actors) 'Do this after BSP is loaded so SetLocation can assign proper zones.
	
	' Find LevelInfo.
	Level = 0
	for i as integer=0 to Actors.Count-1
		var act = Actors[i]
		if NameEq(act->ClassName, "LevelInfo") andalso cbool(*act is LevelInfo) then
			Level = cast(LevelInfo ptr, act)
			exit for
		EndIf
	next
	if Level = 0 then Throw("The map is missing LevelInfo (or you didn't set up Engine.u correctly).")
	
	' Find DynamicZoneInfo's.
	for i as integer=0 to Actors.Count-1
		var act = Actors[i]
		if *act is DynamicZoneInfo then
			DynamicZones.Add(cast(DynamicZoneInfo ptr,act))
		EndIf
	next
	
	levelBsp->MatchActors(Actors) 'Do this after T3D is loaded, so actors already exist.
	levelBsp->PrepareLevelModel(levelModel)
	
	' Call PreBeginPlay so we can modify lights
	for i as integer=0 to Actors.Count-1
		Actors[i]->PreBeginPlay()
	Next
	
	Log("Preparing lightmaps...")
	levelBsp->PrepareLightmaps(levelModel)
	
	Log("Sorting polygons...")
	levelModel.SortPolys()
	
	Log("Calculating location hash...")
	' Compute level bounding box.
	scope
		dim levelBounds as BoundingBox
		for t as integer=0 to levelModel.Tris.Count-1
			var tri = @levelModel.Tris[t]
			for i as integer=0 to 3-1
				levelBounds.Extend(tri->V(i))
			Next
		Next
		LocationHash.Init(levelBounds.Min,levelBounds.Max,1024)
		glMatrixMode GL_PROJECTION
		glLoadIdentity
		gluPerspective FOV, csng(ScreenWidth)/csng(ScreenHeight), 8, VSize(levelBounds.Max-levelBounds.Min) 'Set minimal possible zFar to minimize z-buffer jaggies
	end scope
	' Add the polygons...
	for t as integer=0 to levelModel.Tris.Count-1
		LocationHash.AddTriangle(@levelModel.Tris[t])
	Next
	
	' Pick a random PlayerStart.
	scope
		dim PlayerStarts as List_Of_Actor_Ptr
		for i as integer=0 to Actors.Count-1
			if Actors[i]->ClassName = "PlayerStart" then
				PlayerStarts.Add(Actors[i])
			EndIf
		Next
		if PlayerStarts.Count=0 then
			Throw("No PlayerStarts found.")
		EndIf
		var chosenStart = PlayerStarts[int(Rnd()*(PlayerStarts.Count-1))]
		Player->SetLocation(chosenStart->Location+vect(0,0,32))
		Player->Rotation = chosenStart->Rotation
		Player->Velocity = vect(0,0,0)
		PlayerHorVelocity = vect(0,0,0)
	end scope
	
	' Load all AmbientSounds
	Log("Loading AmbientSounds...")
	scope
		for i as integer=0 to Actors.Count-1
			var act = Actors[i]
			var AmbientSound = (*act)["AmbientSound"]
			
			if AmbientSound<>"" then
				var fileName = GetSoundFile(AmbientSound)
				
				var sample = BASS_SampleLoad(0, strptr(fileName), 0, 0, 64, BASS_SAMPLE_LOOP or BASS_SAMPLE_3D or BASS_SAMPLE_MUTEMAX)
				
				if sample<>0 then
					bassSamples.Add(sample)
					var SoundRadius = csng(act->GetProp("SoundRadius","64")) '32 for Actor, 64 for AmbientSound.
					var SoundVolume = csng(act->GetProp("SoundVolume","190")) '128 for Actor, 190 for AmbientSound.
					var SoundPitch  = csng(act->GetProp("SoundPitch","64"))
					
					var chan = BASS_SampleGetChannel(sample, 0)
					BASS_ChannelSet3DPosition(chan,cast(any ptr,@(act->Location)),0,0)
					'Radius 81 ~= 2048 UU.
					dim as single radiusScaler = 2048/81
					BASS_ChannelSet3DAttributes(chan,BASS_3DMODE_NORMAL,SoundRadius*radiusScaler*0.25,SoundRadius*radiusScaler,-1,-1,0)
					BASS_ChannelSetAttribute(chan,BASS_ATTRIB_VOL,SoundVolume/255*GlobalSoundVolume)
					
					' Set the pitch.
					scope
						dim curRate as single
						BASS_ChannelGetAttribute(chan,BASS_ATTRIB_FREQ,@curRate)
						BASS_ChannelSetAttribute(chan,BASS_ATTRIB_FREQ,curRate*SoundPitch/64)
					end scope
					
					BASS_ChannelPlay(chan, 0)
				EndIf
				
			EndIf
		Next
		BASS_Apply3D()
	end scope
	
	' Load the music
	Log("Loading the music...")
	if curSong<>0 then BASS_MusicFree(curSong)
	var Song = Level->GetProp("Song")
	if Song<>"" then
		PlaySong(Song,cint(Level->GetProp("SongSection")))
	EndIf
	
	' Create the skybox
	Log("Creating skybox...")
	scope
		for i as integer=0 to Actors.Count-1
			var act = Actors[i]
			if act->ClassName = "SkyZoneInfo" then
				SkyZoneInfo = cast(ZoneInfo ptr, act)
				' TODO: if (*act)["bHighDetail"]="True" then...
				
				for t as integer=0 to levelModel.Tris.Count-1
					if VSize(levelModel.Tris[t].BoundingSphereLocation-act->Location) < 1500 then
						skyModel.Tris.Add(levelModel.Tris[t])
						levelModel.Tris[t].Flags or= PF_Invisible or PF_NotSolid
					EndIf
				Next
				
				exit for
			EndIf
		Next
		
		if SkyZoneInfo<>0 then
			for t as integer=0 to skyModel.Tris.Count-1
				for v as integer=0 to 3-1
					skyModel.Tris[t].V(v) -= SkyZoneInfo->Location
				Next
			Next
		EndIf
	end scope
	
	Log("Calling BeginPlay...")
	for i as integer=0 to Actors.Count-1
		Actors[i]->BeginPlay()
	Next
	
	LevelMessageTimer = 8
	
	var title=Unquote(Level->GetProp("Title"))
	if title="Untitled" then
		title=file
		title = GetFileNameWithoutExtension(title)
	EndIf
	WindowTitle(title & " - NuPlayer")
	
	Log("Finished loading level.")
End Sub

sub ShowLogo()
	glClearColor(100/255,100/255,100/255,100/255)
	glClear(GL_COLOR_BUFFER_BIT)
	
	dim as integer w, h
	ScreenInfo(w,h)
	var size=1/(csng(w)/csng(h))*4/3
	dim as single u, v
	u = 640/1024
	v = 1-480/512
	
	var bmp=LoadRGBAFile("Textures\NuEngine\Textures\Logo.png")
	var tex=CreateTexture(bmp)
	glEnable(GL_TEXTURE_2D)
	glBindTexture(GL_TEXTURE_2D, tex)
	glDisable(GL_CULL_FACE)
	glBegin(GL_QUADS)
		glTexCoord2f 0, v
		glVertex3f -size,-1,0
		glTexCoord2f u, v
		glVertex3f size,-1,0
		glTexCoord2f u, 1
		glVertex3f size,1,0
		glTexCoord2f 0, 1
		glVertex3f -size,1,0
	glEnd()
	glEnable(GL_CULL_FACE)
	BindTexture(0)
	glFlush
	Flip
	glFlush
	Flip
	glFlush
	Flip
	ImageDestroy(bmp)
End Sub

sub Throw(ex as string)
	Log("Error: " & ex)
	ScreenRes(256,128,32)
	_MessageBox(GetHwnd(),ex,"Error",0)
	appExit()
End Sub

sub appInit()
	Log("NuPlayer by Yrex, compiled " & __DATE_ISO__ & " " & __TIME__)
	Log("Don't close this window.")
	Log("")
	ChDir(ExePath())
	Randomize()
	
	Player = new PlayerPawn()
	Player->CurrentLevelOnly = False
	Actors.Add(Player)
	
	Settings = Ini("NuPlayer.ini")
	
	SetScreen(cint(Settings["ScreenWidth" ]), _
				 cint(Settings["ScreenHeight"]), _
				 cint(Settings["RefreshRate" ]), _
				 NameEq(Settings["ScreenMode"],"fullscreen"), _
				 NameEq(Settings["ScreenMode"],"borderless")  )
	
	GetTexture("NuEngine.Missing") 'Add a "default" texture at 0 index
	VertexMeshes.Add(new VertexMesh()) 'same as above
	
	glActiveTextureARB  =ScreenGLProc("glActiveTextureARB"  )
	glMultiTexCoord2fARB=ScreenGLProc("glMultiTexCoord2fARB")
	if glActiveTextureARB=0 or glMultiTexCoord2fARB=0 then Log("Multitexturing not supported.")
	
	WindowTitle("NuPlayer")
	SetMouse(,,0,1) 'Lock mouse inside window and hide it.
	ShowLogo()

	LoadSystemPackages()

	glViewport 0, 0, ScreenWidth, ScreenHeight
	glMatrixMode GL_PROJECTION
	glLoadIdentity
	FOV = csng(Settings["FOV"])
	
	gluPerspective FOV, csng(ScreenWidth)/csng(ScreenHeight), 8, 65536*sqr(3)
	glMatrixMode GL_MODELVIEW
	glLoadIdentity
	glEnable(GL_CULL_FACE)

	dim skyColor(4-1) as single
	skyColor(3) = 1
	glClearColor skyColor(0), skyColor(1), skyColor(2), skyColor(3)

	glClearDepth 1
	glEnable GL_DEPTH_TEST
	glDepthFunc GL_LEQUAL
	glEnable GL_COLOR_MATERIAL
	glEnable(GL_TEXTURE_2D)
	glHint GL_PERSPECTIVE_CORRECTION_HINT, GL_NICEST
	
	LightmapAtlasSize = cint(Settings["LightmapAtlasSize"])
	TraceMeshColor = cbool(Settings["TraceMeshColor"])
	
	LargeFont = new Font("Textures\NuEngine\Textures\Y_LargeFont.font")
	MedFont   = new Font("Textures\NuEngine\Textures\Y_MedFont.font"  )

	for i as integer=0 to 31
		causticsTextures.Add(CreateTexture(LoadRGBAFile("Textures\NuEngine\Textures\caustics\caust_a" & i &".png")))
	Next

	' Initialize BASS
	If (BASS_Init(-1, 44100, BASS_DEVICE_3D, GetHwnd(), 0) <> 1) Then
		Log("Could not initialize audio! BASS returned error " & BASS_ErrorGetCode())
	End If
	BASS_Set3DFactors(1f/64f,-1,-1)
	BASS_Apply3D()
	
	GlobalSoundVolume = csng(Settings["SoundVolume"])
	GlobalMusicVolume = csng(Settings["MusicVolume"])

	underwaterSound = BASS_SampleLoad(0, strptr("Sounds\NuEngine\Sounds\underwater.ogg"), 0, 0, 1, BASS_SAMPLE_LOOP)
	BASS_SampleGetChannel(underwaterSound, 0)
	BASS_ChannelSetAttribute(underwaterSound,BASS_ATTRIB_VOL,GlobalSoundVolume*0.3)

	scope
		var levelFile = Command(1)
		if levelFile="" then levelFile = "Maps\" & Settings["InitialLevel"] & ".t3d"
		LoadLevel(levelFile, False)
	end scope

	GetMouseDelta() 'Center the mouse.
	
	SaveOldGamma()
	Gamma = csng(Settings["Gamma"])
	if Gamma<>0 then SetGamma(Gamma)
end sub

sub appTick()
	if NextLevel<>"" then
		LoadLevel(NextLevel)
		NextLevel = ""
	EndIf
	
	if Menu.MenuType = Menu.None then
		if MultiKeyPressed(fb.SC_ESCAPE) then
			Menu.ShowMenu(Menu.Main)
		EndIf
	EndIf
		
	if Menu.MenuType = Menu.None then
		' Tick all actors.
		for i as integer=0 to Actors.Count-1
			if not Actors[i]->bDeleteMe then
				Actors[i]->_tick(1f/60f)
			EndIf
		next
		
		' Actually delete Destroy()'ed actors
		for i as integer=Actors.Count-1 to 0 step -1 'Reverse because of deleting.
			if Actors[i]->bDeleteMe then
				delete Actors[i]
				Actors.RemoveAt(i)
			EndIf
		next
		
		while Inkey<>"" 'empty this buffer (which we don't use anyway)
		Wend
	else
		Menu.Tick(1f/60f)
	endif
end sub

dim shared _startTimer as double
sub MeasureStart()
	_startTimer = Timer()
End Sub

sub MeasureEnd(text as string)
	InventoryMessage &= text & ": " & (Timer-_startTimer)*1000 & " ms" & chr(10)
	InventoryMessageTimer = 8
End Sub

sub appRender()
	'Tick procedural textures.
	if cbool(Settings["ProceduralTextures"]) then
		for i as integer=0 to Textures.Count-1
			if Textures[i]->Seen then
				if *(Textures[i]) is ProceduralTexture then
					var curTex = cast(ProceduralTexture ptr,Textures[i])
					curTex->Tick(1f/60f)
					curTex->Reupload()
				EndIf
				Textures[i]->Seen = False
			EndIf
		Next
	endif
	
	if TimeSeconds-PrevWateryShimmerTime>1 then
		for i as integer=0 to 255
			PrevWateryShimmer(i) = NextWateryShimmer(i)
			NextWateryShimmer(i) = 0.6+Rnd*0.4
		Next
		PrevWateryShimmerTime = TimeSeconds
	EndIf
	for i as integer=0 to 255
		WateryShimmer(i) = lerp(TimeSeconds-PrevWateryShimmerTime,PrevWateryShimmer(i),NextWateryShimmer(i))
	Next
	
	'Update lightmaps if necessary.
	if cbool(Settings["DynamicLights"]) then
		for i as integer=0 to UBound(levelBsp->Lightmaps)
			var litmap=@levelBsp->Lightmaps(i)
			if litmap->Dynamic and litmap->Seen then
				levelBsp->PrepareLightmap(litmap, True)
				litmap->Seen = False
			endif
		next
	endif
	
	glClear GL_COLOR_BUFFER_BIT or GL_DEPTH_BUFFER_BIT
	glMatrixMode(GL_MODELVIEW)
	glLoadIdentity()
	glDepthMask(GL_TRUE)
	
	' Use Unreal coords (Z points up etc...)
	dim mtrx(16-1) as single
	mtrx(0) = 1
	mtrx(6) = 1
	mtrx(9) = 1
	mtrx(15) = 1
	glMultMatrixf(@mtrx(0))
	
	glEnable(GL_TEXTURE_2D)
	
	' Draw the skybox.
	if CanSeeSky then
		if SkyZoneInfo<>0 then
			dim as single TexUPanSpeed, TexVPanSpeed
			
			TexUPanSpeed = csng(SkyZoneInfo->GetProp("TexUPanSpeed","1"))
			TexVPanSpeed = csng(SkyZoneInfo->GetProp("TexVPanSpeed","1"))
			
			glPushMatrix()
				glRotatef(Player->GetViewRotation().Roll *360/65536   , 0,-1, 0)
			   glRotatef(Player->GetViewRotation().Pitch*360/65536   , 1, 0, 0)
			   glRotatef(Player->GetViewRotation().Yaw  *360/65536+90, 0, 0,-1)
			   glColor3f(1,1,1)
			   DrawWorld(skyModel,ERenderPass.Opaque     )
			   DrawWorld(skyModel,ERenderPass.Modulated  )
			   DrawWorld(skyModel,ERenderPass.Translucent)
			glPopMatrix()
		endif
		glDepthMask(GL_TRUE)
		glClear(GL_DEPTH_BUFFER_BIT)
		CanSeeSky = False
	endif
	
	' Draw the level.
	glPushMatrix()
		glRotatef(Player->GetViewRotation().Roll *360/65536   , 0,-1, 0)
	   glRotatef(Player->GetViewRotation().Pitch*360/65536   , 1, 0, 0)
	   glRotatef(Player->GetViewRotation().Yaw  *360/65536+90, 0, 0,-1)
	   glTranslatef(-Player->Location.X, -Player->Location.Y, -Player->Location.Z-Player->BaseEyeHeight)
		
		renderer.Location = Player->Location+vect(0,0,Player->BaseEyeHeight)
		renderer.Rotation = Player->GetViewRotation()
		renderer.FovRadians = atn(csng(ScreenWidth)/csng(ScreenHeight)*tan(FOV/360f*2f*pi/2f))*2 'vertical degrees to horizontal radians
		
		for pass as integer=0 to 2
			glColor3f(1,1,1)
			BindTexture(0)
			glDisable(GL_BLEND)
			
			glActiveTextureARB(GL_TEXTURE1_ARB)
			glEnable(GL_TEXTURE_2D)
			glBindTexture(GL_TEXTURE_2D, 0)
			glBindTexture(GL_TEXTURE_2D, levelBsp->LightmapAtlas->OpenGLHandle)
			glActiveTextureARB(GL_TEXTURE0_ARB)
			
			if pass=0 then renderer.DrawWorld(levelBsp)
			if pass=1 then renderer.DrawTransparentPolys
			
			glActiveTextureARB(GL_TEXTURE1_ARB)
			glBindTexture(GL_TEXTURE_2D, 0)
			glDisable(GL_TEXTURE_2D)
			glActiveTextureARB(GL_TEXTURE0_ARB)
			
			for i as integer=0 to Actors.Count-1
				if Actors[i]->WillBeRendered then
					Actors[i]->Render(pass)
					if pass=2 then Actors[i]->WillBeRendered=False
				EndIf
			next
			
		Next
	glPopMatrix()
	
	glDepthMask(GL_TRUE)
	glClear(GL_DEPTH_BUFFER_BIT)
	/'for pass as integer=0 to 2
		for i as integer=0 to Player->Inventory.Count-1
			Player->Inventory[i]->DrawCarriedItem(pass)
		next
	Next'/
	
	glDepthMask(GL_FALSE)
	'glLoadIdentity()
	glDisable(GL_CULL_FACE)
	
	' OneXBlending=false (i.e. lightmaps can go up to 200%)
	SetBlending(EBlending.Modulated)
	DrawRect(ScreenLeft(),0,ScreenWidth/ScreenHeight,1)
	
	' Underwater caustics.
	if PlayerHeadUnderWater then
		glDisable(GL_CULL_FACE)
	   SetBlending(EBlending.Modulated)
		glBindTexture(GL_TEXTURE_2D, causticsTextures[(TimeSeconds*60/2) mod causticsTextures.Count])
		glColor3f(1,1,1)
				
	   glPushMatrix()
		   glRotatef(Player->GetViewRotation().Roll *360/65536   , 0,-1, 0)
		   glRotatef(Player->GetViewRotation().Pitch*360/65536   , 1, 0, 0)
		   glRotatef(Player->GetViewRotation().Yaw  *360/65536+90, 0, 0,-1)
			DrawCaustics()
		glPopMatrix()
		
		glDepthMask(GL_TRUE)
		glDisable(GL_BLEND)
	EndIf
	
	' Screen flash.
	if Player->ScreenFlash<>vect(0,0,0) then
		SetBlending(EBlending.Translucent)
		var clampedFlash = Player->ScreenFlash
		clampedFlash.X = FMin(1, clampedFlash.X)
		clampedFlash.Y = FMin(1, clampedFlash.Y)
		clampedFlash.Z = FMin(1, clampedFlash.Z)
		DrawRect(ScreenLeft(),0,ScreenWidth/ScreenHeight,1,rgb(clampedFlash.X*255,clampedFlash.Y*255,clampedFlash.Z*255))
		SetBlending(EBlending.Opaque)
	EndIf
	
	if NextLevel="" then 'Don't draw HUD and "Loading..." at the same time
		' HUD.
		if Menu.MenuType = Menu.None then
			if TranslatorMessage<>"" then
				BindTexture(0)
				SetBlending(EBlending.AlphaBlend)
				DrawRect(ScreenLeft4x3+ScreenSize4x3*192/640,172/480,ScreenSize4x3*(448-192)/640,(308-172)/480,rgba(0,0,0,128))
				glColor3f(1,1,1)
				DrawString(MedFont,TranslatorMessage, ScreenLeft4x3+ScreenSize4x3*210/640, 189/480, ScreenLeft4x3+ScreenSize4x3*431/640)
			EndIf
			if Player->Health>0 then
				glColor3f(1,1,1)
				DrawString(LargeFont,"+" & Player->Health, ScreenLeft+0.05, 0.9)
			EndIf
			if InventoryMessageTimer>0 then
				dim as single textW, textH
				glColor4f(1,1,1,InventoryMessageTimer/2)
				MeasureString(MedFont, InventoryMessage, textW, textH)
				DrawString(MedFont,InventoryMessage, RoundXCoord(0.5-textW/2), 420/480)
				InventoryMessageTimer -= 1/60
			EndIf
			if LevelMessageTimer>0 then
				dim as single textW, textH
				dim as string text
				glColor4f(1,1,1,LevelMessageTimer/2)
				
				text = "Map title: " & Unquote(Level->GetProp("Title"))
				MeasureString(MedFont, text, textW, textH)
				DrawString(MedFont,text, RoundXCoord(0.5-textW/2), 51/480)
				
				text = "Author: " & Unquote(Level->GetProp("Author"))
				MeasureString(MedFont, text, textW, textH)
				DrawString(MedFont,text, RoundXCoord(0.5-textW/2), 60/480)
				
				text = Unquote(Level->GetProp("LevelEnterText"))
				MeasureString(MedFont, text, textW, textH)
				DrawString(MedFont,text, RoundXCoord(0.5-textW/2), 87/480)
				
				LevelMessageTimer -= 1/60
			EndIf
		else
			Menu.Render()
		EndIf
	endif
	
	'glFlush 'faster?
	Flip
	
	CheckGlError
end sub

sub appExit()
	Log("Exiting.")
	RestoreOldGamma()
	
	BASS_Free()
	LogClose()
	end
End Sub









'==============================================================================================
' ENTRY POINT:
'==============================================================================================

appInit()

var StartTime=Timer
var GameTime=0.0
do
	var RealTime=Timer-StartTime
	while GameTime<RealTime
		appTick()
		GameTime += 1/60
		if Menu.MenuType = Menu.None then TimeSeconds += 1/60
	Wend
	
	appRender()
loop